commit cfb27ba97e4a567b2dc6773789938f0bb62f1622
Author: Christian Hergert <chergert@redhat.com>
Date:   Thu Sep 1 21:34:14 2016 -0700

    release 3.21.91

M	NEWS
M	configure.ac

commit 69338ee16e11fde06cfe646e4d43e9f06af0cbc4
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Aug 30 13:01:16 2016 -0700

    callgraph-view: collapse row with Left Arrow

    This makes Left Arrow do the opposite of Right Arrow.

M	lib/sp-callgraph-view.c

commit fb26c2e8c1bf35b527de0722667c49c8571df92c
Author: Kalev Lember <klember@redhat.com>
Date:	Sat Aug 27 11:46:40 2016 +0200

    build: Use correct gettext domain when installing translation files

    https://bugzilla.gnome.org/show_bug.cgi?id=770475

M	po/Makevars

commit 55b374b8be0b53d6ee7243901dce851abae9fc61
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Aug 23 16:11:14 2016 -0700

    build: check for recent GCC with stdatomic.h

M	configure.ac

commit d3a4355a97bc7694474de704f7ce5c639f3fe0b4
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Aug 23 15:42:22 2016 -0700

    build: use -std=gnu11 by default

    We require C11 for stdatomic.h

M	configure.ac

commit f313ca4daefa8aee7837f545a4b43795bd692789
Author: Ray Strode <rstrode@redhat.com>
Date:	Tue Aug 23 16:53:39 2016 -0400

    lib: Add full barrier before writing data_tail

    The kernel says here
    http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/kernel/events/ring_buffer.c?id=7a1dcf6ad#n61
    :

	 * Since the mmap() consumer (userspace) can run on a different
	 CPU:
	 *
	 *   kernel				user
	 *
	 *   if (LOAD ->data_tail) {		LOAD ->data_head
	 *			(A)		smp_rmb()	(C)
	 *	STORE $data			LOAD $data
	 *	smp_wmb()	(B)		smp_mb()	(D)
	 *	STORE ->data_head		STORE ->data_tail
	 *   }
	 *
	 * Where A pairs with D, and B pairs with C.
	 *
	 * In our case (A) is a control dependency that separates the
	 load of
	 * the ->data_tail and the stores of $data. In case ->data_tail
	 * indicates there is no room in the buffer to store $data we
	 do not.
	 *
	 * D needs to be a full barrier since it separates the data READ
	 * from the tail WRITE.
	 *
	 * For B a WMB is sufficient since it separates two WRITEs,
	 and for C
	 * an RMB is sufficient since it separates two READs.
	 *
	 * See perf_output_begin().

    So I'm pretty sure we need a full barrier before writing out
    data_tail.

M	lib/sp-perf-counter.c

commit 1b89cc58cf1de959ace6492dad37059f2502f7b9
Author: Ray Strode <rstrode@redhat.com>
Date:	Tue Aug 23 16:52:29 2016 -0400

    lib: use stdatomic.h for memory barriers

    C11 gives us APIs for fencing logic.  Use that instead of a
    a long, per-architecture, hand curated list of definitions.

M	lib/Makefile.am
M	lib/sp-callgraph-view.c
M	lib/sp-perf-counter.c
M	lib/util/binfile.c
D	lib/util/util.h

commit 1c1ef02b3dfb227b0b9065e6df5fe483a17bf622
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Aug 23 10:08:37 2016 -0700

    util: add full memory barrier fallback

M	lib/util/util.h

commit 65851f529caba26c24dde9696c8868286dc8fe99
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Aug 22 21:52:53 2016 -0700

    build: release 3.21.90

M	NEWS
M	configure.ac

commit aaba2b6a4f5bf7b94eb7b483eba0042acc3a495d
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Aug 22 19:24:05 2016 -0700

    build: only install sysprof-ui-2.pc if we build the UI

    This fixes an error were a pkg-config check could succeed for the UI
    being installed when the gtk library was not built.

M	data/Makefile.am

commit 6ed7ec20ae17055f71e6180dc39aff468dda8932
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Aug 22 11:54:10 2016 -0700

    util: add read_barrier() for ARMv7

M	lib/util/util.h

commit 3cfcee4757161fb3e7fe427b6059aa0977c28633
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Aug 22 11:53:58 2016 -0700

    util: use ifdef instead of if defined

M	lib/util/util.h

commit e4e1bf73b36b17230104544e73b686fd6635d2de
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Aug 22 11:02:03 2016 -0700

    line-reader: handle invalid parameters more gracefully

    This silences coverity which doesn't handle return_if_fail() macros
    very well.

M	lib/sp-line-reader.c

commit 46a257da6e5c3790e42f586913ba51a7b534cb8b
Author: Christian Hergert <chergert@redhat.com>
Date:	Sun Aug 21 17:32:44 2016 -0700

    elfparser: suppress warnings about cast alignment

    These are aligned according to the spec, so we can simply silence them
    with the gpointer cast.

M	lib/util/elfparser.c

commit e81204dec947cab78961cb19bec517305ed0056c
Author: Christian Hergert <chergert@redhat.com>
Date:	Sun Aug 21 17:32:09 2016 -0700

    process-model-item: remove duplicate const

M	lib/sp-process-model-item.c

commit a5b08cad94d3d09a0d6d54a4248ad27c2a233932
Author: Christian Hergert <chergert@redhat.com>
Date:	Sun Aug 21 17:31:56 2016 -0700

    reader: increment j, not i when swapping counter values

M	lib/sp-capture-reader.c

commit 6058c62f44a9e9cb64e40867a0b75d8f4fca8213
Author: Christian Hergert <chergert@redhat.com>
Date:	Sun Aug 21 17:31:30 2016 -0700

    reader: bswap jitmap item count

M	lib/sp-capture-reader.c

commit 94c8551063d30bbb830495cd1d857e1abc4b36e5
Author: Christian Hergert <chergert@redhat.com>
Date:	Sun Aug 21 17:25:50 2016 -0700

    kernel-symbol: fix alignment warning

    Our pointer is always malloc() aligned, so we have a safe cast here.

M	lib/sp-kernel-symbol.c

commit aeab95410701cc930db7f0b06b11d38d8db50567
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Aug 21 20:32:24 2016 +0200

    Updated Serbian translation

M	po/sr.po

commit e316bb8bdfb19faf0332dd60ba65b6a35b11ca0b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Aug 21 17:02:06 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 2f9055bc7ba6b1051008599f696436d620081e6b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Aug 21 16:57:34 2016 +0200

    Add --add-comments to XGETTEXT_OPTIONS in Makevars

    So that comments from .desktop file appear in the .po files.

M	po/Makevars

commit 24716d7c88408d6929fc33d74d38c2490e2dd371
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Aug 18 14:38:14 2016 +0200

    elf: add more pango mappings

M	lib/sp-elf-symbol-resolver.c

commit 1ad1b23f576febc5364916a7e717425b7ef07af5
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Aug 16 18:03:17 2016 +0200

    callgraph: ensure cell renderer is available

M	lib/sp-callgraph-view.c

commit 5a679d11c6debfdba2d1da103ff3a3ce60b6023d
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Aug 10 13:34:03 2016 +0000

    Added Slovak translation

M	po/LINGUAS
A	po/sk.po

commit 3164d10c69912d1cca43223f60d77f079fdf5de1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 9 15:38:34 2016 +0200

    Add translator comment to .desktop

M	data/org.gnome.Sysprof2.desktop

commit 1ec28630b099cdff3b996785d41c005611063473
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Mon Aug 1 11:29:24 2016 +0000

    Added Portuguese translation

M	po/LINGUAS
A	po/pt.po

commit b57cb4066477805dc52b6c527503f317c7d51ab6
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sun Jul 31 18:35:58 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 2bd2be46c5947d64126d6a23efcdd23c33bcd54d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Jul 22 09:49:47 2016 +0000

    Added Spanish translation

M	po/LINGUAS
A	po/es.po

commit 0e89182300a5c5e7e723735f8e33fc79f5129bf1
Author: Timm Bäder <mail@baedert.org>
Date:	Wed Jul 13 09:41:08 2016 +0200

    sp-window: Fix profiler menu button alignment

M	src/resources/ui/sp-window.ui

commit c45a55b467bba9381a2c67b73761799bbd258665
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Jul 6 23:31:04 2016 -0700

    lib: avoid using hexpand in SpProfilerMenuButton

    This can cause the widget to expand now that GtkHeaderBar supports
    expand
    for start/end packed children.

M	lib/resources/ui/sp-profiler-menu-button.ui

commit 7bbe8cec72df8301d70b28d31165b026ec37ee33
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Jun 21 12:49:26 2016 -0700

    credits: make strings arrays const

M	src/sp-credits.h

commit a7a6c59bdaff30d190aec4b4bb028c3e1112cb69
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:	Tue Jun 21 10:23:33 2016 +0300

    build: Add --enable-sysprofd configure flag

    This is useful to ensure reproducible builds.

    https://bugzilla.gnome.org/show_bug.cgi?id=767902

M	configure.ac

commit 6e597e889832d1366ba242c46d10e3b0fdf0fcd0
Author: Christian Hergert <chergert@redhat.com>
Date:	Tue Jun 21 12:44:36 2016 -0700

    window: ignore STATE_0

M	src/sp-window.c

commit 436e80aa9af799fba97d7010d87b094b601b777a
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Sun Jun 19 08:41:15 2016 +0530

    README: fix typo

    https://bugzilla.gnome.org/show_bug.cgi?id=767832

M	README

commit 01ab47f6699e8e697cf1d93e55e798977bb90c26
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sat Jun 18 16:20:54 2016 +0200

    Fix typo in help

    https://bugzilla.gnome.org/show_bug.cgi?id=767815

M	help/C/introduction.page

commit 329743c917b07a4a17cb83f9f8c1811e8e8b23d6
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:	Fri Jun 10 14:01:54 2016 +0300

    callgraph: Use U64_TO_POINTER

    This fixes a "cast to pointer from integer of different size" on i586.

    https://bugzilla.gnome.org/show_bug.cgi?id=767693

M	lib/sp-callgraph-view.c

commit 15a2873c2556f7f78057886044837944e14fd365
Author: Timm Bäder <mail@baedert.org>
Date:	Fri Jun 10 21:12:06 2016 +0200

    Move from SpScrolledWindow to GtkScrolledWindow

    GtkScrolledWindow has max-content-{width,height} properties
    now. Remove
    SpScrolledWindow and bump the gtk+ requirement to 3.21.3 at the same
    time.

M	configure.ac
M	lib/Makefile.am
M	lib/resources/ui/sp-profiler-menu-button.ui
D	lib/sp-scrolled-window.c
D	lib/sp-scrolled-window.h
M	lib/sysprof-ui.h

commit 03ecb8ddfed62f816ac9f7441a6bf767e053031a
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Wed Jun 8 20:26:57 2016 +0000

    Updated German translation

M	po/de.po

commit 28d9a7d8b433202b9deff64f34973a04b12b4a00
Author: Timm Bäder <mail@baedert.org>
Date:	Sun Jun 5 10:47:20 2016 +0200

    callgraph view: Expand cursor row on Right

M	lib/sp-callgraph-view.c

commit 96c8032ab0dc0dfdc7541365d38f1a56aff3177b
Author: Timm Bäder <mail@baedert.org>
Date:	Sun Jun 5 10:52:49 2016 +0200

    sp-window: Hide info bar when starting to record

M	src/sp-window.c

commit bf293d612867c978f5bd20bdfacb60b80e586d4b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Fri May 6 17:28:22 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit a6c9cc25fec68f721abe0c28073544e0def1e264
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri May 6 12:23:47 2016 +0300

    doap: add language and app section to sysprof.doap

M	sysprof.doap

commit acfe40f52d58eba716f5dad8a9610074c5c472af
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue May 3 18:34:31 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit cfd14c3731a991e764f0be82531f845f05ebd5f1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue May 3 13:18:16 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 3c3eb33930e11176cb510a273f93482d65edd111
Author: Marek Černocký <marek@manet.cz>
Date:	Tue May 3 12:05:57 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 27be8a1f7aece61b5bdbe8e44c7df05a99262dd3
Author: Marek Černocký <marek@manet.cz>
Date:	Tue May 3 12:01:12 2016 +0200

    Czech translation

M	help/Makefile.am
A	help/cs/cs.po
M	po/LINGUAS
A	po/cs.po

commit 67efcc462b9504c9b1731bdf9bafc7ca9867468a
Author: Marek Černocký <marek@manet.cz>
Date:	Tue May 3 11:31:22 2016 +0200

    Fix handling plural forms

    https://bugzilla.gnome.org/show_bug.cgi?id=765929

M	lib/sp-profiler-menu-button.c

commit 395ab9025aa428923c4a5534d31735e8eb727fb3
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 28 16:04:04 2016 -0700

    doap: update doap for sysprof bugzilla product

M	sysprof.doap

commit 273736da9847c8ac61e02a311b6e679f53b01374
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Thu Apr 28 21:03:26 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 113baca655d7d3907e3c59b6724470010001d7d5
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 28 04:00:11 2016 -0700

    build: fix a few warnings from clang

M	daemon/sysprofd.c
M	src/sp-window.c
M	tests/test-capture.c
M	tools/sysprof-cli.c

commit a799765066294b8d89f5b3c28aa01cc121412581
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Tue Apr 26 19:18:22 2016 +0200

    Initial Hungarian translation

A	po/hu.po

commit 721f8b3435c4797070cf62f70c5642d8801af9a8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Tue Apr 26 19:16:58 2016 +0200

    Added hu to LINGUAS

M	po/LINGUAS

commit 012516fc1e687fe344d81b6ad697bfbec4ba5c92
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Apr 25 23:53:13 2016 -0700

    tests: fix warning

M	tests/test-capture.c

commit 9c6cec9b49766bf77c1713bc5a7c6d651e628068
Author: Christian Hergert <christian@hergert.me>
Date:	Mon Apr 25 15:11:54 2016 -0700

    perf: avoid authorization dialog when user owns target pid

    If we check the UID of the pid from /proc/pid/status and the UID
    matches
    our current user, we should be able to forego the authorization
    dialog.

    This should fix a regression where sysprof worked from jhbuild when
    profiling a process you have access to.

M	lib/sp-perf-source.c

commit afadd90834e488423261e5df3ab7703e22ffd32a
Author: Christian Hergert <christian@hergert.me>
Date:	Sun Apr 24 17:49:03 2016 -0700

    perf: ping the sysprofd service before we consider it up

    This should help catch failures where the peer is not yet up and might
    fail to start, before we actually block on communicating with it.

M	lib/sp-perf-counter.c

commit c2cafc9882bb14bc7d5f40d854ba6d4294c56cf6
Author: Christian Hergert <christian@hergert.me>
Date:	Sun Apr 24 17:23:04 2016 -0700

    build: add some scary warning messages

M	configure.ac

commit 82d924b87aca09968681ce4c0b9dd6e7b76496f0
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 22 18:34:48 2016 -0700

    docs: update DESIGN.md

M	DESIGN.md

commit 8709eaff1402207ad369c2a0c97daf1ffc3e9286
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 20 22:35:17 2016 -0700

    build: let gcc know our cast is safe

    Data is already aligned, so casting the ->data field is fine.

M	lib/sp-callgraph-profile.c

commit e759f2999fb7a9f1e7e1c5f4748eeb9672cb5ae4
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 20 20:36:01 2016 -0700

    elf: tag GtkSourceView symbols

    We see this library enough in the platform that it is work tagging.

M	lib/sp-elf-symbol-resolver.c

commit b97425b3009eaa38d586d9ae2dc576f002f555bc
Author: Christian Hergert <christian@hergert.me>
Date:	Mon Apr 18 22:31:39 2016 -0700

    perf: make sure we emit finished after last process exits

    This fixes the "auto-stop" feature when the child exits, at least
    in the
    case of /usr/bin/gnome-calculator. However, when testing with gedit I
    did not see it accurately clean up, so something still needs to be
    troubleshooted.

M	lib/sp-perf-source.c

commit a85bd6e41f1597c955162b4b3b332a23362f5e1b
Author: Christian Hergert <christian@hergert.me>
Date:	Mon Apr 18 18:53:26 2016 -0700

    build: ensure COPYING.gpl-2 is bundled in tarballs

M	Makefile.am

commit a594d06b0cf3908b31431e9d72b107f3431cfea1
Author: Christian Hergert <christian@hergert.me>
Date:	Mon Apr 18 18:52:20 2016 -0700

    perf: let the compiler know our cast is alignment-safe

    We know everything is 64-bit aligned, so casting via (void*) squashes
    the compiler warning.

M	lib/sp-perf-counter.c

commit 58a2946e4541f27059b93d8a829860e5c4d7fdb8
Author: Christian Hergert <christian@hergert.me>
Date:	Mon Apr 18 18:51:45 2016 -0700

    remove duplicated COPYING for GPLv2.

D	COPYING.gpl2

commit ba32676d12bd2de76c2f993fdfe3fbb7dacbde70
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Apr 18 12:45:18 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ff395e94c676e417138e99c93e042c57746e23e0
Author: Christian Hergert <chergert@redhat.com>
Date:	Mon Apr 18 00:02:50 2016 -0700

    window: protect against delayed ::stopped

    Large captures could take a while to complete the stop request,
    so protect
    against that so that the user can't accidentally start another
    capture.

M	src/sp-window.c

commit cd98ded3001c359c2b898f94052b1182ef3fda39
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Apr 17 20:06:30 2016 +0000

    Added Swedish translation

M	po/LINGUAS
A	po/sv.po

commit b37ca7623833cc5a0959f7def7994adbb04b0c61
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Apr 17 15:30:12 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 7a639e9bf8bb13143c57aca180decca435706645
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 18:58:43 2016 -0700

    menu-button: ensure the scrolled window is always full width

    When no items were present, this was shrinking. It should always
    maintain
    width of the popover.

M	lib/resources/ui/sp-profiler-menu-button.ui

commit 57faf5b9e61fb137f3cd36f16bba097b9c715b91
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 18:57:50 2016 -0700

    menu-button: show process arguments in process list

    This parses the \0 out of the cmdline proc entry and makes them
    visible
    as both in the list of processes and as tooltips when hovered.

M	lib/resources/ui/sp-process-model-row.ui
M	lib/sp-process-model-item.c
M	lib/sp-process-model-item.h
M	lib/sp-process-model-row.c

commit 9e082a257df2b8055f2fe2635ba111601083b163
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 18:21:26 2016 -0700

    menu-button: hide the process list when whole-system is enabled

    No sense in showing a desensitized widget that cannot be toggled
    except
    for discover-ability. But progressive disclosure is probably better.

M	lib/resources/ui/sp-profiler-menu-button.ui
M	lib/sp-profiler-menu-button.c

commit 4fdd7aca71b1069b0b7cae9c8a0203bf0518036d
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:40:07 2016 -0700

    menu-button: improve error reporting on argv command line

M	lib/resources/ui/sp-profiler-menu-button.ui
M	lib/sp-profiler-menu-button.c

commit 117d4c480dba5ab96f136c3a409e5c65dbf16e04
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:22:52 2016 -0700

    about: handle response from about dialog

    On systems where this shows a close button, we need to handle the
    response and destroy the dialog.

M	src/sp-application.c

commit f4aabd8b7cb2ac249ed0dcbd0062b29914b5bbe7
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:16:29 2016 -0700

    perf: ignore not-supported failures

    If the pre-authorize fails due to lacking support for sysprofd,
    that is
    fine, we can fail later on if authorization was required.

M	lib/sp-perf-source.c

commit f5904bc49381b40154497ca5b94c9d19c50d5a3c
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:14:42 2016 -0700

    perf: fix typo

    Typo when polkit/sysprofd is unavailable to pre-authorize the request.

M	lib/sp-perf-counter.c

commit 4479c56135741fe3d96edc5bca9801d8db7e2ebd
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:13:56 2016 -0700

    perf: polkit is optional for the library

    So changing this was a little backwards. The goal here is to allow
    using
    libsysprof-2 without polkit, it just won't have the ability to elevate
    privileges.

M	lib/Makefile.am
M	lib/sp-perf-counter.c

commit 74d88245c5b67173fc928a7a6b48a6ba91ccb37d
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:08:38 2016 -0700

    perf: use #ifdef not #if

    This is conditionally added to CFLAGS, so make sure we use #ifdef
    instead
    of #if.

M	lib/sp-perf-counter.c

commit c2eecefe50d9f9dff97d053a2d60b66c04da2c7d
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:05:56 2016 -0700

    build: add polkit cflags/libs to libsysprof-2 target

M	lib/Makefile.am

commit f307ce50abc89fd11e567cea7667d48c2334dfa3
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 17:00:56 2016 -0700

    platform: fix missing ;

    Clearly, we are testing the fallback path well.

M	lib/sp-platform.c

commit f2d40eda891ba7e18721ea780823164bb3ddd4d3
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 16:57:11 2016 -0700

    platform: include gstdio for g_unlink().

M	lib/sp-platform.c

commit 9f8f33b210216e971e311b3c9912a219f6237682
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 16:56:41 2016 -0700

    perf: use #ifdef, not #if

    config.h does not unconditionally define these, they are not
    defined when
    inactive.

M	daemon/sysprofd.c
M	lib/sp-perf-counter.c
M	lib/sp-perf-source.c

commit 06aaff90e5e9f289f3f597030d54ec2bb350d090
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 16:07:11 2016 -0700

    perf: optionally enable clockid and use_clockid

    Some kernels to not have this feature yet, so check for support in
    linux/perf_event.h and optionally enable the struct field.

M	configure.ac
M	daemon/sysprofd.c
M	lib/sp-perf-counter.c
M	lib/sp-perf-source.c

commit de572f4ed6a31063e952297c886a71dc4667aa7e
Author: Christian Hergert <christian@hergert.me>
Date:	Sat Apr 16 15:48:29 2016 -0700

    memfd: add workaround for systems without memfd

    Just a quick workaround to use a tmpfile if memfd is not available. We
    should try to ensure that we get something on tmpfs, but this
    is probably
    good enough for a fallback.

M	lib/Makefile.am
M	lib/sp-local-profiler.c
A	lib/sp-platform.c
A	lib/sp-platform.h

commit 15370ecc427ef3c872774cf35bdd95f81d7d7e54
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sat Apr 16 11:03:26 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 605572d64533d59ce76f764ecc13a5462f19aa1a
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 19:24:48 2016 -0700

    post-release bump

M	configure.ac

commit aaf81c5cfb2ce796e54109384432943b88d4aacf
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 19:21:06 2016 -0700

    release Sysprof 3.20.0

M	AUTHORS
M	NEWS
M	configure.ac

commit 8291e05da3998f2cffcab1feca36dd1103e70aee
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 18:19:20 2016 -0700

    menu-button: sync menu button settings when attaching profiler

    We were failing to launch a program a second or third time, due to the
    settings not beeing sync'd to the profiler instance.

M	lib/sp-profiler-menu-button.c

commit 36008c4ab4a39f0512837bdee93a3686d611806d
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 18:11:31 2016 -0700

    window: notify the user when no valid samples were collected

    If we failed to collect any samples in the target profile, let
    the user
    know why the callgraph is empty.

M	src/sp-window.c

commit ceeb29b0e65ff5230699797d3205d52c9a29c8a8
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 18:11:02 2016 -0700

    callgraph: add accessor to determine number of functions

    We can use this to notify the user that not enough samples where
    collected
    to build a callgraph. This can happen when all the samples collected
    are
    ignored (due to being in ignored kernel space address ranges for
    example).

M	lib/sp-callgraph-view.c
M	lib/sp-callgraph-view.h

commit d4ab108786f07871dd75393d427b1ec3bdc9678c
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 17:51:32 2016 -0700

    window: title should be set on headerbar

    When set on the window, we seem to lose the value when inserting the
    headerbar, resulting in the title being "sysprof" (binary name)
    according
    to the shell. Setting this on the headerbar seems to fix that.

M	src/resources/ui/sp-window.ui

commit ae5338aaf18888d591a94c642213ec873c79d5d3
Author: Christian Hergert <christian@hergert.me>
Date:	Fri Apr 15 17:17:44 2016 -0700

    theme: add fallback styling for 3.18

    New styling doesn't apply on 3.18 which is used on F23. Since
    packages are
    being built for that, might as well fix the styling.

M	src/resources/theme/shared.css

commit ab4dd75269645e6754c4cb2499e9d95864495c21
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Fri Apr 15 12:50:48 2016 -0300

    Added Brazilian Portuguese translation for help files

M	help/Makefile.am
A	help/pt_BR/pt_BR.po

commit ff6dc11350431dc4dcd9ebdd27e7aec040d0d475
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Fri Apr 15 15:44:55 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4fc64e1bed27acb571c685ed2410dc81011e0218
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Fri Apr 15 14:21:27 2016 +0000

    Added Brazilian Portuguese translation

M	po/LINGUAS
A	po/pt_BR.po

commit 18d2d81824f744b671a9608e74994367d438daea
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 05:04:29 2016 -0700

    perf-source: we need PERF_SAMPLE_TID

    I mistakingly removed this, which caused us to not get sample
    delivery.

M	lib/sp-perf-source.c

commit 49e9ad9db8f2d333810c54945129f60b196a1277
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:54:55 2016 -0700

    capture: make counter value a union of int64 and double

    This allows us to use the type field of the counter to specify if the
    counter is a double or a 64-bit integer.

M	lib/sp-capture-reader.c
M	lib/sp-capture-types.h
M	lib/sp-capture-writer.c
M	lib/sp-capture-writer.h
M	tests/test-capture.c

commit 88cc6485dd03a7a8ed38c363df3893376bf17311
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:49:53 2016 -0700

    dump: add more info on various events

M	tools/sysprof-dump.c

commit 48420b0c87af72e195cb261e4f6d3b240edde8c7
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:49:02 2016 -0700

    writer: increment the next counter id, not the return value

M	lib/sp-capture-writer.c

commit 253b3873238af1de722e0c001dd2719fe99f0386
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:48:46 2016 -0700

    capture: add sp_capture_reader_peek_frame()

    It can be useful to peek at the whole frame header (for things
    like time
    or pid or cpu).

M	lib/sp-capture-reader.c
M	lib/sp-capture-reader.h

commit ad5f855a2b6dc60e10c5445471cadc93346e2cce
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:48:04 2016 -0700

    capture: add 64-bit time stamp for start time

    We keep the start time as a iso8601 string, which is useful, but not
    enough for relative timestamps to the epoch (start time). Include a
    clock time in the same clock domain.

M	lib/sp-capture-reader.c
M	lib/sp-capture-reader.h
M	lib/sp-capture-types.h
M	lib/sp-capture-writer.c

commit f72306f5a87da04a31fdb2e47f3e6bf2c7ac60f7
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:46:50 2016 -0700

    writer: use SP_CAPTURE_CURRENT_TIME

    This should be nsec, not usec based time.

M	lib/sp-capture-writer.c

commit 5d18b770078ed87bab5b0d973d2bb0ba86d1e7f3
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:45:58 2016 -0700

    tests: use SP_CAPTURE_CURRENT_TIME

    We use nanosecond time, not usec.

M	tests/test-capture.c

commit dd821b48e819d23c0b264c6188faf6178b91d8e4
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:45:34 2016 -0700

    perf-source: fix acquisition of time for comm and mmap events

    We were not getting the proper value for time. We need sample_id_all
    set
    according to my cursory reading of the core.c in the kernel. Also, the
    time is aligned to 64-bit (after the comm field).

M	lib/sp-perf-counter.h
M	lib/sp-perf-source.c

commit 609ee997dad80c2e733d4f1aca9836092b250e82
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:44:07 2016 -0700

    perf-counter: pass sample_id_all to sysprofd

M	lib/sp-perf-counter.c

commit 3e1bc8eb4a9d01beecb8089f0d255bbce9e64c30
Author: Christian Hergert <chergert@redhat.com>
Date:	Fri Apr 15 04:43:37 2016 -0700

    sysprofd: add sample_id_all field to options

    We need this to get the time field from mmap/comm events.

M	daemon/sysprofd.c

commit d7ed2ddf301908ebf7c87f609da3b0a29f853c7e
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 21:36:07 2016 -0700

    writer: allow callers to define a counter range

    This allows dynamic counter ids that can be allocated in blocks.

M	lib/sp-capture-writer.c
M	lib/sp-capture-writer.h

commit 5356863f2e2c6e817a6293fdf4fdf6eed125b030
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 21:35:37 2016 -0700

    dump: implement capture dump for ctrdef and ctrset frames

M	tools/sysprof-dump.c

commit 1b8cfed5c880d1fdc9c0d71412d918b14aebabb5
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 19:25:26 2016 -0700

    writer: use dup()d fd when creating reader

    Readers can share the file-offset in the file-descriptor table,
    but should
    really have their own fd that they can close().

M	lib/sp-capture-writer.c

commit cd0a39859e146e122c6b1bc2c40e54a751e4d455
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 18:33:23 2016 -0700

    capture: drop ADD from capture type

    I opted to not implement this yet, so ensure its not in the capture
    format types.

M	lib/sp-capture-types.h

commit c87a90cd9a2a687161125512ce7b4f2df31783fa
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 18:29:39 2016 -0700

    capture: add frame type for defining and setting counters

    We might want to add a CTRADD type later on, for relative values
    rather
    than absolute. But this should get us started.

    Simply define counters upfront, and then set them during the capture
    process.

    Obviously, we need to come up with a good way to visualize this
    information in the UI.

M	lib/sp-capture-reader.c
M	lib/sp-capture-reader.h
M	lib/sp-capture-types.h
M	lib/sp-capture-writer.c
M	lib/sp-capture-writer.h
M	tests/test-capture.c

commit 9ba08c8d9380cbf62a3f0393ad8e6c07b15cbf89
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 16:20:32 2016 -0700

    window: reset profiler after capture

    We don't really want to reuse SpProfiler instances after running,
    so when
    we transition to browsing, reset the profiler instance.

M	src/sp-window.c

commit 82bdda6f6fddb768f298940ee34efcb656b54b6a
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 05:49:01 2016 -0700

    window: stop the profiler when closing the window

    This is probably more useful when having multiple windows up, so
    try to
    clean things up by stopping the profiler and delaying the close.

M	src/sp-window.c

commit cfd49d2c058d828618e07d6b7981468109889ef6
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 05:40:02 2016 -0700

    window: call stop() if we are currently recording

M	src/sp-window.c

commit 89e75fae2d54c2baad94d90060bee349e80b9994
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 05:39:49 2016 -0700

    profiler: reset timer when starting

    If we reuse the profiler instance (not convinced this is a good
    idea yet)
    then we could have a nonzero elapsed time. Reset it immediately
    so that
    the UI doesn't jitter between the previous value and 00:00.

M	lib/sp-local-profiler.c

commit a7982ad1e85ddef64e059bf5a107dc0d423fa8e6
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 04:36:18 2016 -0700

    perf: delay source start until polkit has authorized

    Without this, after logging in you are already multiple seconds
    into your
    profiling session recording. Not ideal. So instead, we do the
    async polkit
    auth upfront during SpSource::prepare(), and then toggle ready
    after we
    have received notification.

M	lib/sp-perf-counter.c
M	lib/sp-perf-counter.h
M	lib/sp-perf-source.c

commit bdf888f556bfce767665d2b0936a2afc8a6513eb
Author: Christian Hergert <christian@hergert.me>
Date:	Thu Apr 14 03:31:33 2016 -0700

    cli: add --version command line option

M	tools/sysprof-cli.c

commit fe5750f95bb7954cea0faeb2d699c5f691090b42
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Thu Apr 14 12:00:32 2016 +0200

    Added initial German doc translation

M	help/Makefile.am
A	help/de/de.po

commit 907844744c41dbb029bebeb8dc971e145273e1a0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Thu Apr 14 11:59:12 2016 +0200

    Added German translation

M	po/LINGUAS
A	po/de.po

commit c3308a4b26b74f4e5409092ebc0b08d85bb427ee
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 02:52:06 2016 -0700

    update TODO

M	TODO

commit 88d3ae3b742cc0952dbae94985205fb24df124cd
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 02:37:28 2016 -0700

    profiler: extract SpProfiler into an interface

    It would be nice to be able to support a remote profiler session
    in the
    future, so add SpLocalProfiler implementation of SpProfiler interface.

M	lib/Makefile.am
A	lib/sp-local-profiler.c
A	lib/sp-local-profiler.h
M	lib/sp-profiler.c
M	lib/sp-profiler.h
M	lib/sysprof.h
M	src/sp-window.c
M	tools/sysprof-cli.c

commit 5d25b8a2428c47cd256cca414ddf9ccd07433684
Author: Christian Hergert <chergert@redhat.com>
Date:	Thu Apr 14 00:59:28 2016 -0700

    build: be a bit more flexible with configuration options

    It would be nice if we can be a bit more flexible with where the
    sysprof-cli tool can run. Lets try to break out the system checks a
    bit more.

M	configure.ac
M	lib/Makefile.am
M	src/Makefile.am
M	tests/Makefile.am
M	tools/Makefile.am

commit f4df6616c6e8e1345f6cab339eb3e471a4f8f519
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 23:05:02 2016 -0700

    lib: add some padding to classes

    We might want to extend these going forward, so give us a chance
    to avoid
    breaking ABI.

M	lib/sp-cell-renderer-percent.h
M	lib/sp-empty-state-view.h
M	lib/sp-failed-state-view.h
M	lib/sp-model-filter.h
M	lib/sp-process-model-row.h
M	lib/sp-profiler-menu-button.h
M	lib/sp-profiler.h
M	lib/sp-recording-state-view.h

commit 43e61fc40a65b17b1e4f75f75036c592fad9d235
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 22:50:15 2016 -0700

    build: check for c++ compiler

    We need this for abi::__cxx_demangle()

M	configure.ac

commit a8205c7c290dfa10be015509ab14fc795bf5d936
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 21:32:01 2016 -0700

    build: allow disabling the GTK interface with --disable-gtk

    For some systems, such as embedded Linux including ARM, we might
    want to
    just compile libsysprof/sysprof-cli without the GTK user
    interface. This
    allows for that. You can copy the capture files to your visualization
    host to render the results.

M	configure.ac
M	lib/Makefile.am
M	src/Makefile.am
M	tests/Makefile.am

commit 61fed5b8f20d05c62aac042c4ed7a435ddaca5e3
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 21:09:52 2016 -0700

    build: split profiler and gtk widgets into separate libraries

    This will make it easier to support installing just sysprof-cli
    and the
    sysprofd helper daemon on systems where GTK is not feasible or
    necessary.
    This does not, however, do that. It simply gets things broken up into
    pieces.

M	configure.ac
M	data/Makefile.am
A	data/sysprof-ui.pc.in
M	data/sysprof.pc.in
M	lib/Makefile.am
C062	lib/sysprof.h	lib/sysprof-ui.h
M	lib/sysprof.h
M	src/Makefile.am
M	src/sp-window.c
M	tests/Makefile.am
M	tests/test-model-filter.c

commit 66d4bb25e17ec586384b6778b980e989c61e574e
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 20:58:44 2016 -0700

    callgraph: add column headers in screenshot text

M	lib/sp-callgraph-view.c

commit 32ea29e1ba4366fe015d1632d3c21cf9de24802a
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 20:20:52 2016 -0700

    lib: only export ^sp_ symbols

M	lib/Makefile.am

commit f69e18f4c8af6a911973d7f84e29de6c7c1e6e46
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 19:40:54 2016 -0700

    window: add screenshot action

    Shows the screenshot (textual representation) of the descendants
    tree in
    a new window/textview.

M	src/resources/gtk/menus.ui
M	src/sp-window.c

commit acd749a4e33694375b299a2fcf22446f093fd313
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 19:40:20 2016 -0700

    callgraph: add sp_callgraph_view_screenshot()

    Similar to the old sysprof, this generates a textual representation
    of the
    descendants view. It matches the expansion of the treeview in
    the output
    text.

M	lib/sp-callgraph-view.c
M	lib/sp-callgraph-view.h

commit 082d754113273465d859b4bcdb8a664b5f3b63a2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Apr 13 22:30:47 2016 +0200

    Add Polish translation

M	po/LINGUAS
A	po/pl.po

commit 1fbdd29e5f25f1ff57f60aafbd8c425722fc3db9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Apr 13 19:20:46 2016 +0200

    Added Serbian translation

M	po/LINGUAS
A	po/sr.po

commit f73f5e98ec8e1df84b5d7ccb4cc491ea4922bcdd
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 09:23:21 2016 -0700

    save-as: add .syscap extension if necessary

    We have *.syscap glob registered with the mime types, so ensure
    that the
    file gets saved with that extension.

M	src/sp-window.c

commit 8743dbd0c93a059b7e66bdf43121eeac397990f5
Author: Christian Hergert <christian@hergert.me>
Date:	Wed Apr 13 09:20:05 2016 -0700

    elf-symbol-resolver: add GObject Introspection tag

    When we see addresses in libgobject-introspection, give them the
    "Introspection" tag to make it clear which library the symbol
    came from.
    This is particularly useful since so many functions overlap with g_
    prefixes.

M	lib/sp-elf-symbol-resolver.c

commit 8c8be5a67e9c9002ec0cce93932147e12c135e24
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Apr 13 15:42:59 2016 +0200

    Add po/LINGUAS

A	po/LINGUAS

commit 00b0d084c0dc50fb8e8e0918994d13ae961bfffc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Apr 13 15:38:33 2016 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit 172a1b772d099f43fce657c647eaf525964b21a5
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 06:31:30 2016 -0700

    callgraph: allow going backward with alt+left arrow

    Sometimes its really annoying to dive into a descendant and then
    want to
    go back to where you were. This uses alt+left arrow to go back to the
    previous node. It doesn't, however, re-expand the tree to the previous
    state.

M	lib/sp-callgraph-view.c
M	lib/sp-callgraph-view.h

commit 6e55454185249fc831c2794dc8fa0fd477c6d7e6
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:50:52 2016 -0700

    add chergert to maintainers

M	sysprof.doap

commit 916c53c432d42aa9eb7edfa40e3a0c76a271845a
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:48:15 2016 -0700

    fix doap for git.gnome.org

M	sysprof.doap

commit 7390930d2c02d80ee6459e642ab3ffb6f922852c
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:43:26 2016 -0700

    update AUTHORS

M	AUTHORS
M	Makefile.am

commit 08a7314c4853ff68f821262815fd0f413553ad05
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:39:00 2016 -0700

    icons: no need to ship source svg in tarball

    This sort of explodes the size of the distribution tarball.

M	data/icons/Makefile.am

commit 5b3d53b9017759cf2220e85b5abc5ceef30c2a53
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:38:37 2016 -0700

    move tap-test into root

M	Makefile.am
R100	build-aux/tap-test	tap-test
M	tests/Makefile.am

commit 9417397d9b3f86d07c2358efcd7fc49c285d174b
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:33:16 2016 -0700

    Setup translations in po/

M	.gitignore
M	Makefile.am
A	po/Makevars
A	po/POTFILES.in

commit 29c4ec495f0d0e290e4fdf8e7dcef802cdb48351
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:24:03 2016 -0700

    Land Sysprof 2.x

    This is a major redesign a modernization of Sysprof. The core data
    structures and design are largely the same, but it has been ported to
    Gtk3 and has lots of additions that should make your profiling
    experience
    smoother. Especially for those that are new to profiling.

    There are some very simple help docs added, but we really need the
    experts to come in and write some documentation here.

M	AUTHORS
A	COPYING.gpl-2
A	DESIGN.md
M	Makefile.am
M	NEWS
A	TODO
M	autogen.sh
A	build-aux/tap-test
A	build-aux/test-driver
M	configure.ac
A	daemon/Makefile.am
A	daemon/sd-bus-helper.c
A	daemon/sd-bus-helper.h
A	daemon/sysprofd.c
A	data/Makefile.am
A	data/icons/Makefile.am
A	data/org.gnome.Sysprof2.conf.in
A	data/org.gnome.Sysprof2.desktop
A	data/org.gnome.Sysprof2.service.in
A	data/org.gnome.Sysprof2.xml
A	data/org.gnome.sysprof2.gschema.xml
A	data/org.gnome.sysprof2.policy.in
A	data/sysprof-mime.xml
A	data/sysprof.pc.in
A	data/sysprof2.service.in
A	git.mk
A	gresources.mk
A	help/C/index.page
A	help/C/introduction.page
A	help/C/legal.xml
A	help/C/profiling.page
A	help/Makefile.am
A	lib/Makefile.am
D	lib/binfile.c
D	lib/collector.c
D	lib/collector.h
D	lib/demangle.c
D	lib/elfparser.c
D	lib/footreedatalist.c
D	lib/footreedatalist.h
D	lib/footreestore.c
D	lib/footreestore.h
D	lib/profile.c
D	lib/profile.h
A	lib/resources/libsysprof.gresource.xml
A	lib/resources/ui/sp-callgraph-view.ui
A	lib/resources/ui/sp-empty-state-view.ui
A	lib/resources/ui/sp-failed-state-view.ui
A	lib/resources/ui/sp-process-model-row.ui
A	lib/resources/ui/sp-profiler-menu-button.ui
A	lib/resources/ui/sp-recording-state-view.ui
D	lib/sfile.c
D	lib/sfile.h
D	lib/sformat.c
D	lib/sformat.h
D	lib/signal-handler.c
D	lib/signal-handler.h
A	lib/sp-address.c
A	lib/sp-address.h
A	lib/sp-callgraph-profile-private.h
A	lib/sp-callgraph-profile.c
A	lib/sp-callgraph-profile.h
A	lib/sp-callgraph-view.c
A	lib/sp-callgraph-view.h
A	lib/sp-capture-reader.c
A	lib/sp-capture-reader.h
A	lib/sp-capture-types.h
A	lib/sp-capture-writer.c
A	lib/sp-capture-writer.h
A	lib/sp-cell-renderer-percent.c
A	lib/sp-cell-renderer-percent.h
A	lib/sp-clock.c
A	lib/sp-clock.h
A	lib/sp-elf-symbol-resolver.c
A	lib/sp-elf-symbol-resolver.h
A	lib/sp-empty-state-view.c
A	lib/sp-empty-state-view.h
A	lib/sp-error.c
A	lib/sp-error.h
A	lib/sp-failed-state-view.c
A	lib/sp-failed-state-view.h
A	lib/sp-gjs-source.c
A	lib/sp-gjs-source.h
A	lib/sp-jitmap-symbol-resolver.c
A	lib/sp-jitmap-symbol-resolver.h
A	lib/sp-kernel-symbol-resolver.c
A	lib/sp-kernel-symbol-resolver.h
A	lib/sp-kernel-symbol.c
A	lib/sp-kernel-symbol.h
A	lib/sp-line-reader.c
A	lib/sp-line-reader.h
A	lib/sp-map-lookaside.c
A	lib/sp-map-lookaside.h
A	lib/sp-model-filter.c
A	lib/sp-model-filter.h
A	lib/sp-perf-counter.c
A	lib/sp-perf-counter.h
A	lib/sp-perf-source.c
A	lib/sp-perf-source.h
A	lib/sp-proc-source.c
A	lib/sp-proc-source.h
A	lib/sp-process-model-item.c
A	lib/sp-process-model-item.h
A	lib/sp-process-model-row.c
A	lib/sp-process-model-row.h
A	lib/sp-process-model.c
A	lib/sp-process-model.h
A	lib/sp-profile.c
A	lib/sp-profile.h
A	lib/sp-profiler-menu-button.c
A	lib/sp-profiler-menu-button.h
A	lib/sp-profiler.c
A	lib/sp-profiler.h
A	lib/sp-recording-state-view.c
A	lib/sp-recording-state-view.h
A	lib/sp-scrolled-window.c
A	lib/sp-scrolled-window.h
A	lib/sp-source.c
A	lib/sp-source.h
A	lib/sp-symbol-resolver.c
A	lib/sp-symbol-resolver.h
A	lib/sysprof-version.h.in
A	lib/sysprof.h
D	lib/testdemangle.c
D	lib/testelf.c
D	lib/testunwind.c
D	lib/tracker.c
D	lib/tracker.h
D	lib/treeviewutils.c
D	lib/treeviewutils.h
D	lib/unwind.c
D	lib/unwind.h
D	lib/util.h
A	lib/util/binfile.c
R065	lib/binfile.h	lib/util/binfile.h
A	lib/util/demangle.cpp
A	lib/util/demangle.h
A	lib/util/elfparser.c
R100	lib/elfparser.h lib/util/elfparser.h
R061	lib/stackstash.c	lib/util/stackstash.c
R056	lib/stackstash.h	lib/util/stackstash.h
A	lib/util/util.h
D	lib/watch.c
D	lib/watch.h
D	lib/xmlstore.c
D	lib/xmlstore.h
A	m4/Makefile.am
A	m4/appstream-xml.m4
A	m4/ax_append_compile_flags.m4
A	m4/ax_append_flag.m4
A	m4/ax_append_link_flags.m4
A	m4/ax_check_compile_flag.m4
A	m4/ax_check_enable_debug.m4
A	m4/ax_check_link_flag.m4
A	m4/ax_compiler_flags.m4
A	m4/ax_compiler_flags_cflags.m4
A	m4/ax_compiler_flags_cxxflags.m4
A	m4/ax_compiler_flags_gir.m4
A	m4/ax_compiler_flags_ldflags.m4
A	m4/ax_compiler_vendor.m4
A	m4/ax_cxx_compile_stdcxx_0x.m4
A	m4/ax_cxx_compile_stdcxx_11.m4
A	m4/ax_generate_changelog.m4
A	m4/ax_is_release.m4
A	m4/ax_require_defined.m4
A	m4/codeset.m4
A	m4/extern-inline.m4
A	m4/fcntl-o.m4
A	m4/gettext.m4
A	m4/glib-gettext.m4
A	m4/glibc2.m4
A	m4/glibc21.m4
A	m4/gsettings.m4
A	m4/iconv.m4
A	m4/intdiv0.m4
A	m4/intl.m4
A	m4/intldir.m4
A	m4/intlmacosx.m4
A	m4/intltool.m4
A	m4/intmax.m4
A	m4/introspection.m4
A	m4/inttypes-pri.m4
A	m4/inttypes_h.m4
A	m4/lcmessage.m4
A	m4/lib-ld.m4
A	m4/lib-link.m4
A	m4/lib-prefix.m4
A	m4/libtool.m4
A	m4/lock.m4
A	m4/longlong.m4
A	m4/ltoptions.m4
A	m4/ltsugar.m4
A	m4/ltversion.m4
A	m4/lt~obsolete.m4
A	m4/nls.m4
A	m4/pkg.m4
A	m4/po.m4
A	m4/printf-posix.m4
A	m4/progtest.m4
A	m4/size_max.m4
A	m4/stdint_h.m4
A	m4/threadlib.m4
A	m4/uintmax_t.m4
A	m4/vala.m4
A	m4/vapigen.m4
A	m4/visibility.m4
A	m4/wchar_t.m4
A	m4/wint_t.m4
A	m4/xsize.m4
A	m4/yelp.m4
A	src/Makefile.am
A	src/resources/gtk/menus.ui
A	src/resources/sysprof.gresource.xml
A	src/resources/theme/shared.css
A	src/resources/ui/sp-window.ui
A	src/sp-application.c
A	src/sp-application.h
A	src/sp-credits.h
A	src/sp-window-settings.c
A	src/sp-window-settings.h
A	src/sp-window.c
A	src/sp-window.h
M	src/sysprof.c
D	src/sysprof.glade
M	sysprof.doap
A	tests/Makefile.am
A	tests/test-capture.c
A	tests/test-model-filter.c
A	tools/Makefile.am
M	tools/sysprof-cli.c
A	tools/sysprof-dump.c

commit 34db28db32c84ec0f60001d7df5ab720be9a6e08
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:14:09 2016 -0700

    add GPL-3 copying for new code

A	COPYING

commit f25528f8dbfb132421cd5ae8503ee4a8490635cc
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:13:59 2016 -0700

    move COPYING to COPYING.gpl2

R100	COPYING COPYING.gpl2

commit 8832fd8c1fba85249b8f7dbe035dd6274cd39d56
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:12:40 2016 -0700

    remove old releasing instructions

    We have generic instructions for this on the wiki

D	releasing

commit cf131ea135268ab7fe1987dd5d630afb9b2e7d30
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:11:59 2016 -0700

    ChangeLog no longer necessary

D	ChangeLog

commit 143e4564d43e5a03352c1a9840d5a216b0b78f31
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:11:44 2016 -0700

    remove old udev rules

D	60-sysprof.rules

commit 109fcf2a2e3c46783aed78303a2dbbc5a36ff151
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:10:57 2016 -0700

    remove old files

D	MAINTAINERS
D	TODO
D	announce-1.0
D	announce-1.2

commit 2ea0287f89264f24630a4a8dce736964e3f924ad
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:10:31 2016 -0700

    move source around in preparation to land sysprof2

R100	binfile.c	lib/binfile.c
R100	binfile.h	lib/binfile.h
R100	collector.c	lib/collector.c
R100	collector.h	lib/collector.h
R100	demangle.c	lib/demangle.c
R100	elfparser.c	lib/elfparser.c
R100	elfparser.h	lib/elfparser.h
R100	footreedatalist.c	lib/footreedatalist.c
R100	footreedatalist.h	lib/footreedatalist.h
R100	footreestore.c	lib/footreestore.c
R100	footreestore.h	lib/footreestore.h
R100	profile.c	lib/profile.c
R100	profile.h	lib/profile.h
R100	sfile.c lib/sfile.c
R100	sfile.h lib/sfile.h
R100	sformat.c	lib/sformat.c
R100	sformat.h	lib/sformat.h
R100	signal-handler.c	lib/signal-handler.c
R100	signal-handler.h	lib/signal-handler.h
R100	stackstash.c	lib/stackstash.c
R100	stackstash.h	lib/stackstash.h
R100	testdemangle.c	lib/testdemangle.c
R100	testelf.c	lib/testelf.c
R100	testunwind.c	lib/testunwind.c
R100	tracker.c	lib/tracker.c
R100	tracker.h	lib/tracker.h
R100	treeviewutils.c lib/treeviewutils.c
R100	treeviewutils.h lib/treeviewutils.h
R100	unwind.c	lib/unwind.c
R100	unwind.h	lib/unwind.h
R100	util.h	lib/util.h
R100	watch.c lib/watch.c
R100	watch.h lib/watch.h
R100	xmlstore.c	lib/xmlstore.c
R100	xmlstore.h	lib/xmlstore.h
R100	sysprof.c	src/sysprof.c
R100	sysprof.glade	src/sysprof.glade
R100	sysprof-cli.c	tools/sysprof-cli.c

commit 46f087522d3bf15b539dc52b4918d91a8e2e2eff
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:08:22 2016 -0700

    Move icons into data/icons.

R100	sysprof-icon-16.png	data/icons/16x16/apps/sysprof.png
R100	sysprof-icon-24.png	data/icons/24x24/apps/sysprof.png
R100	sysprof-icon-256.png	data/icons/256x256/apps/sysprof.png
R100	sysprof-icon-32.png	data/icons/32x32/apps/sysprof.png
R100	sysprof-icon-48.png	data/icons/48x48/apps/sysprof.png
A	data/icons/scalable/apps/sysprof-symbolic.svg
R100	sysprof-icon-source.svg data/icons/sysprof-source.svg

commit abe9ec9f96a6bd21b50e7ae8da16b50a3e202958
Author: Christian Hergert <chergert@redhat.com>
Date:	Wed Apr 13 05:06:20 2016 -0700

    Remove old kernel module

    This isn't necessary anymore, we'll just rely on Linux perf.

D	module/Makefile
D	module/sysprof-module.c
D	module/sysprof-module.h

commit 69018972adf0ca6078f4a69cfba6cfd1ea436ddf
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Mar 11 13:23:08 2013 -0400

    EXTRA_DIST: Distribute sysprof-icon-source.svg

M	Makefile.am

commit 7f9fa2c67604a6e04acbdd93922e7259731bfe5c
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Mar 11 13:19:35 2013 -0400

    README: Update for current decade

M	README
M	sysprof.doap

commit 4704f98a06db8f894d716d42d611dd746036e6ee
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Mar 11 17:33:57 2013 +0100

    app icon: add a high resolution app icon

    - SVG source isn't meant to be installed, just there for
      future updates.

M	Makefile.am
M	sysprof-icon-16.png
M	sysprof-icon-24.png
A	sysprof-icon-256.png
M	sysprof-icon-32.png
M	sysprof-icon-48.png
A	sysprof-icon-source.svg
M	sysprof.c

commit c47fed1effcafe929335869baac46f32fbde65c1
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 8 14:34:04 2012 -0400

    Post-release version bump to 1.3.1

M	configure.ac

commit cd44ee6644c3641507fb53b8a2a69137f2971219
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 8 14:07:48 2012 -0400

    Pre-release version bump to 1.2.0

M	configure.ac

commit a45da708aa411b77387320e4377edbf9e16b225c
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 8 14:08:57 2012 -0400

    Don't try to distribute perf_counter.hf

M	Makefile.am

commit 884cc051f1c12deed07bbe0c7884faefc95de9a9
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 8 14:05:31 2012 -0400

    Add announce-1.2

A	announce-1.2

commit 7c2a0bff62f47511ba7d339c07c11df50d6762fe
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 8 14:05:15 2012 -0400

    Update releasing

M	releasing

commit 1f06404c3e3ee9f027d3445c34cc78498f28b004
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 3 16:54:11 2012 -0400

    Fix description in the DOAP file

M	sysprof.doap

commit 3a7e95716a237e001b870a1781689484a3f455de
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 3 16:17:56 2012 -0400

    Include <linux/perf_event.h> instead of our own old copy

    At this point, we can require the perf_event.h file to be shipping
    with the kernel that we are compiling against.

M	collector.c
D	perf_counter.h
M	tracker.c

commit e9eb5ae3ae1eee52e88eef68a5b0ea09687db020
Author: Pauli Nieminen <suokkos@gmail.com>
Date:	Mon Apr 9 21:13:00 2012 +0300

    Fix debug link crc reading

    Debug link crc values is strored after null terminated string in 4
    aligned offset. But sysprof was only taking into accoutn alignment
    that made elf parser read wrong crc from the debug link string.

    Fix is simple check for string length and adding the length to offset
    before alignment.

    Signed-off-by: Pauli Nieminen <suokkos@gmail.com>

M	elfparser.c

commit 3c110106595a8b2cf682c1c8d846f1540a3f9ead
Author: Pauli Nieminen <suokkos@gmail.com>
Date:	Mon Apr 9 21:13:01 2012 +0300

    Add test for debug link parsing

    Signed-off-by: Pauli Nieminen <suokkos@gmail.com>

M	testelf.c

commit 6a5dfd385ca86b9e40b1a73237408f76b671b490
Author: Pauli Nieminen <suokkos@gmail.com>
Date:	Mon Apr 9 21:12:59 2012 +0300

    Don't complain about old kernel for 3.0+ kernels

    Linux kernel version received bump to 3.0 that causes configure to
    complain about older kernel. To avoid the warning configure needs to
    check major and minor versions before micro.

    Signed-off-by: Pauli Nieminen <suokkos@gmail.com>

M	configure.ac

commit 9eb32f4340a079e497dca03de3ebb8f62a2cdcb5
Author: Jeffrey Stedfast <fejj@gnome.org>
Date:	Tue Dec 20 21:52:35 2011 -0500

    Protect against NULL sym string.

M	tracker.c

commit 7bd9a408648f26cfa722673a3979dd5fff74e94f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Aug 31 20:13:30 2011 -0400

    Add doap file

A	sysprof.doap

commit 4708a509aa9d65ae93e9824e42ddbc6e8d42d90c
Author: Michel Dänzer <michel@daenzer.net>
Date:	Sat Aug 27 20:04:44 2011 +0200

    Fix PowerPC checks for __NR_perf_counter_open.

    __ppc__ isn't defined here on Debian powerpc. Grepping through
    the headers
    installed in /usr/include, there are a few references to __ppc__ and
    __ppc64__, but I suspect they're for other OSs.

    Signed-off-by: Michel Dänzer <michel@daenzer.net>

M	collector.c

commit 139437ecbe00150566db734888bcfecd5cbd0194
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Aug 31 19:57:33 2011 -0400

    Add a simple testdemangle.c test program

M	Makefile.am
A	testdemangle.c

commit f347b87e460e624c46b02332d6ae9331d89b3745
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Jul 15 12:57:32 2011 -0400

    Post-release version bump

M	configure.ac

commit 4692f85f625f4fd969cef4ab5dc47cc4655c87f9
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Jul 15 12:47:02 2011 -0400

    Pre-release version bump to 1.1.8

M	configure.ac

commit d1f73304eb133ca8fd632d849825635bb67862b9
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:	Wed Jul 13 15:03:13 2011 +0100

    tracker: Fix the map look up

    A few commits ago, an attempt to speed the map look up was done.
    Unfortunatly, it was missing the case where you actually hit the speed
    up (once the map is the first element of the array, you never return
    it).

    So, make sure that if i is 0, you return the first element of array,
    while still doing the array reordering is i > 0.

M	tracker.c

commit 791fff95c3acf11bddad67bcbcf641c22f39f5e2
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:	Fri Jan 21 11:01:24 2011 +0000

    cli: Allow to get samples from single pid

    perf lets you decide to only get events that concerns a single process
    and thus make sysprof profile this process instead of the whole system
    (it can happen that you don't really care about other processes
    that are
    just then noise).

    As a side effect, this allows sysprof to not run as root if you
    have the
    rights on the process you want to profile.

M	collector.c
M	collector.h
M	sysprof-cli.c
M	sysprof.c

commit e14788c87e44ae66915e942e279e8b32850b87fd
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:	Fri Jan 21 10:56:19 2011 +0000

    tracker: Silence a debug message

    The same way than the other ones, with #if 0.

M	tracker.c

commit 758fdc86a93bedf023b4b9b650e9ca77bc7c63b2
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:	Fri Jan 21 10:56:17 2011 +0000

    Add a .gitignore file

    Hooray for a clean git status!

A	.gitignore

commit f594fad6b06066484d35eae293e5add3190a777c
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Tue Nov 9 06:32:14 2010 -0500

    Speed up map locating in tracker.c

    Store the maps as a GArray rather than a GPtrArray to improve
    locality; also move maps to front when they are looked up.

M	tracker.c

commit 395f527c8326e50cfa705f6afc1c6faf4fcde07b
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Tue Nov 9 01:40:16 2010 -0500

    Don't compute CRC32s that we know will fail.

    If two files both have build-ids and those build-ids don't match,
    there is no point computing the CRCs.

M	binfile.c

commit 29496fd3b9c9522ee89964c4775b6f726d94c41e
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Tue Nov 9 01:39:25 2010 -0500

    footreestore: Eliminate some type checks that were showing up
    on profiles

M	footreestore.c

commit 737409baf11215876a8721a9039c073784f513f4
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Nov 5 00:21:17 2010 -0400

    Call gdk_flush() in set_busy().

    Otherwise, the cursor won't show up. (GTK+ 2.22).

M	sysprof.c

commit 677fca55bf909d34ebe8f0493286cad038ee2579
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Nov 5 00:20:58 2010 -0400

    Right align the samples label

M	sysprof.glade

commit f5570adcd6d36db0005080789da9adddb5f698d7
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Jan 24 23:11:40 2011 +0000

    build: Update autotools configuration a bit

M	Makefile.am
M	autogen.sh
M	configure.ac

commit 061cb091c211911ddf6d4add7e69311b0777a1f6
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Jan 24 23:05:15 2011 +0000

    Remove INSTALL file, It's autogenerated

D	INSTALL

commit 96267e1e6d2eb28e6e70bef42728b57440350236
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Jan 24 23:02:59 2011 +0000

    autogen.sh: Use autoreconf

M	autogen.sh

commit 6b5b8432711ef5c747f8375073cd9af88922d3c6
Author: Søren Sandmann Pedersen <ssp@l3000.localdomain>
Date:	Thu May 6 13:13:11 2010 +0300

    Post-release version bump to 1.1.7

M	configure.ac

commit 38a6af1f0a45e528fd2842983da71e0f23c70d6a
Author: Søren Sandmann Pedersen <ssp@l3000.localdomain>
Date:	Thu May 6 13:11:22 2010 +0300

    Pre-release bump to 1.1.6

M	configure.ac

commit ecf6cf715ffb6350d565c76a34ea4fd23b57dc77
Author: Søren Sandmann Pedersen <ssp@l3000.localdomain>
Date:	Thu May 6 13:09:06 2010 +0300

    Makefile.am: barrier.h is now called util.h

M	Makefile.am

commit 119b710ffc2d0e3c993702b666ba66a5e7aa5251
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Apr 24 12:27:32 2010 -0400

    Fix use of uninitialized variable

M	tracker.c

commit c960ebd52fee06becf1b943a4a4eeae566a35a81
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Apr 24 10:49:18 2010 -0400

    Use the SET_OUTPUT ioctl to direct all output to the same buffer

    This ensures that we don't get events out of order, which will make
    the profiles look a lot less bogus on multi-core systems.

M	collector.c
M	perf_counter.h

commit 539c3a87546f6a3baf8bd33b1633c1dc07f66496
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Apr 24 10:27:27 2010 -0400

    Make comm events reuse any existing process.

    A comm event doesn't necessarily mean a new process was created. It
    may just mean that an existing process changed its command line.

M	tracker.c

commit 73922a0af984c0882f1177f4d3958626fb861664
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Apr 23 11:53:46 2010 -0400

    Eliminate some compiler warnings

M	binfile.c
M	collector.c
M	testelf.c
M	unwind.c
R092	barrier.h	util.h

commit a03172b11fad937ba87f502aff1f6e317b8487af
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Apr 23 11:34:07 2010 -0400

    Use d_print() instead of g_print() for debug spam

M	collector.c

commit 298f92ff2033b392bfd16dabb4591db4d7164735
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Apr 23 11:26:17 2010 -0400

    Add FIXME about performance issue in stack_stash_add_trace()

M	stackstash.c

commit ded375462bfc85d0a1319a2dadeb9723b7ee2896
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Apr 23 11:22:06 2010 -0400

    sysprof-cli: Print out number of samples when saving

M	sysprof-cli.c

commit aab051f9442c7256790a58f57f0f23ec1b982390
Author: Pascal Terjan <pterjan@mandriva.com>
Date:	Tue Mar 23 18:09:14 2010 +0100

    Fix encoding of error message

    Use g_strerror instead of strerror to get UTF-8

M	collector.c

commit 4e77734d490f1a077f474db1bc51ea5e1c4f2206
Author: Pascal Terjan <pterjan@mandriva.com>
Date:	Tue Mar 23 17:21:37 2010 +0100

    Fix build with -Werror=format-security

    Don't use dynamic string as format, one of the args could be a string
    containing %.

M	sysprof.c

commit b957f30379a9d85f2088612dd54cde671b6f1f9d
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sun Mar 21 12:12:42 2010 -0400

    Really disable hardware counters.

M	collector.c

commit 2d5cf4c93fe7d57f797a74513e24aeabe776f636
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Mar 10 06:58:22 2010 -0500

    Ignore fork events that are just new threads being spawned.

    These would cause mysterious new processes to show up.

M	collector.c
M	tracker.c

commit 08d4d26060d8e5d089b9c9733204a220233c75c8
Author: Søren Sandmann <sandmann@daimi.au.dk>
Date:	Tue Mar 9 12:06:36 2010 -0500

    Disable use of hardware perf counters.

    They don't seem to actually work on a lot of hardware.

M	collector.c
M	collector.h
M	sysprof-cli.c
M	sysprof.c

commit 1707bebe93fbf122b0b79b7110236e389de1788e
Author: Søren Sandmann <sandmann@daimi.au.dk>
Date:	Tue Mar 9 11:59:00 2010 -0500

    Stop using double mmap trick.

    It has issues on various architectures, such as ARM, and there was
    never any guarantee that it would actually work. So since we'd need
    fallback code anyway, and the main point of it was simplifying the
    code, just get rid of it and handle the overflow conditions manually.

M	collector.c

commit 001d3b8e42126ad34416ca811d4c920581a84d28
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Feb 20 15:04:35 2010 -0500

    Update list of kernel symbols to take counter->event rename into
    account.

M	tracker.c

commit b82c3fa8069b4aafda5bcc9c57d975d3006d5f7a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Feb 8 13:20:58 2010 -0500

    Coding style fix

M	sysprof-cli.c

commit 106a734c4fea4d19cb705d773eedffc255c38919
Author: Nix <nix@esperi.org.uk>
Date:	Mon Feb 8 13:16:00 2010 -0500

    Wire up __NR_perf_counter_open syscall for almost all arches as of

    Currently, sysprof hardwires the syscall number of
    __NR_perf_counter_open. That's all very well, except... like other
    syscall numbers, it varies per-arch. With a few exceptions
    (e.g. sparc64), it even varies between 32-bit and 64-bit x86 arches.

    This patch provides the defines for every number I could see assigned
    in git trunk right now, with the exception of some of the ARM ones,
    where
    I couldn't see how to differentiate between the various sorts of
    ARM to
    figure out what the syscall base was. For those, let's wait for
    libc to
    catch up.

    The only arch I've been unable even to guess at is the very new
    S-Core,
    which is the only user so far of the generic syscall table in
    <include/asm-generic>. This specifies a value of 241, but I can't hook
    it up because I can't find an S-Core toolchain anywhere so I
    don't know
    what #define to check for, and googling gives no clues.

    Only tested on x86-64 (where it now works) so there may be all
    sorts of
    bugs in the rest of it (well, in the #defines anyway, though most were
    checked against GCC trunk).

M	collector.c

commit 3e4921b92dbf40a5e8412539898f22b6eacc3816
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Feb 1 14:02:41 2010 -0500

    Unconditionally fall back to software if opening hardware counters
    fails

    If hardware counters are not available, fall back to SW regardless of
    why the hardware counters aren't available. The error code can be
    either ENOTSUPP or ENODEV depending on CPU type, so it's simpler to
    just retry in all cases, and only fail if the software fallback
    failed.

M	collector.c

commit 16f11912e2d7a575e952ce35b014297054a65b9b
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Nov 2 23:18:05 2009 +0100

    Remove deprecated Glib symbols

M	sysprof-cli.c

commit 506f06cc99096d0803223a16ecbd8aa3765ef66b
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Nov 2 23:13:04 2009 +0100

    Use GTK+ single includes

M	footreestore.h

commit fbf052a4822cec4f80f8ff92c5af2cab5ebfa46e
Author: Javier Jardón <jjardon@gnome.org>
Date:	Mon Nov 2 23:23:40 2009 +0100

    Support silent build rules with automake 1.11

    Support silent build rules, requires at least automake-1.11.
    Disable by either passing --disable-silent-rules to configure or
    passing V=1 to make.

M	configure.ac

commit 18695c27f120c67d7fd6e2e2280aa361347995e3
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Nov 2 14:16:26 2009 -0500

    Post release version bump

M	configure.ac

commit 4ccb67dca98df0e6176fd5380354bc4534a9c90d
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Nov 2 14:15:23 2009 -0500

    Release 1.1.4

M	configure.ac

commit ef2da92b0a61054e100660dbac15efec9d9bcd23
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Nov 2 13:52:11 2009 -0500

    More error handling.

M	collector.c
M	collector.h

commit 71f2cd3a64fd20e3c71b58efc415d660d7f38c50
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Nov 2 13:30:04 2009 -0500

    Return error when the counter can't be opened.

M	collector.c
M	collector.h
M	tracker.c
M	treeviewutils.c
M	treeviewutils.h

commit 1b64f1d92446e148586972b7e885b7b81a33ba7e
Author: Søren Sandmann Pedersen <ssp@l3000.localdomain>
Date:	Thu Oct 29 07:40:51 2009 -0400

    Also filter out NMI stack

M	tracker.c

commit ae77f078d3a1ef81639a73db75b9264f1634889b
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Thu Oct 29 07:31:31 2009 -0400

    Skip symbols from IRQ stack.

    There is a bug in the kernel where it includes the stack of the IRQ
    that generated the event, so that the stack ends up looking like this:

	[ip] [irq stack] [real stack].

    As a temporary workaround, this patch filters out the irq stack
    symbols.

M	collector.c
M	tracker.c

commit 7fc23589a2e96b3a7d4b26b641256b4402f385a9
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Oct 23 13:42:11 2009 -0400

    Exclude idle events and set sample_period to 200000

M	collector.c

commit 70d03f4bf2a21613d49bdc70f1d0df643ed5becf
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 12:31:43 2009 -0400

    Set wakeup_events to 149, not 150

M	collector.c

commit 0abcd98e2adb1756de96d2af6e4b190c0ac2812f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 12:30:32 2009 -0400

    TODO

M	TODO

commit ecb15e0b7fc6c695ced6bdac4444e014686b16d8
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 12:28:43 2009 -0400

    Show the "-- kernel --" marker in kernel threads

    The innermost context is normally user mode, so we don't show. For
    kernel threads, the innermost context is the kernel, so don't filter
    it out.

M	tracker.c

commit 393a26dad67c7a08a3e234f46c6f1c6b072286fe
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 12:27:19 2009 -0400

    Disable accessibility

    Accessibility prevents sysprof from working reliably, so disable
    it. Specifically, it

    - causes large amounts of time to be spent in sysprof itself
      whenever the label is updated.

    - sometimes hangs at shutdown

    - does long-running roundtrip requests that prevents
      reading the event buffers, resulting in lost events.

M	sysprof.c

commit 2c4422c46e9d17ff42c0e06e1ccbe68bb98297ae
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 08:57:08 2009 -0400

    Make the events more compact by packing type and pid into one
    uint32_t.

M	tracker.c

commit 432cd9ce55f1fc93007b1f4ae2c5acd20d176479
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 06:58:20 2009 -0400

    Add support for software fallback counters

M	collector.c

commit 2c8638d3f3eaa8d35b45c295ebd97cdd679148bd
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Wed Oct 21 06:52:18 2009 -0400

    TODO

M	TODO

commit 7836e72295efc6463e2e82e91d5b096706986411
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Oct 8 19:25:54 2009 -0400

    Remove final bits of binparser

M	Makefile.am
D	binparser.c
D	binparser.h
M	elfparser.c
M	unwind.c

commit ca14021fb357ca69e2cb2c25b535ba90ce44b2de
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Oct 8 19:17:24 2009 -0400

    Eliminate more BinParser stuff

M	elfparser.c

commit 4f9903b913cbd0db6c686012f3ecb8424a2c6066
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Oct 8 17:40:20 2009 -0400

    Beginning of the end for BinParser.

    Instead of the clunky BinParser, we are moving to a scheme where the
    ELF accessors are defined by macros. This is the first step towards
    getting rid of it.

M	elfparser.c

commit 33fdd6cda328f38ccc56fec0ad29fbd9a6b80247
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 26 09:56:33 2009 -0400

    Pre-release version bump

M	configure.ac

commit f871ceb3d3bea0cae3c8e4a44b706c8990583e3a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Sep 25 12:47:55 2009 -0400

    Remove GSEAL macros

M	footreestore.h
M	sysprof.c

commit 79107145c020b27da77b83d9349386ebb0cce7f6
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Sep 25 11:50:08 2009 -0400

    Really make it compile on older kernels

M	collector.c

commit 626078e873af581c7d29c10cbfcae74d0b49bf37
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Fri Sep 25 11:37:26 2009 -0400

    Make it distcheck

    Also add a warning about compiling against a too old kernel.

M	Makefile.am
M	collector.c
M	configure.ac
M	sysprof-cli.c
M	sysprof.c

commit 8df1145c842104e3f3c42ad164b04ef61468c7cd
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Fri Sep 25 11:24:40 2009 -0400

    Comment out some debugging spam; update copyright

M	sysprof.c
M	tracker.c

commit 9072f891fd431c7a9c8a79f0f455656f805d23b1
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Sep 24 10:46:59 2009 -0400

    Eliminate 'partial' string

M	collector.c

commit 87719722128247c8ef190901697a27a8229b615f
Author: M Joonas Pihlaja <jpihlaja@cc.helsinki.fi>
Date:	Wed Sep 16 08:21:49 2009 -0400

    In sysprof-cli.c, stop the collector before trying to create a profile

M	sysprof-cli.c

commit a33678df2617275fb60588776d8e020f37907ecc
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 14 04:59:28 2009 -0400

    Update TODO

M	TODO
M	binfile.c
M	binfile.h
M	sysprof.c
M	tracker.c

commit 08fc4f64a9d390be437368896e8b9a8f0576a53e
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Sep 10 03:41:32 2009 -0400

    Read data before stopping collector.

    Stop debug spew.

M	collector.c
M	sysprof.c
M	tracker.c

commit 3bd9debb5c011c9f733b7a12ccf22cfb25951126
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Thu Sep 10 03:08:16 2009 -0400

    TODO

M	TODO

commit 09ffea0d57f2081021ea7e3c7409c0006012e9c4
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 19:35:03 2009 -0400

    TODO, plus a number of other fixes

M	TODO
M	collector.c
M	tracker.c

commit 75c5a39c72603d8fb6040dd5acbe74daa4b35cca
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 03:24:46 2009 -0400

    Avoid mallocs in process_sample()

M	TODO
M	tracker.c

commit 6dabcefec5e4f82cb7aea81744dc3a509a93c699
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 02:59:04 2009 -0400

    Better handling of events without stacktraces

M	TODO
M	collector.c
M	tracker.c

commit 23147e1141b297770348234c3c877728f039c407
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 02:30:16 2009 -0400

    Remove stash from collector

M	collector.c

commit e277712037058ef04bdc671dd070a9e0e5d3b43f
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 02:26:04 2009 -0400

    Initial support for fork/exit events

M	TODO
M	collector.c
M	tracker.c
M	tracker.h

commit 6e1e43ff3bdfe33811d387c33db5f73edf4a1675
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 01:26:29 2009 -0400

    Make sure parser->symbols is non-NULL after read_table()

    Otherwise, we would read the file over and over.

    Also get the process name from /proc/pid/cmdline, falling back to
    /proc/pid/status if there is nothing there.

M	elfparser.c
M	tracker.c

commit 4ce73d1e5f76e31121dac91bb487c2ff629bbd88
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 00:45:43 2009 -0400

    TODO

M	TODO
M	sysprof.c

commit 985db99fedd960ed921be1978c9a44e3d9f7d1c5
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 00:15:19 2009 -0400

    Destroy state object after use, don't keep bin files in map objects

M	tracker.c

commit 0ceaff7a66c4c7ee4b6fde31b6d9b6edf09dce0e
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 00:06:12 2009 -0400

    Move bin file cache to state object

M	binfile.c
M	tracker.c

commit 604d07600a8fd42c4f9bbf42bd6262bfb61bfcb4
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Tue Sep 8 00:00:06 2009 -0400

    Simplify vdso reading in binfile.c

M	TODO
M	binfile.c

commit 3d9cbe20e74eea26bbd386b10f00c5cb449bc5b1
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 23:35:30 2009 -0400

    Remove last bits of process.[ch]

M	collector.c
D	process.c
D	process.h
M	profile.c
M	sysprof-cli.c

commit b8364e28476e7c55f032b71b943ac2049e1ed36b
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 23:33:48 2009 -0400

    Don't compile process.[ch] anymore

M	Makefile.am
M	TODO
M	binfile.c
M	collector.c
M	process.c
M	tracker.c

commit 8dd28de7107d536d8430c789d1d465066ddb6774
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 22:50:30 2009 -0400

    Update TODO

M	TODO
M	tracker.c

commit 43e419f7749d9b1263553b1ffbc0ed8e05440ed8
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 22:20:13 2009 -0400

    Simpler message formatting

M	collector.c
M	tracker.c

commit c3288467bc21070679358d474df0923130c72b7c
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 21:57:20 2009 -0400

    More informative errors when symbols can't be found

M	tracker.c

commit 29e270cb8d2fe0273e91118627a65f24d480b540
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 21:22:48 2009 -0400

    Various debug spew

M	collector.c
M	tracker.c

commit d34a1cf460231e8d57262c1651ac50e15496b734
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 20:43:22 2009 -0400

    Add symbol resolution to tracker

M	collector.c
M	process.c
M	tracker.c

commit cdc7ce7e12c22c63bde9a2ccc1474ab8cc6af57d
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 19:16:52 2009 -0400

    Add process and map tracking to tracker

M	collector.c
M	tracker.c
M	tracker.h

commit 5072c23f42e486f8896aacd27cfbde315f4d2c3d
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 18:43:34 2009 -0400

    Add events to tracker instead of stash

M	collector.c
M	tracker.c

commit b86b04910fe50e3ccd256c8da3e6934f29702bff
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 18:18:26 2009 -0400

    Fake new_process and new_map events when a tracker is created

M	collector.c
M	sysprof.c
M	tracker.c

commit 139acd02872d8f9978b3ab35f6eb17ee8aaa70a3
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 16:27:50 2009 -0400

    Hook up dead period, and only call back after a complete batch
    of samples

M	collector.c
M	tracker.c

commit 7b75070125af6e2d3ac91e70472df16b052a20ab
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 15:57:34 2009 -0400

    Implement tracker_add_sample()

M	tracker.c

commit 3395b317ab2d58a44e041aed327ea31be8519220
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 15:55:45 2009 -0400

    Make stack_stash_add_trace() return a pointer to the trace

M	stackstash.c
M	stackstash.h
M	sysprof.c

commit e387de1c3acf353e0b795b8499197819b115cb63
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 15:13:14 2009 -0400

    Make StackStash store uint64_ts instead of pointers

M	collector.c
M	profile.c
M	stackstash.c
M	stackstash.h

commit e1cfbc4c53470d1b423812b2b237bf81d3d4001f
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 10:14:01 2009 -0400

    Add code to append map and process events

M	tracker.c
M	tracker.h

commit 4ef449b6dbea0cc7ce726a640e558e72d4059079
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 10:02:58 2009 -0400

    Add array resizing code

M	tracker.c

commit 978ecd5d75ca84dff70cd9deda5ad3c957895278
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 09:51:20 2009 -0400

    Create data types

M	tracker.c

commit b7d7998eba7b8bb4240f7857539540f89d7cc40e
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Sep 7 09:46:40 2009 -0400

    Add tracker.[ch]

M	Makefile.am
A	tracker.c
A	tracker.h

commit 47795ba85b4cf222ef062c0dc37af0b12ef4f01d
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sun Sep 6 21:26:41 2009 -0400

    Use a buffer of 32 pages.

    Also remove a debug print statement.

M	collector.c

commit f368efaaf01de2914487b091c099b54b6f2483bd
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Aug 17 07:38:15 2009 -0400

    Add a cache for TreeDataList allocation

M	footreedatalist.c

commit 6849c1472d415ecc3612b80c5301458441acee5b
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Aug 17 05:45:46 2009 -0400

    Eliminate as many signal emissions as we can from footreestore.c

M	footreestore.c
M	footreestore.h
M	treeviewutils.c

commit 47434b8c8198d04585fda02e90c9aa6ffbc8b3cb
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Aug 17 04:31:38 2009 -0400

    Some more renamings

M	footreestore.c

commit 0ab7325806a356c48ee83a27c066911d86fecc65
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sun Sep 6 20:56:01 2009 -0400

    Lots of gtk->foo renames

M	footreestore.c
M	footreestore.h
M	sysprof.c

commit 6fc4ba4f45fa26b6695411cb3d29ecb41a527ee6
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Mon Aug 17 04:15:29 2009 -0400

    Add forked copies of gtktreestore.[ch] and gtktreedatalist.[ch]

M	Makefile.am
A	footreedatalist.c
A	footreedatalist.h
A	footreestore.c
A	footreestore.h

commit 08ba6bfbd369cd5315f3832115ac23bcd63bd7fc
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sun Sep 6 20:43:57 2009 -0400

    Use two consecutive mappings of the ring buffer.

    This allows us to not ignore wrapping and just process events instead
    of having to copy the data to temporary storage.

M	collector.c

commit 594a58d67467495761d2d0826555612785dfcb90
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:	Sat Sep 5 17:15:19 2009 -0400

    Initial port to perf counters

A	barrier.h
M	collector.c
A	perf_counter.h
M	process.c
M	process.h

commit a7a1ab3081f58557a5997a667d713186f1217e7f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Aug 22 04:08:57 2009 -0400

    Remove unused profile_from_file variable

M	sysprof.c

commit 1e332ab35a840eff97301f74c48404966597fc78
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Aug 15 03:24:52 2009 -0400

    Rename sysprof-text to sysprof-cli

M	Makefile.am
M	TODO
R100	sysprof-text.c	sysprof-cli.c

commit d65e0e57bba11fc821e04951c2ed2df908e8a68f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Aug 17 09:40:08 2009 -0400

    Delete trailing whitespace

M	sysprof.c

commit e2811ea4f71bd1f2e9985cdf7ea6736ec47d56e0
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Aug 17 09:34:10 2009 -0400

    Reserve space in the samples label for large numbers.

    This way, we don't need to reallocate the label every time it changes.

M	sysprof.c
M	sysprof.glade

commit 79921d709844bd35d307f5754faa285702463491
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Mon Aug 17 08:19:38 2009 -0400

    Free the sfile formats after freeing the input/output files.

    The instruction arrays in the files have a references to types that
    are owned by the formats, so if the formats are freed first, valgrind
    complains about invalid accesses during the freeing of the instruction
    array.

M	profile.c

commit 9774bca836fe730fdf4af194a51b9062c05e8ea3
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Thu Aug 13 21:51:13 2009 -0400

    TODO

M	TODO

commit 4d216c0d11aa77b4096dafeb983bc7cc5c242baa
Merge: 97ac391 4dc5bc2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sun Feb 22 11:13:26 2009 -0500

    Merge branch 'master' of git+ssh://git.gnome.org/git/sysprof

commit 4dc5bc2276693b05ad1d690b7e6246784bbb1f50
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sun Feb 22 11:11:18 2009 -0500

    Tweak percent sign format

M	sysprof.c

commit d3b3393903920ddfc872f0c9a8223e885129d88f
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sun Feb 22 04:29:09 2009 -0500

    Add percent signs in screenshot window

M	sysprof.c

commit 97ac391be39d936d7224ae37b4e5065c2a7aaa32
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sun Feb 22 01:04:30 2009 -0500

    TODO

M	TODO

commit f83083dc42161cf130b9f10eff2c8e8db0df82cd
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Feb 21 22:41:21 2009 -0500

    TODO

M	TODO

commit 5143df4e72666cd006b929123040330fd61a8ee7
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Feb 21 22:48:04 2009 -0500

    Get rid of hack to not fold recursions for "In file" symbols

M	profile.c

commit fcfd231cb5c065146048fc37f06166ae380010a5
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Feb 21 22:37:16 2009 -0500

    Give the samples label a minium width of "Samples: 888888"

    We do this by putting the samples label and a sizer label into a
    notebook where show_tabs is false. The benefits of this is that w
    avoid the hack of connecting to the size request signal, and that the
    samples label will be right adjusted.

M	sysprof.c
M	sysprof.glade

commit adb87bbcf8e8bd99b1daa11105a4d5c14e0a6961
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 04:14:55 2009 -0500

    Add empty ChangeLog to appease automake

A	ChangeLog

commit f8a5d34b4436d15216309d58b5eb9810cac57302
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 04:13:41 2009 -0500

    Delete ChangeLog

D	ChangeLog

commit 18da1cd0be186494d5f7c90f5453a5a90b812c06
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 04:07:07 2009 -0500

    new enter_display_mode() function

M	sysprof.c

commit b3893d6c75374feae6eb41ded0c1364adbcc0481
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 03:54:36 2009 -0500

    Don't delete profile when toggling on_profile

M	sysprof.c

commit ed34b54ef2354619d51b5e494e2d3f622288c864
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 03:38:08 2009 -0500

    Select the first row in the object view when making the profile

M	sysprof.c

commit 6f939e3eea9d231b514c44b2fda1bd138f21f260
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:	Sat Feb 21 02:27:45 2009 -0500

    Disregard symbols that are not defined with respect to the text
    section

M	elfparser.c

commit af294337bdd00a27de26b73294f8d74589a0e3cc
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Fri Feb 20 07:33:24 2009 -0500

    Add percent signs; update TODO

M	TODO
M	sysprof.c
M	treeviewutils.c

commit 8577c079dc776948ccf9f11927e1aca74484bfca
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Sat Oct 25 16:17:33 2008 -0400

    Update configure banner to the latest version control system.

    It was two version control systems behind.

M	configure.ac

commit b060e05909b8f99a85a3be14fc50c20dff10df1a
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Sep 14 20:07:08 2008 +0000

    Update to work with new vm_operations interface from 2.6.23. Patch
    from

    Sun Sep 14 16:04:17 2008  Søren Sandmann  <sandmann@redhat.com>

	* sysprof/module/sysprof-module.c: Update to work with new
	vm_operations interface from 2.6.23. Patch from Chris Wilson.



    svn path=/trunk/; revision=435

M	ChangeLog
M	module/sysprof-module.c

commit e11dfce31fa6f8fbcffc49939be5116671e8daf5
Author: Geoffrey Keating <geoffk@apple.com>
Date:	Thu Jun 5 02:09:33 2008 +0000

    Apply patch from binutils to demangle local-source names. Binutils

    Wed Jun  4 21:52:17 2008  Søren Sandmann  <sandmann@redhat.com>

	* demangle.c: Apply patch from binutils to demangle local-source
	names. Binutils changelog:

	2007-05-05  Geoffrey Keating  <geoffk@apple.com>

		* cp-demangle.c (d_name): Detect local-source-name.
		(d_prefix): Likewise.
		(d_unqualified_name): Implement local-source-name.

	* sysprof.c: Update copyright statement



    svn path=/trunk/; revision=434

M	ChangeLog
M	TODO
M	demangle.c
M	elfparser.c
M	sysprof.c

commit 155221f446d1f56b660c536415429dc50f1776fd
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 05:36:32 2008 +0000

    Remove weird comment.

    Mon Jun  2 01:35:25 2008  Søren Sandmann  <sandmann@redhat.com>

	* demangle.c: Remove weird comment.

	* elfparser.h: Formatting.


    svn path=/trunk/; revision=433

M	ChangeLog
M	demangle.c
M	elfparser.h

commit aacafe90f1b60c5fc0fffd83aabc4552ef76dee5
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Jun 2 05:14:56 2008 +0000

    +Mon Jun  2 01:14:17 2008  Søren Sandmann	<sandmann@redhat.com>
    +
    +	* binfile.c (get_debug_binaries): Remove left-over #if 0
    +


    svn path=/trunk/; revision=432

M	ChangeLog
M	binfile.c

commit edb974bcc8ec30664b943d2f791c8ceb14af38a4
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 05:13:32 2008 +0000

    Simplify loop.

    Mon Jun  2 01:10:38 2008  Søren Sandmann  <sandmann@redhat.com>

	* binfile.c (get_debug_binaries): Simplify loop.


    svn path=/trunk/; revision=431

M	ChangeLog
M	binfile.c

commit 10c747aa405eb87712b6fde24b7c0d407592878f
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 04:59:01 2008 +0000

    Actually recurse on the debuglink.

    Mon Jun  2 00:58:17 2008  Søren Sandmann  <sandmann@redhat.com>

	* binfile.c (get_debug_binaries): Actually recurse on the
	debuglink.


    svn path=/trunk/; revision=430

M	ChangeLog
M	binfile.c

commit 355818bf5b58b96d99c1faebcce46b73218faa56
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 04:56:32 2008 +0000

    Plug leak

    Mon Jun  2 00:56:00 2008  Søren Sandmann  <sandmann@redhat.com>

	* binfile.c (get_debug_binaries): Plug leak



    svn path=/trunk/; revision=429

M	ChangeLog
M	binfile.c

commit 7cd38113c823c7663e012ad539ab513ff3262115
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 04:54:15 2008 +0000

    Keep a list of elf files for each binary file. In some cases, notably

    Mon Jun  2 00:51:46 2008  Søren Sandmann  <sandmann@redhat.com>

	* binfile.c (get_debug_binaries): Keep a list of elf files for
	each binary file. In some cases, notably glibc on Fedora, the
	debug binary does not contain a symbol table, but the original
	file does.


    svn path=/trunk/; revision=428

M	ChangeLog
M	binfile.c
M	elfparser.c
M	elfparser.h

commit 736806aaa6d72a1330447b368e374032cbe4b806
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 2 03:17:27 2008 +0000

    Do not fold recursions for symbols starting with "In file".

    Sun Jun  1 23:03:06 2008  Søren Sandmann  <sandmann@redhat.com>

	* profile.c (add_trace_to_tree): Do not fold recursions for
	symbols starting with "In file".

	* treeviewutils.c: Update copyright. Various formatting fixes.


    svn path=/trunk/; revision=427

M	ChangeLog
M	profile.c
M	treeviewutils.c

commit 5b6c578c1a88f5d9467e02dcf8f98a805008bfaa
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri May 30 22:12:51 2008 +0000

    Update TODO

    svn path=/trunk/; revision=426

M	TODO

commit 3911e057d7b16bc53d9fe0a3e7b5734de8c3faa8
Author: Owen Taylor <otaylor@redhat.com>
Date:	Thu May 8 13:27:06 2008 +0000

    Reorder the tests for CONFIG_X86 and CONFIG_X86_64 since post
    2.6.26, they

    2008-04-30	Owen Taylor  <otaylor@redhat.com>

	* module/sysprof-module.c: Reorder the tests for
	CONFIG_X86 and CONFIG_X86_64 since post 2.6.26, they are
	both defined on x86-64 machines.

    svn path=/trunk/; revision=419

M	ChangeLog
M	module/sysprof-module.c

commit 282783bf2bf47ad4b7140e23678b5e368297ab68
Author: Soren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:	Thu May 8 00:17:13 2008 +0000

    Fix bug where the build id name was generated incorrectly.

    2008-05-07	Soren Sandmann Pedersen  <sandmann@daimi.au.dk>

	* binfile.c (get_build_id_file): Fix bug where the build id name
	was generated incorrectly.

	Make a copy of the debug name, not the input name.


    svn path=/trunk/; revision=418

M	ChangeLog
M	TODO
M	binfile.c
M	elfparser.c

commit 1d1d5dd945925a4fb727975bcae64e44646ae2d3
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Apr 26 08:47:29 2008 +0000

    Don't leak kallsyms

    2008-04-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * process.c (get_kernel_symbols): Don't leak kallsyms

	    * sysprof.c (gather_widgets): Don't leak the GladeXML


    svn path=/trunk/; revision=415

M	ChangeLog
M	TODO
M	process.c
M	sysprof.c

commit 3e465571bb810f025096d4bacfab4ae6f5d66f75
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Apr 26 08:31:23 2008 +0000

    Get rid of all calls to glade_xml_get_widget(). (gather_widgets):
    Instead

    2008-04-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * sysprof.c (build_gui): Get rid of all calls to
	    glade_xml_get_widget().
	    (gather_widgets): Instead get all the widgets here.

	* TODO: updates


    svn path=/trunk/; revision=414

M	ChangeLog
M	TODO
M	sysprof.c

commit b7619004e60069eff1263172ee7ccf6c2cca9c95
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Apr 26 08:09:48 2008 +0000

    Remove all calls to g_signal_connect() Instead connect all signals
    here

    2008-04-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * sysprof.c (build_gui): Remove all calls to
	    g_signal_connect()
	    * sysprof.c (connect_signals): Instead connect all signals
	    here


    svn path=/trunk/; revision=413

M	ChangeLog
M	sysprof.c

commit f585e31fde26ad2b58f812d2b3d7459ec85f1324
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Apr 26 07:24:08 2008 +0000

    Add various constants

    2008-04-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * unwind.c: Add various constants



    svn path=/trunk/; revision=412

M	ChangeLog
M	unwind.c

commit f49c3b5d2ede24b5ac67d892b3926b3983085877
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Apr 21 20:12:36 2008 +0000

    More build-id work

    svn path=/trunk/; revision=411

M	ChangeLog
M	binfile.c
M	elfparser.c
M	testelf.c

commit 90d1fa1de5b92650f8afce07fe84c56829425b5f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Apr 20 20:58:11 2008 +0000

    Initial build id support

    svn path=/trunk/; revision=410

M	ChangeLog
M	TODO
M	binfile.c
M	binparser.c
M	elfparser.c
M	elfparser.h
M	testelf.c

commit 12de20b938a28c309642180f84781e2e339a641c
Author: Owen Taylor <otaylor@redhat.com>
Date:	Tue Apr 1 17:46:06 2008 +0000

    Constrain the samples label to only grow wider instead of bouncing
    around.

    2008-04-01	Owen Taylor  <otaylor@redhat.com>

	    * sysprof.c (on_samples_label_size_request): Constrain the
	    samples label to only grow wider instead of bouncing around.

    svn path=/trunk/; revision=409

M	ChangeLog
M	sysprof.c

commit 5d06134d549af39c1133f94b1b8e2f3c1aa49150
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Mar 29 23:02:01 2008 +0000

    Split decode_entry

    svn path=/trunk/; revision=408

M	unwind.c

commit a2f8d00fc252e7e153c61caf68bfc727554ca621
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Mar 29 22:18:42 2008 +0000

    Work around GTK+ ABI break.

    2008-03-29	Soren Sandmann <sandmann@daimi.au.dk>

	    Work around GTK+ ABI break.

	    * sysprof.c (on_about_activated): Use "program-name"
	    instead of
	    "name" when the gtk+ minor version is >= 14.




    svn path=/trunk/; revision=407

M	ChangeLog
M	sysprof.c

commit 62ffe734b0cbb733ca2c4a90282e4d70ae49acfe
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Mar 29 19:08:01 2008 +0000

    Call back after collecting all traces.

    2008-03-24	Soren Sandmann <sandmann@daimi.au.dk>

	    * collector.c (collect_traces): Call back after collecting all
	    traces.

	    * TODO: update

	    * process.c: Simpler code to find vmlinux



    svn path=/trunk/; revision=406

M	ChangeLog
M	TODO
M	collector.c
M	process.c

commit d2a6151f8da8b8a2d20f76560e1b2d9ca670dbdc
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 29 16:00:33 2008 +0000

    Beginning of a dwarf unwinder.

    Sat Mar 29 11:14:38 2008  Søren Sandmann  <sandmann@redhat.com>

	    * unwind.[ch], testunwind.c: Beginning of a dwarf unwinder.



    svn path=/trunk/; revision=405

M	ChangeLog
M	Makefile.am
M	binparser.h
M	elfparser.c
M	elfparser.h
M	module/sysprof-module.c
A	testunwind.c
A	unwind.c
A	unwind.h

commit 72ef8ca8c6712cbc75ec3ed2cb26e7c108289300
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 29 12:14:13 2008 +0000

    x86 merge happened in 2.6.25

    Sat Mar 29 08:05:46 2008  Søren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c: x86 merge happened in 2.6.25



    svn path=/trunk/; revision=404

M	ChangeLog
M	module/sysprof-module.c

commit ae59a75be497226fd7564afb53f46f60f0d4031b
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Mar 24 03:04:14 2008 +0000

    Remove unnecessary show_samples

    svn path=/trunk/; revision=403

M	sysprof.c

commit 26822b100ca8e8de32f5a6acf46e661542c43ed2
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Mar 24 03:00:49 2008 +0000

    +2008-03-23  Soren Sandmann <sandmann@daimi.au.dk>
    +
    +	    * sysprof.c (queue_show_samples): Update samples immediately
    when
    +	    reset and start is clicked.
    +


    svn path=/trunk/; revision=402

M	ChangeLog
M	sysprof.c

commit c2de993836bd39cf921440d10a1b1a84c9367b20
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Thu Mar 20 09:49:46 2008 +0000

    Use kernel builtin tracer instead of copying everything ourselves.

     2008-03-20  Soren Sandmann <sandmann@redhat.com>

	   * module/sysprof-module.c (trace_kernel): Use kernel builtin
	   tracer instead of copying everything ourselves.


    svn path=/trunk/; revision=401

M	ChangeLog
M	collector.c
M	module/sysprof-module.c
M	module/sysprof-module.h
M	process.c

commit 83fd2bbc3167b8c60dd922fda9a0707003ec12f2
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Thu Mar 20 07:19:13 2008 +0000

    Support for 2.6.24 and newer

    2008-03-20	Soren Sandmann <sandmann@redhat.com>

	   * module/sysprof-module.c: Support for 2.6.24 and newer



    svn path=/trunk/; revision=400

M	ChangeLog
M	module/sysprof-module.c

commit 542967b1f746ded36c23d342e3ddbaf319c3a1cf
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Mar 2 00:08:21 2008 +0000

    Update a comment

    svn path=/trunk/; revision=399

M	collector.c

commit a585265ceedab62f459e09976dc01a64d3c8de07
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Feb 24 00:53:29 2008 +0000

    Initialize offset to 1. Don't do kernel lookup for unmapped addresses.

    2008-02-23	Soren Sandmann <sandmann@redhat.com>

	* process.c (process_lookup_symbol): Initialize offset to 1. Don't
	do kernel lookup for unmapped addresses.


    svn path=/trunk/; revision=398

M	ChangeLog
M	process.c

commit b98db05f9bbd2f56d756d1ccf805f5136c65ba25
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Feb 17 23:31:19 2008 +0000

    Add commented out code to reject callback.

    2008-02-17	Soren Sandmann	<sandmann@redhat.com>

	* collector.c (lookup_symbol): Add commented out code to reject
	callback.

	* elfparser.c (struct ElfParser): Store the filename if any
	(elf_parser_get_sym_address): Subtract the load address, so the
	result will be an offset into the text section.

	* process.[ch] (process_lookup_symbol): Add an offset out-argument

	* binfile.[ch] (bin_symbol_get_address): New function

	* TODO: updates



    svn path=/trunk/; revision=397

M	ChangeLog
M	TODO
M	binfile.c
M	binfile.h
M	collector.c
M	elfparser.c
M	process.c
M	process.h

commit 9d2f7a1a9d52115976b7268bd0ac6b2320ec3e3a
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sat Feb 16 15:54:40 2008 +0000

    Add a memcpy() that uses nontemporal writes. (copy_kernel_stack): Add

    2008-02-16	Soren Sandmann	<sandmann@redhat.com>

	* module/sysprof-module.c (nt_memcpy): Add a memcpy() that uses
	nontemporal writes.
	(copy_kernel_stack): Add commented-out use of it here.



    svn path=/trunk/; revision=396

M	ChangeLog
M	module/sysprof-module.c

commit 64d220e3466c1e48caa853f154ea29bc224e6066
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Tue Nov 20 23:50:21 2007 +0000

    Use hash table instead of list.

    2007-11-20	Soren Sandmann <sandmann@daimi.au.dk>

	    * binfile.c (find_separate_debug_file): Use hash table
	    instead of
	    list.



    svn path=/trunk/; revision=395

M	ChangeLog
M	binfile.c

commit d3b5cc446fb9c0209635eb3aec4106426d5dd788
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 19 17:56:02 2007 +0000

    Update TODO

    svn path=/trunk/; revision=394

M	TODO
M	collector.c
M	module/sysprof-module.c
M	process.c

commit 8d73f2d3916a74c6a10db7e63baff412f25594ac
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Nov 19 03:34:19 2007 +0000

    Make heuristic stack scanning more accurate

    2007-11-18	Soren Sandmann <sandmann@daimi.au.dk>

	    * module/sysprof-module.c (heuristic_trace): Make heuristic
	    stack
	    scanning more accurate



    svn path=/trunk/; revision=393

M	ChangeLog
M	TODO
M	module/sysprof-module.c

commit 05c4a202b384284e80c08487b64e600455b1d192
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 18 23:11:52 2007 +0000

    Crude heuristic stack scanning on x86-64.

    Sun Nov 18 18:12:09 2007  Søren Sandmann  <sandmann@redhat.com>

	   * module/sysprof-module.c (heuristic_trace): Crude heuristic
	   stack
	   scanning on x86-64.

	   * module/sysprof-module.c (copy_kernel_stack): New function



    svn path=/trunk/; revision=392

M	ChangeLog
M	module/sysprof-module.c

commit a68837a3ad67a381ca19a94e77f1945685087202
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 18 18:29:34 2007 +0000

    Return ssize_t instead of int.

    Sun Nov 18 13:23:39 2007  Søren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c (sysprof_read): Return ssize_t
	    instead
	    of int.

	    * module/sysprof-module.c (heuristic_trace): Beginning of
	    heuristic user stack scanning.



    svn path=/trunk/; revision=391

M	ChangeLog
M	module/sysprof-module.c

commit f7a138fa15e3efacdc5db93eedf63e212b0490ac
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Nov 17 06:23:39 2007 +0000

    +2007-11-17  Soren Sandmann <sandmann@daimi.au.dk>
    +
    +	    * collector.c (collector_create_profile): Don't collect
    traces here.
    +


    svn path=/trunk/; revision=390

M	ChangeLog
M	collector.c
M	process.c

commit 41efdc9c7ebebb80ce5f1850ba918e49bcc40ea1
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Nov 17 03:48:31 2007 +0000

    Formatting

    2007-11-16	Soren Sandmann <sandmann@daimi.au.dk>

	* module/sysprof-module.c (n_traces_available): Formatting

	* module/sysprof-module.c (sysprof_poll): Require 16 traces rather
	than 8.


    svn path=/trunk/; revision=389

M	ChangeLog
M	collector.c
M	module/sysprof-module.c

commit c00ccd69c7a3ef29208171e364d46254363ab383
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Nov 17 02:53:22 2007 +0000

    updates

    2007-11-16	Soren Sandmann <sandmann@daimi.au.dk>

	* TODO: updates

	* module/sysprof-module.c (sysprof_poll): Only select readable
	when there is at least eight traces available

	* collector.c (collect_traces): New function, old on_read()

	* collector.c (collector_create_profile): Collect traces here as
	well.


    svn path=/trunk/; revision=388

M	ChangeLog
M	TODO
M	collector.c
M	module/sysprof-module.c

commit d82fe2e474afa2ccb6a9814f50eee9782d143b24
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Fri Nov 16 07:47:22 2007 +0000

    Updates

    2007-11-16	Soren Sandmann <sandmann@daimi.au.dk>

	* TODO: Updates

	* process.c (process_locate_map): Move map to front

	* profile.c (profile_load): Ignore the toplevel field in the file
	since we can compute it ourselves.

	* stackstash.c (stack_stash_decorate): New function

	* stackstash.c (stack_stash_add_trace): Decorate the tree lazily
	instead of on each sample.



    svn path=/trunk/; revision=387

M	ChangeLog
M	TODO
M	process.c
M	profile.c
M	stackstash.c

commit 0118fb459bc6164b45d9a6c12450c04a9a519ca1
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Oct 30 01:48:27 2007 +0000

    Update TODO

    svn path=/trunk/; revision=386

M	TODO

commit 1867b97a8d0fe90bc84a9950d168b291f253ce82
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Oct 25 02:45:54 2007 +0000

    Use an array instead of a list. Look for vmlinux in the source
    directory.

    2007-10-22	Soren Sandmann <sandmann@daimi.au.dk>

	    * process.c (look_for_vmlinux): Use an array instead of a
	    list. Look for vmlinux in the source directory.

	    * elfparser.c (elf_parser_get_crc32): Only use MADV_DONTNEED
	    if
	    the data is file-backed.

	    * TODO: updates.

	    Various formatting fixes


    svn path=/trunk/; revision=385

M	ChangeLog
M	TODO
M	collector.c
M	elfparser.c
M	process.c
M	sysprof.c

commit 97076b7d0f5a086177a417966a0e868c85345340
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 22 14:11:01 2007 +0000

    Make this a two-pass algorithm, one pass to add the trace, and one
    to do

    2007-10-22	Soren Sandmann <sandmann@daimi.au.dk>

	* profile.c (add_trace_to_tree): Make this a two-pass
	algorithm, one pass to add the trace, and one to do the
	accounting.


    svn path=/trunk/; revision=384

M	ChangeLog
M	TODO
M	profile.c
M	profile.h

commit 002f00a95033e61881fc4070195554d456d2dd38
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 22 13:48:30 2007 +0000

    Fix some spelling errors

    2007-10-22	Soren Sandmann <sandmann@daimi.au.dk>

	* sfile.c: Fix some spelling errors

	* profile.[ch], sysprof.[ch]: Change "non_recursive" to
	"cumulative" to match the UI

	* profile.c (add_trace_to_tree): Add a couple of asserts.

	* TODO: updates


    svn path=/trunk/; revision=383

M	ChangeLog
M	TODO
M	profile.c
M	profile.h
M	sfile.c
M	sysprof.c

commit 686baf3304ad518ed3bd249913ac0b385a16a949
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Oct 22 04:41:58 2007 +0000

    Add ChangeLog

    svn path=/trunk/; revision=382

M	ChangeLog

commit a7b39cf5177f4816c22ac3b39111537e87a39d99
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 22 04:41:27 2007 +0000

    Don't discard weak symbols.

    2007-10-22	Soren Sandmann <sandmann@daimi.au.dk>

	* elfparser.c (read_table): Don't discard weak symbols.

	* elfparser.c (elf_parser_lookup_symbol): If the symbol has
	unknown size, don't check that the address is in range.


    svn path=/trunk/; revision=381

M	binfile.c
M	elfparser.c

commit e33a7f9a2f326e4bb8bfa9083cd3cbd2cd7d4be2
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Oct 21 22:24:47 2007 +0000

    Add notes about releasing

    svn path=/trunk/; revision=380

A	releasing

commit 6af2993c723faf0ae495652c4f81e677b393ecb0
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Oct 21 21:35:39 2007 +0000

    Remove CFLAGS reminiscence of 2.4 support.

    2007-10-21	Soren Sandmann <sandmann@daimi.au.dk>

	    * module/Makefile: Remove CFLAGS reminiscence of 2.4 support.


    svn path=/trunk/; revision=375

M	ChangeLog
M	module/Makefile

commit 476e6f0c1bd90c0a62d3d8c6dbf606046f949573
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Oct 20 23:51:35 2007 +0000

    Call callback with an extra boolean indicating whether the sample
    read was

    2007-10-20	Soren Sandmann <sandmann@daimi.au.dk>

	   * collector.c (on_read): Call callback with an extra boolean
	   indicating whether the sample read was the first one

	   * collector.c (add_trace_to_stash): Allocate addresses on the
	   stack if possible.

	   * sysprof.c (on_new_sample): Only call update_sensitivity()
	   on the
	   first sample.

	   * stackstash.c (stack_stash_add_trace): Move match to front


    svn path=/trunk/; revision=373

M	ChangeLog
M	collector.c
M	collector.h
M	stackstash.c
M	sysprof.c

commit f1cbdbf27c9c766ae1db854c67dce112703f8a8b
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Sep 17 01:43:07 2007 +0000

    Add support for looking up kernel symbols from /proc/kallsyms

    2007-09-16	Soren Sandmann <sandmann@daimi.au.dk>

	* process.c (process_lookup_kernel_symbol): Add support for
	looking up kernel symbols from /proc/kallsyms

	* sysprof-text.c (dump_data): Print note that the file is being
	saved.

	* module/sysprof-module.[ch] (timer_notify): Send a copy of the
	kernel stack to userspace.

	* collector.c: Do kernel symbol lookups.


    svn path=/trunk/; revision=372

M	ChangeLog
M	TODO
M	collector.c
M	module/sysprof-module.c
M	module/sysprof-module.h
M	process.c
M	process.h
M	sysprof-text.c
M	sysprof.c

commit 39cb26654a9564306e6eb825e2da8c61fd36c78e
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Aug 26 05:41:59 2007 +0000

    Compute the size by simply summing the size of the siblings. They are

    2007-08-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * profile.c (profile_get_size): Compute the size by simply
	    summing
	    the size of the siblings. They are toplevel by definition, and
	    this works if the siblings for some reason has the same
	    address.


    svn path=/trunk/; revision=371

M	ChangeLog
M	collector.c
M	profile.c

commit 4194371d52cd1f3174489083fefbbfce908a367d
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Aug 26 04:27:08 2007 +0000

    Reformat and fix various minor issues.

    2007-08-26	Soren Sandmann <sandmann@daimi.au.dk>

	* treeviewutils.c (process_iter): Reformat and fix various minor
	issues.



    svn path=/trunk/; revision=370

M	ChangeLog
M	treeviewutils.c

commit 474636c189a61a0100e7bde07d65be88f9fc1b8f
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Aug 26 04:06:44 2007 +0000

    Work around GTK+ bug 405625.

    2007-08-25	Soren Sandmann <sandmann@daimi.au.dk>

	    * treeviewutils.c (tree_view_set_model_with_default_sort):
	    Work
	    around GTK+ bug 405625.


    svn path=/trunk/; revision=369

M	ChangeLog
M	treeviewutils.c

commit 39577811d3ccea0255c11c4632e314fda314e0b7
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Aug 26 03:55:15 2007 +0000

    TODO updates

    svn path=/trunk/; revision=368

M	TODO
M	collector.c

commit 8af6c38541909456aadf07f968951adca6f61d25
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Aug 11 23:08:58 2007 +0000

    Update TODO

    svn path=/trunk/; revision=367

M	TODO

commit ef23082882170925e6ca803c62ab22e954f746ae
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Aug 11 23:06:08 2007 +0000

    Update TODO

    svn path=/trunk/; revision=366

M	TODO

commit f482ac7885f9ac3c8d08c09f1b5fb2539c375333
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Aug 8 14:40:48 2007 +0000

    Add MAINTAINERS

    svn path=/trunk/; revision=365

A	MAINTAINERS

commit bf65f0859405ae21c4e0d06bbd7f9fc7969fd7ba
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Aug 4 19:54:17 2007 +0000

    Update to use new tree view API.

    2007-08-04	Soren Sandmann <sandmann@daimi.au.dk>

	    * sysprof.c: Update to use new tree view API.

	    * treeviewutils.c: Do customized sorting to get default sort
	    orders on columns. Workaround GTK+ bug 333791.



    svn path=/trunk/; revision=364

M	ChangeLog
M	sysprof.c
M	treeviewutils.c
M	treeviewutils.h

commit 6d96c33032da1ee5264aab82522132f6f6e12e11
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Mar 24 17:56:20 2007 +0000

    + * elfparser.c (elf_parser_get_crc32): madvise()

     2007-03-24  Soren Sandmann <sandmann@daimi.au.dk>

    +	    * elfparser.c (elf_parser_get_crc32): madvise()



    svn path=/trunk/; revision=363

M	ChangeLog
M	elfparser.c

commit 0cc4c861959372dd34860a6b171cb5677e362be4
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Mar 24 17:53:43 2007 +0000

    Update screenshot window in an idle handler to deal with the case
    where

    2007-03-24	Soren Sandmann <sandmann@daimi.au.dk>

	    * sysprof.c (update_screenshot_window): Update screenshot
	    window
	    in an idle handler to deal with the case where someone presses
	    "Shift Right Arrow"



    svn path=/trunk/; revision=362

M	ChangeLog
M	sysprof.c

commit 7b821752f9ca7f04dfd379d78a866b0672bcc6c9
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Mar 5 21:53:57 2007 +0000

    New function. Only warn once about bad CRC's.

    Mon Mar  5 16:55:39 2007  Søren Sandmann  <sandmann@redhat.com>

	    * binfile.c (already_warned): New function. Only warn
	    once about
	    bad CRC's.


    svn path=/trunk/; revision=361

M	ChangeLog
M	binfile.c
M	profile.c
M	sfile.c
M	sfile.h
M	sysprof.c

commit 7800fcd870edc5a5bbe0709741976da1cc4d200d
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Fri Mar 2 06:36:34 2007 +0000

    Make this function static

     2007-03-02  Soren Sandmann <sandmann@daimi.au.dk>

	   * sysprof-text.c (dump_data): Make this function static



    svn path=/trunk/; revision=360

M	ChangeLog
M	sysprof-text.c

commit bbed8de81e9abd6120dfe15935b9410de37f1666
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Fri Mar 2 06:30:42 2007 +0000

    Remove FIXME.

    2007-03-02	Soren Sandmann <sandmann@daimi.au.dk>

	    * collector.c (collector_create_profile): Remove FIXME.



    svn path=/trunk/; revision=359

M	ChangeLog
M	collector.c

commit ca7896021479835ec749bf2b6b7d5e72f23e744c
Author: Soren Sandman <sandmann@daimi.au.dk>
Date:	Fri Mar 2 06:27:05 2007 +0000

    Free the undefined symbol

    2007-03-02	Soren Sandman <sandmann@daimi.au.dk>

	* process.c (free_process): Free the undefined symbol



    svn path=/trunk/; revision=358

M	ChangeLog
M	process.c

commit aaa145ea9b6892046299a9ddaa6286f0af3d3f32
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Fri Mar 2 06:21:37 2007 +0000

    Make a copy of the vdso bytes to make valgrind a little quieter.

    2007-03-02	Soren Sandmann <sandmann@daimi.au.dk>

	* process.c (process_get_vdso_bytes): Make a copy of the vdso
	bytes to make valgrind a little quieter.

	* binparser.c: Note to self: Save the file, *then* commit.


    svn path=/trunk/; revision=357

M	ChangeLog
M	binparser.c
M	binparser.h
M	process.c

commit 5ee13adc345554be694ba2b59193cc13c5f5918d
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Fri Mar 2 05:23:30 2007 +0000

    Fix two leaks, both pointed out by Kjartan Maraas

    2007-03-02	Soren Sandmann <sandmann@daimi.au.dk>

	    Fix two leaks, both pointed out by Kjartan Maraas

	    * binparser.c (bin_parser_free): Free the record list

	    * elfparser.c (elf_parser_free): Free the symbol table.



    svn path=/trunk/; revision=356

M	ChangeLog
M	elfparser.c

commit 6fa782dcd6c00eca8195a5b80bb67f65769c62ee
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Feb 25 04:15:51 2007 +0000

    svn path=/trunk/; revision=355



    svn path=/trunk/; revision=355

M	TODO
M	binparser.h
M	elfparser.c

commit cf70d3a7ed2090c09e4e7baec18a5bfb745842f9
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Feb 24 08:49:51 2007 +0000

    Updates

    2007-02-24	Soren Sandmann <sandmann@daimi.au.dk>

	    * TODO: Updates

	    * binparser.[ch]: Get rid of BIN_UINTn types; replace
	    with single
	    BIN_UINT, where the user must provide the width

	    * elfparser.c: Update to new binparser API



    svn path=/trunk/; revision=354

M	ChangeLog
M	TODO
M	binparser.c
M	binparser.h
M	elfparser.c

commit bc004a104e793faa0b0994ea3173a3e4cb272fef
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Feb 24 08:35:48 2007 +0000

    include correct header file

    svn path=/trunk/; revision=353

M	binparser.c

commit 494e40a9126bb51b67b695d0c54c8e3cc349898d
Author: Soren Sandman <sandmann@daimi.au.dk>
Date:	Sat Feb 24 07:15:24 2007 +0000

    Switch to a simpler conceptual model. Update to binparser API changes.

    2007-02-24	Soren Sandman <sandmann@daimi.au.dk>

	    * binparser.[ch]: Switch to a simpler conceptual model.
	    * elfparser.c: Update to binparser API changes.
	    * TODO: updates



    svn path=/trunk/; revision=352

M	ChangeLog
M	TODO
M	binparser.c
M	binparser.h
M	elfparser.c

commit ea18b8e991c629b062eb9c6d878e57054ebbd831
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Feb 9 22:04:45 2007 +0000

    svn path=/trunk/; revision=351



    svn path=/trunk/; revision=351

M	binparser.c
M	binparser.h
M	elfparser.c
M	elfparser.h

commit c541052c199d6e8c7f0ba77186ece5814dbf0f35
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Feb 9 21:59:15 2007 +0000

    Update copyright notices

    Fri Feb  9 16:53:29 2007  Søren Sandmann  <sandmann@redhat.com>

	* Update copyright notices



    svn path=/trunk/; revision=350

M	ChangeLog
M	binfile.c
M	binparser.c
M	binparser.h
M	collector.c
M	elfparser.c
M	elfparser.h
M	sysprof.c

commit c1025c6b445574bc680b1d31ed737873b90abb6d
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Feb 9 21:30:01 2007 +0000

    Don't store the size of the symbol. (elf_parser_lookup_symbol):
    Look it up

    Fri Feb  9 16:16:34 2007  Søren Sandmann  <sandmann@redhat.com>

	   * elfparser.c (struct ElfSym): Don't store the size of
	   the symbol.
	   (elf_parser_lookup_symbol): Look it up here instaed.

	   * binfile.c (bin_file_free): Use pre-decrement instead of
	   post-decrement.
	   (bin_file_check_inode): Clarify the warning a little


    svn path=/trunk/; revision=349

M	ChangeLog
M	binfile.c
M	elfparser.c
M	sysprof-text.c

commit e8c2a59906a526439965eaa01ccf6e9d45f067b9
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jan 22 22:48:33 2007 +0000

    sysprof-icon-32.png Add a 32x32 version (also from Diana) of the icon.


    Mon Jan 22 17:42:29 2007  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-icon-32.png
	* sysprof.c: Add a 32x32 version (also from Diana) of the icon.

    Mon Jan 22 16:37:12 2007  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-icon-16/24/48.png:
	* sysprof.c: Add new icons from Diana.



    svn path=/trunk/; revision=348

M	ChangeLog
M	Makefile.am
A	sysprof-icon-32.png
M	sysprof.c

commit f33e3b06f4e2348419d1caad524e1f06e2a89d24
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Jan 22 21:43:36 2007 +0000

    Add new icons

    svn path=/trunk/; revision=347

M	ChangeLog
M	Makefile.am
A	sysprof-icon-16.png
A	sysprof-icon-24.png
A	sysprof-icon-48.png
D	sysprof-icon.png
M	sysprof.c

commit 53fa2757b500c00d145621ad270e77081f4386ca
Author: Behdad Esfahbod <behdad@gnome.org>
Date:	Fri Jan 5 21:39:25 2007 +0000

    Correct $PWD usage, so make install works from inside module/.

    2007-01-05	Behdad Esfahbod  <behdad@gnome.org>

	    * module/Makefile: Correct $PWD usage, so make install
	    works from
	    inside module/.


    svn path=/trunk/; revision=346

M	ChangeLog
M	module/Makefile

commit d333fad2611ee036f729c50b7e1d7f99567f027f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Dec 10 02:20:08 2006 +0000

    file announce-1.0.8 was initially added on branch sysprof-1-0.

commit bd1f064ad3cd967c9f796104e7f8b92e0214e961
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Dec 9 06:29:43 2006 +0000

    Add forgotten put_cpu_var(). Parse in chunks of 65536 to improve
    locality.

    2006-12-09	Soren Sandmann <sandmann@daimi.au.dk>

	    * module/sysprof-module.c: Add forgotten put_cpu_var().
	    * sfile.c (build_instructions): Parse in chunks of 65536 to
	    improve locality.

M	ChangeLog
M	module/Makefile
M	module/sysprof-module.c
M	sfile.c

commit 4ba672ee9f3a74c1c68ed7f372816d67e0f5eba2
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Nov 23 08:03:02 2006 +0000

    Set inode for vdso to 0.


    2006-11-23	Soren Sandmann <sandmann@daimi.au.dk>

	    * process.c (read_maps): Set inode for vdso to 0.

	    * binfile.c (read_inode): Return -1 on error, 0 on vdso
	    (bin_file_new): Only read the inode if the file actually
	    exists
	    and is an elf file.
	    (bin_file_check_inode): Return FALSE if there is no file.

M	ChangeLog
M	binfile.c
M	process.c

commit 973d92eb4daa0be25ac2c980c6f3902d89aa17f0
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Nov 23 03:32:04 2006 +0000

    Use GMappedFile instead g_file_get_contents(). (build_instructions):
    Pass


    2006-11-22	Soren Sandmann <sandmann@daimi.au.dk>

	    * sfile.c (sfile_load): Use GMappedFile instead
	    g_file_get_contents().
	    (build_instructions): Pass length instead of -1.
	    (sfile_output_save): Use g_file_set_contents() instead of
	    cut-and-pasted copy.

M	ChangeLog
M	sfile.c

commit d3c0e7be5c3899c85da3caa7545fbdb80bf5d30f
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Wed Nov 22 07:06:04 2006 +0000

    Move match to front (add_trace_to_tree): Break as soon as a recursive
    call

    2006-11-22	Soren Sandmann <sandmann@daimi.au.dk>

	    * profile.c (add_trace_to_tree): Move match to front
	    (add_trace_to_tree): Break as soon as a recursive call
	    is found.

	    * stackstash.c (do_callback): Manual tail call optimization.

M	ChangeLog
M	collector.c
M	profile.c
M	stackstash.c

commit d1a082ffec6f2e4f40ae9afbed10689d122f6c64
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Nov 20 07:25:02 2006 +0000

    reset the collector after generating the profile.


    2006-11-20	Soren Sandmann <sandmann@daimi.au.dk>

	    * sysprof.c (ensure_profile): reset the collector after
	    generating
	    the profile.

	    * stackstash.c (struct StackStash): Add cached_nodes and
	    blocks.
	    (stack_node_new): Allocate stack nodes in blocks.

M	ChangeLog
M	collector.c
M	profile.c
M	stackstash.c
M	stackstash.h
M	sysprof.c

commit cce917856b7c7c1ab47deeae4639c0289efb9a48
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Nov 20 04:11:21 2006 +0000

    Use stack allocated variables to avoid taking addresses of bitfields.


    2006-11-19	Soren Sandmann <sandmann@redhat.com>

	    * profile.c (profile_load): Use stack allocated variables
	    to avoid
	    taking addresses of bitfields.

	    * stackstash.h (struct StackNode): Store toplevel as bitfield

M	ChangeLog
M	profile.c
M	stackstash.h

commit 0b718ee95ca7ed8e61ef030cef300c8a82587577
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Nov 20 04:08:01 2006 +0000

    Use stack_node_new() o (profile_load): Use set_root() instead of

    2006-11-19	Soren Sandmann <sandmann@redhat.com>

	    * profile.c (profile_load): Use stack_node_new() o
	    (profile_load): Use set_root() instead of new_from_root();

	    * stackstash.c (stack_stash_new_from_root): Delete this
	    function
	    (stack_stash_set_root): Add this function
	    (stack_node_new): Export this function

M	ChangeLog
M	profile.c
M	stackstash.c
M	stackstash.h

commit 9af533a11fba223e5fa8425bef3ab302db2cd6e3
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 19 22:48:28 2006 +0000

    Declare bin_parser_free();


    2006-11-19	 Soren Sandmann <sandmann@redhat.com>

	    * binparser.h: Declare bin_parser_free();

	    * elfparser.c (elf_parser_get_crc32): Use madvise(DONT_NEED)
	    on
	    the file.

	    * process.c (struct Process): Remove do_offset.

M	ChangeLog
M	TODO
M	binparser.h
M	elfparser.c
M	process.c
M	sfile.c

commit 66fc976342bc726351c8a873802c4a0b4aafac24
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Nov 16 14:40:59 2006 +0000

    file announce-1.0.7 was initially added on branch sysprof-1-0.

commit 55fc6d7805a10a1c21785ab7b47f824363d4e141
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Nov 11 03:34:40 2006 +0000

    New function


    2006-11-02	Soren Sandmann <sandmann@daimi.au.dk>

	   * sysprof.c (disable_g_slice): New function

	   * sysprof.c (main): Call it from here.

M	ChangeLog
M	elfparser.c
M	profile.c
M	sysprof.c

commit abb66e7dc78a476ae490c5ca746f787d2ff0b9c3
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 9 22:55:53 2006 +0000

    udpate


    Thu Nov  9 17:55:24 2006  Søren Sandmann  <sandmann@redhat.com>

	    * TODO (-): udpate

M	ChangeLog
M	TODO

commit 3b559da62380c847067140a4ecfb67d0063ae1f5
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 9 22:32:22 2006 +0000

    Start with "/usr", not "usr". Pointed out by Tim Rowley.


    Thu Nov  9 17:31:17 2006  Søren Sandmann  <sandmann@redhat.com>

	    * binfile.c (get_debug_file): Start with "/usr", not
	    "usr". Pointed out by Tim Rowley.

	    * binparser.c (bin_parser_align): Pass byte_width on
	    instead of
	    hardcoding 4.

M	ChangeLog
M	binfile.c
M	binparser.c

commit ea0690817cac8544b77ee6925af38b686c3209f7
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 9 21:56:28 2006 +0000

    Look in the correct directory for debug info files. (Tim Rowley)


    Thu Nov  9 16:47:35 2006  Søren Sandmann  <sandmann@redhat.com>

	    Look in the correct directory for debug info files. (Tim
	    Rowley)

	    * binfile.c (N_TRIES): Add this instead of hardcoding '3'

	    * binfile.c (get_debug_file): Also look in "/usr/lib/debug",
	    in
	    addition to "$(libdir)/debug".

	    * binfile.c: Comment out the debug spew.

M	ChangeLog
M	TODO
M	binfile.c

commit 5e91fe1818c76727b97c973bf2433eb27bc97c4d
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 9 21:17:59 2006 +0000

    Add debug spew.


    Thu Nov  9 16:17:11 2006  Søren Sandmann  <sandmann@redhat.com>

	    * binfile.c: Add debug spew.

M	ChangeLog
M	binfile.c

commit 442a9b4f3c37c26248496031ec28b753cbaf893e
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 9 21:02:31 2006 +0000

    Die immediately if the output file is a directory.


    Thu Nov  9 16:01:47 2006  Søren Sandmann  <sandmann@redhat.com>

	    * sysprof-text.c (main): Die immediately if the output file
	    is a
	    directory.

	    * autogen.sh (DIE): Also work when automake-1.9 is installed.

M	ChangeLog
M	autogen.sh
M	binfile.c
M	sysprof-text.c

commit 0513ed87e82c202cfec133a177fbb89334b8d695
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Nov 2 08:33:35 2006 +0000

    Valgrind:


    2006-11-02	Soren Sandmann <sandmann@daimi.au.dk>

	    Valgrind:

	    * binparser.c (bin_parser_free): Add this function

	    * elfparser.c (elf_parser_free): Call bin_parser_free()

	    * sysprof.c (compute_text_width, add_text): Plug leaks

	    * collector.c (add_trace_to_stash): Copy n_addresses to
	    a stack
	    variable instead of reading it out of the mmap'ed area all the
	    time. (That way if there is an overrun, we won't write
	    too much
	    into the address array).

M	ChangeLog
M	binparser.c
M	collector.c
M	elfparser.c
M	sysprof.c

commit 9a1ed3d3363e22f8439a16bd347ed62c13e7b871
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Nov 2 06:54:12 2006 +0000

    Increase the max number of addresses to 1021, reorganise
    SysprofMmapArea


    2006-10-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * module/sysprof-module.h (struct SysprofStackTrace):
	    Increase the
	    max number of addresses to 1021, reorganise SysprofMmapArea to
	    make the traces naturally page aligned.

	    * TODO: Update

M	ChangeLog
M	TODO
M	module/sysprof-module.h
M	process.c
M	profile.c
M	sysprof.c

commit e7415d44926934dba789dc80bc9ee84e16d12663
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Oct 30 03:21:45 2006 +0000

    file announce-1.0.5 was initially added on branch sysprof-1-0.

commit cdcf1e93e41005f2417544a092f7c7aeb112343a
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Oct 30 01:06:46 2006 +0000

    file announce-1.0.4 was initially added on branch sysprof-1-0.

commit 4c38d78e3c4201f15f1d9c16bc777d794d537126
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Oct 26 05:49:01 2006 +0000

    Combine processes with identical commandlines here.


    2006-10-26	Soren Sandmann <sandmann@daimi.au.dk>

	    * collector.c (resolve_symbols): Combine processes with
	    identical
	    commandlines here.

M	ChangeLog
M	collector.c

commit d78e744422dbaed05356b775e43846f89ac09e36
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Oct 26 05:13:16 2006 +0000

    Make the pointer array static to improve cache behavior and reduce
    calls


    2006-10-25	Soren Sandmann <sandmann@daimi.au.dk>

	    * profile.c (add_trace_to_tree): Make the pointer array
	    static to
	    improve cache behavior and reduce calls to malloc().

	    * process.c (lookup_kernel_symbol): Remove obsolete comment.

M	ChangeLog
M	TODO
M	process.c
M	profile.c

commit e2150fc18813856334815faa900b7a936c413355
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Oct 25 04:47:34 2006 +0000

    Incomplete changelog

M	ChangeLog

commit c6978f660bbcefba0f24f283d5d0a2f5d8faa0dd
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Oct 25 04:47:06 2006 +0000

    +2006-10-25 Soren Sandmann <sandmann@daimi.au.dk> + + * process.c


    +2006-10-25  Soren Sandmann <sandmann@daimi.au.dk>
    +
    +	    * process.c (free_maps): Take a pointer to a variable that
    +
    +	    * process.c: Stop coalescing processes with the same cmdline.
    +
    +	    * TODO: updates.
    +

M	ChangeLog
M	TODO
M	process.c

commit a715b55029882ef32b5500de68867ad398c5b96a
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Wed Oct 25 02:02:44 2006 +0000

    replace PAGE_SIZE macro with this function.

    2006-10-24	Soren Sandmann <sandmann@daimi.au.dk>

	* process.c (page_size): replace PAGE_SIZE macro with this
	function.

	* binfile.c: Remove obsolete comment.

M	ChangeLog
M	binfile.c
M	process.c

commit c02712dc85d3ba4a3da7d4bcd599169a0d1b49d6
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Tue Oct 24 04:00:59 2006 +0000

    Use an array instead of list of maps.

    2006-10-24	Soren Sandmann <sandmann@daimi.au.dk>

	* process.c (struct Process): Use an array instead of list of
	maps.

M	ChangeLog
M	process.c

commit e255c00a6d13c355b1fab79446f4c6eb0e2f8b64
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 23 13:02:40 2006 +0000

    Use PAGE_SIZE - 1 instead of 4096.

    2006-10-23	Soren Sandmann <sandmann@daimi.au.dk>

	* module/sysprof-module.c (init_module): Use PAGE_SIZE - 1 instead
	of 4096.

M	ChangeLog
M	module/sysprof-module.c

commit 4dd37d092cae14c014b7874e9e107cab839d54de
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 23 03:46:25 2006 +0000

    Communicate traces to userspace through shared memory instead
    of copying.

    2006-10-22	Soren Sandmann <sandmann@daimi.au.dk>

	Communicate traces to userspace through shared memory instead of
	copying.

	* module/sysprof-module.c: Store the traces in a SysprofMmapArea.
	(sysprof_mmap): Implement this method.
	(sysprof_nopage): Implement this.
	(sysprof_read): Just reset the tail pointer and return zero.

	* module/sysprof-module.h (struct SysprofMmapArea): New
	structure.

	* collector.c (collector_stop): Unmap the device
	(in_dead_period): New function
	(on_read): Read the traces out of mmap()ed area instead of reading
	them. Call read() to prevent poll() from firing.
	(struct Collector): New members map_area and current.

	* Makefile.am (insert-module): Prefix modprobe with /sbin

	* collector.c (open_fd): mmap() the sysprof device.

M	ChangeLog
M	Makefile.am
M	collector.c
M	module/sysprof-module.c
M	module/sysprof-module.h

commit 5eb19d00faa73bba7e609300d7d38575b038de2e
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Thu Oct 12 03:45:21 2006 +0000

    Skip nodes that don't have a parent.

    2006-10-11	Soren Sandmann <sandmann@daimi.au.dk>

	* profile.c (profile_list_callers): Skip nodes that don't have a
	parent.

M	ChangeLog
M	profile.c

commit df07f715397c2aafb25fcd2ead69d9c609f1622c
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Wed Oct 11 05:37:24 2006 +0000

    Make this function return a list of immediate callers again.

    2006-10-09	Soren Sandmann <sandmann@daimi.au.dk>

	* profile.c (profile_list_callers): Make this function return a
	list of immediate callers again.

	* sysprof.c (build_gui): Change label back to "Callers"

	* process.c (get_kernel_symbols): Only attempt to read the kernel
	symbols once.

M	ChangeLog
M	TODO
M	process.c
M	profile.c
M	sysprof.c

commit 64750293757199a92f95bdfb065ef979522e2934
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Oct 10 00:52:44 2006 +0000

    +2006-10-09  Soren Sandmann <sandmann@redhat.com>
    +
    +	    * binfile.c (bin_file_get_inode): Remove this function
    +
    +	    * binfile.c (bin_file_check_inode): New function. Only
    print inode
    +	    warning once per BinFile.
    +
    +	    * process.c (process_get_vdso_bytes): Remove debug spew
    +

M	ChangeLog
M	binfile.c
M	binfile.h
M	process.c

commit b54b0809b621a6ee87e8de6fa470b157eae9d587
Author: Soren Sandmann <ssp@localhost.localdomain>
Date:	Mon Oct 9 21:32:24 2006 +0000

    New function.

    2006-10-09	Soren Sandmann	<ssp@localhost.localdomain>

	* process.c (process_get_vdso_bytes): New function.

	* elfparser.c (parser_new_from_data): export this function as
	elf_parser_new_from_data().

	* binfile.c (read_inode): Don't stat if filename is
	'[vdso]'. Instead just return -1;
	(bin_file_new): Use elf_parser_new_from_data() when the file is
	[vdso].

	* process.c (read_maps): Change the offset of the vdso map to 0
	and the inode to -1.

	* elfparser.c (elf_parser_lookup_symbol): Remove unused 'size'
	variable.

	* binfile.c (find_separate_debug_file): Deal with cycles in the
	debuglink graph.

	* configure.ac: Set version to 1.1.0. Print warning about HEAD.

M	ChangeLog
M	TODO
M	binfile.c
M	configure.ac
M	elfparser.c
M	elfparser.h
M	process.c
M	process.h

commit 4050648b0e9d8d9131bdbbb8b76ecf55811f9d8c
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Oct 9 02:25:46 2006 +0000

    Don't include bfd.h

    2006-10-08	 Soren Sandmann <sandmann@daimi.au.dk>

	* binfile.c: Don't include bfd.h

M	ChangeLog
M	binfile.c

commit a6145207cab0cd3df9c55091b1b948b2e4a3e7fa
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 8 22:05:47 2006 +0000

    New function to support --version option

    2006-10-08	Soren Sandmann <sandmann@redhat.com>

	* sysprof.c (process_options): New function to support --version
	option

M	ChangeLog
M	TODO
M	sysprof.c

commit 0cf636d8fee13e6d9fc321caaa9e2289a5f8a821
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 8 20:14:25 2006 +0000

    Add a cache of the text section.

    2006-10-08	Soren Sandmann	<sandmann@redhat.com>

	* elfparser.c (struct ElfParser): Add a cache of the text section.

	* binparser.c (struct BinParser): Add a cache of a bin record to
	get rid of malloc()/free() overhead.

	* elfparser.c (struct ElfSym): Cache the size of the symbol

M	ChangeLog
M	binfile.c
M	binparser.c
M	elfparser.c

commit 86810e63a53662c06ddcbd8e635309ebc539df2e
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 8 18:50:10 2006 +0000

    Remove now unused load-address heuristic

    2006-10-08	Soren Sandmann <sandmann@redhat.com>

	* elfparser.c: Remove now unused load-address heuristic

	* comment out debug spew

M	ChangeLog
M	binfile.c
M	elfparser.c

commit a91a19887aee9e054163b0e4f658e8e5de66b7b2
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 8 18:09:17 2006 +0000

    Use "SHT_DYNSYM" for ".dynsym".

    2006-10-08	Soren Sandmann <sandmann@redhat.com>

	* elfparser.c (read_symbols): Use "SHT_DYNSYM" for ".dynsym".

M	ChangeLog
M	binfile.c
M	elfparser.c

commit c27e5debc5ba4261c82c71ac707b14ddaf463dc4
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Oct 8 17:45:09 2006 +0000

    Support _debuglink recursions.

    2006-10-08	Soren Sandmann <sandmann@daimi.au.dk>

	* binfile.c (find_separate_debug_file): Support _debuglink
	recursions.

	* elfparser.c: Check that the sections have valid types before
	using them.

M	ChangeLog
M	TODO
M	binfile.c
M	elfparser.c
M	process.c

commit 29a4acaa94787b4d22bd0d2ceb1c590990e4361f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Oct 8 04:07:18 2006 +0000

    Delete debug spew

M	ChangeLog
M	binfile.c
M	elfparser.c
M	process.c

commit 52274fadd6f2d013e662fa8965092f98c0d3d566
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sun Oct 8 04:03:02 2006 +0000

    Deal with address offsets. Address lookup is now:

    2006-10-07	Soren Sandmann	<sandmann@daimi.au.dk>

	Deal with address offsets. Address lookup is now:

	- First convert the address to an offset into the file
	- Then convert to an offset into the text segment
	- Then add the load address of the text segment (found in the
	debug binary)
	- Then finally lookup the result in the symbol table.

	* elfparser.c (elf_parser_get_text_offset): New function

	* elfparser.c (elf_parser_lookup_symbol): Treat addresses as
	offsets into the text segment.

	* binfile.c (bin_file_new): Store the offset of the text section
	of the actual binary (not the debug one)

	(bin_file_lookup_symbol): Subtract text_offset before passing
	address to elf parser.

	* module/sysprof-module.c: Remove include of linux/config.h

M	ChangeLog
M	TODO
M	binfile.c
M	elfparser.c
M	elfparser.h
M	module/sysprof-module.c
M	process.c

commit 6a7178f612abbfe50795ef654c946669b70ed61d
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 23 03:09:24 2006 +0000

    Remove old commented out code Add commented out code accessing entire


    2006-08-27	Soren Sandmann <sandmann@redhat.com>

	    * binparser.c: Remove old commented out code
	    * module/sysprof-module.c: Add commented out code accessing
	    entire
	    stack.

    2006-08-27	Soren Sandmann	<sandmann@redhat.com>

	    * module/Makefile ($(MODULE).o): Add dependency on
	    sysprof-module.h

	    * elfparser.c (elf_parser_get_eh_frame): Add this function.
	    Remove some commented out code.

M	ChangeLog
M	TODO
M	binparser.c
M	elfparser.c
M	elfparser.h
M	module/Makefile
M	module/sysprof-module.c

commit 8f4d731788477c12ad555a57064eda0975e8386e
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Sep 23 00:57:20 2006 +0000

    Revert accidental commit

M	TODO
M	binfile.c
M	binparser.c
M	collector.c
M	elfparser.c
M	elfparser.h
M	module/Makefile
M	module/sysprof-module.c
M	testelf.c

commit b7cf5d34b8ee7ca23836f0efc527fd0ee0ce7e61
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 23 00:54:01 2006 +0000

    Remove old commented out code

    2006-08-27	Soren Sandmann <sandmann@redhat.com>

	* binparser.c: Remove old commented out code

    2006-08-27	Soren Sandmann	<sandmann@redhat.com>

	* module/Makefile ($(MODULE).o): Add dependency on
	sysprof-module.h

	* elfparser.c (elf_parser_get_eh_frame): Add this function.
	Remove some commented out code.

M	ChangeLog
M	TODO
M	binfile.c
M	binparser.c
M	collector.c
M	elfparser.c
M	elfparser.h
M	module/Makefile
M	module/sysprof-module.c
M	testelf.c

commit 2c04f6e200cc8ac3b02f7acdd515d0e5aea6661c
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Aug 26 23:10:10 2006 +0000

    Formatting fixes in header files

M	ChangeLog
M	binfile.h
M	binparser.h
M	collector.h
M	elfparser.h
M	stackstash.h

commit e44c9a01679e444b29ef9d15bcb91b952d4c2876
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Aug 26 23:01:07 2006 +0000

    Update to new API

    2006-08-26	Soren Sandmann <sandmann@daimi.au.dk>

	* elfparser.c: Update to new API

	* binparser.h: Delete commented out declarations. Add new
	functions.

	* binparser.c: Delete ParserFrame, replace with one current
	offset.
	(convert_uint): Make static
	(bin_parser_get_uint): Delete this function
	(bin_parser_get_string): Change this function to use current
	offset instead of frame offset.
	(bin_parser_goto): New function
	(bin_parser_align): New function
	(bin_parser_get_uint32): New function
	(bin_parser_begin): Delete this function
	(bin_parser_end): Delete this function
	(bin_parser_index): Delete this function
	(bin_record_get_string_indirect): Make this function use _goto()
	instead of _begin()/_end()
	(bin_parser_get_offset): Make this function return current offset

M	ChangeLog
M	binparser.c
M	binparser.h
M	elfparser.c

commit 54862afc7453a984dd0df3b7d7943882e7ab1760
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Aug 26 22:44:12 2006 +0000

    Add new struct BinRecord. Comment out functions related to
    formats. Add

    2006-08-26	Soren Sandmann <sandmann@daimi.au.dk>

	* binparser.[ch]: Add new struct BinRecord. Comment out functions
	related to formats. Add new functions to get fields out of
	BinRecords.

	* elfparser.c: Update to new API.

M	ChangeLog
M	binparser.c
M	binparser.h
M	elfparser.c

commit b569c3a34c5f11eec241f3a898405c504c9a7fcf
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Aug 26 16:44:17 2006 +0000

    Add new bin_record() functions Implement them.

    2006-08-26	Soren Sandmann <sandmann@daimi.au.dk>

	* binparser.h: Add new bin_record() functions
	* binparser.c: Implement them.

M	ChangeLog
M	binparser.c
M	binparser.h

commit 62c86a19510f666f70cc1bbc83cb521c42f3f3db
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Sat Aug 26 16:27:00 2006 +0000

    Demangle instead of strdup.

    2006-08-22	Soren Sandmann <sandmann@daimi.au.dk>

	* collector.c (unique_dup): Demangle instead of strdup.

M	ChangeLog
M	TODO
M	collector.c

commit 4a145a21bcce46e30f14e77f4b74812df1e5c13d
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Tue Aug 22 04:19:08 2006 +0000

    Rename elf_sym_get_* to elf_parser_get_sym_* and make these functions
    take

    2006-08-21	Soren Sandmann <sandmann@redhat.com>

	* elfparser.[ch]
	(elf_parser_get_sym_name): Rename elf_sym_get_* to
	elf_parser_get_sym_* and make these functions take a parser.
	(parser_from_sym): Delete this function.
	(elf_parser_new): Don't add to all_elf_parsers
	(elf_parser_free): Don't remove from all_elf_parsers
	(elf_parser_new): Rename to parser_new_from_file()
	(elf_parser_new_from_file): Rename to elf_parser_new

	* binfile.c: Update for new elfparser API

	* TODO: updates

M	ChangeLog
M	TODO
M	binfile.c
M	elfparser.c
M	elfparser.h
M	testelf.c

commit bb616fd7549f96477f6170057a56324868580ce9
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Tue Aug 22 03:26:57 2006 +0000

    Add ref_count and filename (bin_files): Add map from filenames
    to BinFiles

    2006-08-21	Soren Sandmann <sandmann@redhat.com>

	* binfile.c (struct BinFile): Add ref_count and filename
	(bin_files): Add map from filenames to BinFiles
	(bin_file_new): First look for BinFile in the cache.
	(bin_file_free): If refcount reaches 0, remove BinFile from cache.

	* TODO: Updates

M	ChangeLog
M	TODO
M	binfile.c

commit a1bddd8d9ffddd0ce677f716443c33deafe7da1e
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Aug 21 06:00:57 2006 +0000

    Pass map->bin_file to bin_symbol_get_name.

    2006-08-21	Soren Sandmann <sandmann@redhat.com>

	* process.c (process_lookup_symbol): Pass map->bin_file to
	bin_symbol_get_name.

	* binfile.h (bin_symbol_get_name): Add BinFile parameter

	* elfparser.c (elf_demangle): Use options DMGL_PARAMS | DMGL_ANSI

	* TODO: Updates

	* binfile.c: Rewrite this file to use ElfParser instead of libbfd.

	* configure.ac: Drop dependencies on libbfd and libiberty.

M	ChangeLog
M	Makefile.am
M	TODO
M	binfile.c
M	binfile.h
M	configure.ac
M	elfparser.c
M	elfparser.h
M	process.c

commit ad09fd10cbb4cf93b4696a02bb19bcd775842471
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Aug 21 05:00:53 2006 +0000

    Update

    2006-08-21	Soren Sandmann <sandmann@redhat.com>

	* TODO: Update

	* elfparser.c (elf_parser_lookup_symbol): Change sense of size
	check.

M	ChangeLog
M	elfparser.c

commit 858d1fab584fa97804e0658904dde902202c3630
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Aug 21 04:12:12 2006 +0000

    Initialize crc to 0xffffffff and invert it before returning.

    2006-08-20	Soren Sandmann <sandmann@redhat.com>

	* elfparser.c (elf_parser_get_crc32): Initialize crc to 0xffffffff
	and invert it before returning.

	* elfparser.h: Declare elf_parser_get_debug_link()

M	ChangeLog
M	elfparser.c

commit 66a28bd5010c4a5379293ca291d88554375f8fa7
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Aug 21 03:34:44 2006 +0000

    Comment out debug spew. (elf_parser_lookup_symbol): Add check
    that address

    2006-08-20	Soren Sandmann	<sandmann@daimi.au.dk>

	* elfparser.c (elf_parser_get_load_address): Comment out debug
	spew.
	(elf_parser_lookup_symbol): Add check that address is actually
	within the bounds of the found function.

M	ChangeLog
M	elfparser.c

commit a880ee7f60cbfb5b20c5a4d0aef5f6cfd38840d6
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Aug 21 02:33:38 2006 +0000

    Make process_lookup_symbol() return a string. Delete

    2006-08-20	Soren Sandmann	<sandmann@daimi.au.dk>

	* process.h: Make process_lookup_symbol() return a string. Delete
	process_lookup_symbol_with_filename().

	* process.c (struct Process): Make "undefined" a string
	(lookup_kernel_symbol): Return a string
	(process_lookup_symbol): Return a string, not a symbol

	* collector.c (unique_dup): Take a string instead of a
	Symbol.
	(lookup_symbol): Make sym a string instead of a Symbol.

	* binfile.c (bin_symbol_get_name): New function.

	* binfile.[ch] (struct BinSymbol): Rename Symbol to BinSymbol and
	make it an opaque structure.

	* binfile.[ch]: Remove unused symbol operations

M	ChangeLog
M	binfile.c
M	binfile.h
M	collector.c
M	process.c
M	process.h

commit 7d8f3c232dce5e24226512a3e8b176bc25f17ddb
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Aug 21 01:30:54 2006 +0000

    New function

    2006-08-20	Soren Sandmann <sandmann@daimi.au.dk>

	* elfparser.c (elf_parser_new_from_file): New function

M	ChangeLog
M	elfparser.c
M	elfparser.h
M	testelf.c

commit 1b72901c4ddd3101d9035a362da9d9220bd18543
Author: Soren Sandmann <sandmann@daimi.au.dk>
Date:	Mon Aug 21 00:18:10 2006 +0000

    New function

    2006-08-20	 Soren Sandmann <sandmann@daimi.au.dk>

	* elfparser.c (elf_parser_get_debug_link): New function

	* elfparser.c: Delete SymbolTable typedef

	* binparser.[ch] (bin_parser_get_data): New function
	(bin_parser_get_length): New function

	* elfparser.[ch] (elf_parser_get_crc32): New function

	* TODO: Updates

	* elfparser.c (elf_parser_lookup_symbol): Offset passed in
	addresses by the load address.

	* elfparser.c (elf_parser_get_load_address): New function to
	compute the load address of the beginning of the file.

M	ChangeLog
M	TODO
M	binparser.c
M	binparser.h
M	elfparser.c
M	elfparser.h
M	testelf.c

commit 49e1fabe463069567ec788070d1fab283f9282ef
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Aug 20 06:26:54 2006 +0000

    Read the name out of the file instead of out of the struct.

    2006-08-20	Soren Sandmann	<sandmann@redhat.com>

	* elfparser.c (elf_sym_get_name): Read the name out of the file
	instead of out of the struct.

	* elfparser.c (struct ElfSym): Store an offset instead of the
	name.

	* elfparser.c (all_elf_parsers): Keep track of all elf parsers
	created.

M	ChangeLog
M	binparser.c
M	binparser.h
M	demangle.c
M	elfparser.c
M	elfparser.h
M	testelf.c

commit 6c7afad3ff9fb75a234a72591931d0e124771f07
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Aug 20 04:32:12 2006 +0000

    New file, made out of files from libiberty in binutils.

    2006-08-20	Soren Sandmann	<sandmann@redhat.com>

	* Makefile.am, demangle.c: New file, made out of files from
	libiberty in binutils.

	* binfile.c: Use the new sysprof_cplus_demangle() function

	* elfparser.[ch]: Add code to lookup symbols. Add demangling
	function

	* testelf.c: Various tests

M	ChangeLog
M	Makefile.am
M	binfile.c
A	demangle.c
M	elfparser.c
M	elfparser.h
M	testelf.c

commit 8967b3148cba5ff2d8b0ddfc72873a46eb9fc8e0
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sat Aug 19 23:56:18 2006 +0000

    Many cleanups.

    2006-08-19	Soren Sandmann	<sandmann@redhat.com>

	* elfparser.c: Many cleanups.

M	ChangeLog
M	elfparser.c

commit d3c6a66101af9d873d2944edcb70f716692f5e40
Author: SÃ¸ren Sandmann <ssp@localhost.localdomain>
Date:	Wed Aug 16 17:25:03 2006 +0000

    Pass the correct pointer.

    2006-08-16	SÃ¸ren Sandmann  <ssp@localhost.localdomain>

	* elfparser.c (check_symbol): Pass the correct pointer.

M	ChangeLog
M	elfparser.c

commit 1f4dd13cd33954835d67c2439e20ad476d1f9e51
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Wed Aug 16 17:21:54 2006 +0000

    Really add this file.

    2006-08-16	Soren Sandmann	<sandmann@redhat.com>

	* testelf.c: Really add this file.

M	ChangeLog
M	binparser.c
M	elfparser.c
A	testelf.c

commit 2bc2e3658d926c7ca2c7a227405ff9735bc1fa1a
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Wed Aug 16 03:31:10 2006 +0000

    Add beginning of an ELF parser.

    2006-08-15	Soren Sandmann	<sandmann@redhat.com>

	Add beginning of an ELF parser.

	* binparser.[ch]: New files
	* elfparser.[ch]: New files
	* testelf.c: New file
	* Makefile.am (testelf_SOURCES): Add new testelf program.

M	ChangeLog
M	Makefile.am
A	binparser.c
A	binparser.h
A	elfparser.c
A	elfparser.h

commit bde3d8a537bf54398d50b4a39995521267472a9b
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Aug 12 20:40:58 2006 +0000

    Some formatting fixes.

    Sat Aug 12 16:40:38 2006  Søren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c: Some formatting fixes.

M	module/sysprof-module.c

commit c2f754dfb6b14cd7ca804a1da305a64bdb1c6a53
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Aug 12 20:15:52 2006 +0000

    Make n_samples per-cpu. Add an atomic variable in_timer_notify and
    use it

    Sat Aug 12 16:13:05 2006  Søren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c: Make n_samples per-cpu. Add an atomic
	variable in_timer_notify and use it to lock out simultaneous timer
	interrupts.

	* stackstash.c (decorate_node): Make decorate_node() static

	* TODO

M	ChangeLog
M	TODO
M	module/sysprof-module.c
M	stackstash.c

commit 060fd343a8c2651cae35e284b419c86a90faa673
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Aug 11 15:41:46 2006 +0000

    Updates

    Fri Aug 11 11:41:15 2006  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit 2bc1d6f2802a954d97c8527f338d572b356e7a2c
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Aug 9 03:06:04 2006 +0000

    Incomplete ChangeLog entry

M	ChangeLog

commit f06e272ea77b42466b113d5dc86b3d72d01695b1
Author: Soren Sandmann <ssp@localhost.localdomain>
Date:	Wed Aug 9 03:05:34 2006 +0000

    Make the load_file() idle low priority to avoid weird toolbar flash.


    2006-08-08	Soren Sandmann	<ssp@localhost.localdomain>

	* sysprof.c (main): Make the load_file() idle low priority to
	avoid weird toolbar flash.

	* TODO: updates.

M	ChangeLog
M	NEWS
M	README
M	TODO
M	sysprof.c

commit 23d3a36a4a201a4e4cfd9f87e130678fc0550feb
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	Mon Jul 31 18:52:12 2006 +0000

    small cleanup

M	ChangeLog
M	sysprof.c

commit d43cdf3c149823784f28876b95b3d1440a391b62
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Jul 31 04:50:34 2006 +0000

    Add a destroy notifier to StackStash

    2006-07-31	Soren Sandmann <sandmann@redhat.com>

	* stackstash.[ch]: Add a destroy notifier to StackStash

	* collector.c (collector_create_profile): Pass g_free as destroy
	notifier.

	* collector.c (collector_reset): Pass NULL as destroy notifier

	* profile.c (profile_load): Pass g_free here.

	* profile.c (struct Profile): Remove unused "Node" typedef

	* collector.c (resolve_symbols): Free the array here.

	* TODO: various updates.

M	ChangeLog
M	TODO
M	collector.c
M	profile.c
M	signal-handler.c
M	stackstash.c
M	stackstash.h
M	sysprof.c

commit 5efd06051c427e9eaf5f1b1afa60a7b69cda44ef
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Jul 31 02:12:23 2006 +0000

    Simplify this file a bit, and make it not rely on atomic pointer
    writes.

    2006-07-30	Soren Sandmann <sandmann@redhat.com>

	* signal-handler.c: Simplify this file a bit, and make it not rely
	on atomic pointer writes.

M	ChangeLog
M	profile.c
M	signal-handler.c

commit 144e440ff24a9db42b2a150b84960087ec4faf04
Author: Bastien Nocera <hadess@hadess.net>
Date:	Tue Jul 18 16:32:05 2006 +0000

    we need at least glib 2.6.0 for the gstdio.h functions

    2006-07-18	Bastien Nocera	<hadess@hadess.net>

	* configure.ac: we need at least glib 2.6.0 for the gstdio.h
	functions

M	ChangeLog
M	configure.ac

commit c22c846759b2f7f1dd6226d17022da726eb417bb
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Jun 9 21:55:45 2006 +0000

    Update TODO

M	TODO

commit 054e6702bb635ffd16c782152e51e648a58c519c
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Jun 9 03:08:38 2006 +0000

    file announce-1.0.3 was initially added on branch sysprof-1-0.

commit 14cfcec7f91618f5d4128c9f4e88fdfa9a267374
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Jun 7 16:18:44 2006 +0000

    Update TODO

M	TODO

commit 24ed3d06caa443c4946bc46750f64d99037599f3
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 5 22:38:30 2006 +0000

    Updates

    2006-06-05	Soren Sandmann <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit e97dcc792ae8173c318cd25ec9aed139251f041c
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 22 19:08:23 2006 +0000

    updates Various formatting fixes.

    Sat Apr 22 15:08:01 2006  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: updates
	* profile.c, sfile.c, sformat.c: Various formatting fixes.

M	ChangeLog
M	TODO
M	profile.c
M	sfile.c
M	sformat.c

commit 6c36cd060c1e47c9428a95d81cd684586cdfd51a
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Apr 5 15:26:47 2006 +0000

    updates

    Wed Apr  5 11:26:30 2006  Søren Sandmann  <sandmann@redhat.com>

	    * TODO: updates

M	ChangeLog
M	TODO

commit 9e612d798a3cad838f750659f5163817acdb471a
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Mar 28 04:08:14 2006 +0000

    Updates.


    Mon Mar 27 23:04:30 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: Updates.

	    * sfile.c (handle_{begin,end}_element): Don't generate
	    begin/end
	    instructions for value elements.

	    * sfile.c (build_instructions): Remove debugging spew.

M	ChangeLog
M	TODO
M	sfile.c

commit 6534ca13c01fe7be98cffe31f0e2c081e12bc952
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Mar 28 03:02:21 2006 +0000

    New files containing a simplified and sanitized version of the state


    Mon Mar 27 21:44:04 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * sformat.[ch]: New files containing a simplified and
	    sanitized
	    version of the state machine and type system from sfile.c.

	    * sfile.c: Move the state machine and type management
	    to separate
	    files. Make the amount of memory used during loading and
	    saving
	    less obscene.

	    * stackstash.c (stack_stash_new_from_root): Make this function
	    store the root again.

M	ChangeLog
M	Makefile.am
M	TODO
M	profile.c
M	sfile.c
M	sfile.h
A	sformat.c
A	sformat.h
M	stackstash.c

commit 3c5240c7ef297c281546ca85c2e356434df5928c
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Mar 27 14:57:14 2006 +0000

    updates

    Mon Mar 27 09:55:01 2006  Søren Sandmann  <sandmann@redhat.com>

	    * TODO: updates

M	ChangeLog
M	TODO

commit 9859854cc18cd67876b2f1280a02556cedfc6cc4
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Mar 12 04:00:23 2006 +0000

    updates

    2006-03-11 Soren Sandmann <sandmann@redhat.com>

	* TODO: updates

	* stackstash.[ch]: Make stackstash refcounted

	* collector.c, profile.c: Update for refcounted stackstash, plug
	leak.

	* collector.c (open_fd): Remove FIXME comment

M	ChangeLog
M	TODO
M	collector.c
M	profile.c
M	stackstash.c
M	stackstash.h

commit 849efc820deef78c2ee35947713f007902411f81
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Mar 5 21:11:07 2006 +0000

    Do proper error-handling.

    2006-03-05 Soeren Sandmann <sandmann@redhat.com>

	    * sysprof-text.c, collector.c, sysprof.c: Do proper
	    error-handling.

M	ChangeLog
M	collector.c
M	collector.h
M	sysprof-text.c
M	sysprof.c

commit ebb772876861246dfe3fd05c3078f6884a38fa27
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 4 03:28:26 2006 +0000

    Check that the inodes match.


    Fri Mar  3 22:28:03 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * process.c (process_lookup_symbol): Check that the inodes
	    match.

	    * binfile.c (read_symbols): Read the inode of the file

	    * binfile.c (read_symbols): Close the bfd if the symbol table
	    could not be read.

M	ChangeLog
M	NEWS
M	TODO
M	binfile.c
M	binfile.h
M	process.c
M	sysprof.c

commit 0d6d997f4a57a44701542830aacf848f6e151dcc
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Fri Mar 3 03:55:04 2006 +0000

    Handle NULL models.

    Thu Mar  2 22:54:37 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * treeviewutils.c (tree_view_foreach_visible): Handle
	    NULL models.

	    * sysprof.glade, sysprof.c: Revert back to three pane layout.

M	ChangeLog
M	TODO
M	sysprof.c
M	sysprof.glade
M	treeviewutils.c

commit dc51fea3b4e70c7da059b0e2252e50fde0ea33e1
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Fri Feb 24 07:10:42 2006 +0000

    Clear screenshot window when start is toggled.

    Fri Feb 24 02:09:33 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (on_start_toggled): Clear screenshot window
	    when start
	    is toggled.

	    * TODO: Add some notes about stack handling on the x86

M	TODO
M	sysprof.c

commit 894d9ee400cf3ac502677d4bca1d6306eb9b71e9
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Feb 24 02:38:31 2006 +0000

    file announce-1.0.2 was initially added on branch sysprof-1-0.

commit 07910cf678fc188bf7e8cbcbc1a514a21ac03815
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Feb 20 05:06:50 2006 +0000

    Update TODO

M	TODO

commit 0a592c152a9cd57b2685a420d01f4cfe4912c00a
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Feb 17 15:44:55 2006 +0000

    more ifdef's to make it work with Red Hat Enterprise Linux 4's
    2.6.9-based

    2006-02-17	Bastien Nocera	<hadess@hadess.net>

	* configure.ac:
	* module/sysprof-module.c: (timer_notify), (sysprof_open),
	(sysprof_release): more ifdef's to make it work with Red Hat
	Enterprise Linux 4's 2.6.9-based kernel

M	ChangeLog
M	configure.ac
M	module/sysprof-module.c

commit 58a1cf37efb3eb6a833e6269243750340027be31
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Feb 5 04:54:04 2006 +0000

    Remove ancestors pane in favor of radiobuttons in the right pane.

    Sat Feb  4 23:53:05 2006  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.glade: Remove ancestors pane in favor of radiobuttons in
	the right pane.

	* sysprof.c: Corresponding changes.

	* TODO: Updates

M	ChangeLog
M	TODO
M	sysprof.c
M	sysprof.glade

commit 849975ec8339840dc1243878eaa3e9805487c2d2
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Jan 25 16:24:24 2006 +0000

    Updates

    Wed Jan 25 11:24:04 2006  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit bcf9dacd013fe287d885223d004e68c34892f213
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Jan 16 16:12:44 2006 +0000

    Updates

    Mon Jan 16 11:12:13 2006  Søren Sandmann  <sandmann@redhat.com>

	    * TODO: Updates

M	ChangeLog
M	TODO

commit 68827a7fbc3652ab20771d0ad5b0f77de29c0f08
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Jan 16 01:22:27 2006 +0000

    Print out sysprof version at module load time.

    Sun Jan 15 20:22:20 2006  Soeren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c (init_module): Print out sysprof version
	at module load time.

M	ChangeLog
M	module/sysprof-module.c

commit 135ce0e2ea40e2b7f1170284c1f5db57b08be817
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jan 15 05:28:04 2006 +0000

    Updates


    Sun Jan 15 00:24:02 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: Updates

	    * sysprof.c (build_gui): Rename 'callers' column 'ancestors'

	    * profile.c (profile_list_callers): Make this function
	    list all
	    ancestors of the function. Also make it report correct numbers
	    again.

M	ChangeLog
M	TODO
M	profile.c
M	sysprof.c

commit 98308836afa4b0a690373716e3de3823bc399150
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Jan 14 23:26:34 2006 +0000

    Only build GUI when the necessary dependencies are found.


    Sat Jan 14 18:24:43 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * configure.ac, Makefile.am: Only build GUI when the necessary
	    dependencies are found.

	    * sysprof.c (compute_text_width): Remove unused variable

	    * profile.c (build_object_list): Follow next instead of
	    siblings.

M	ChangeLog
M	Makefile.am
M	TODO
M	configure.ac
M	profile.c
M	profile.h
M	sysprof.c

commit 9125c4e644fa8168b6f6b15f06cda7423deec996
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Jan 14 04:12:12 2006 +0000

    updates

    Fri Jan 13 23:11:33 2006  Søren Sandmann  <sandmann@redhat.com>

	* TODO: updates

M	ChangeLog
M	TODO
M	collector.c

commit 2d525523f85341ee39ed419a2a1c720672d968ab
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Jan 14 04:00:59 2006 +0000

    Initialize retval.

    Fri Jan 13 22:59:48 2006  Soeren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c (sysprof_open): Initialize retval.

	* module/sysprof-module.c (sysprof_read): Copy contents of trace,
	not tail to the buffer.

M	ChangeLog
M	collector.c
M	module/sysprof-module.c

commit c65bfcc1142e78a9bf8190f6a6558b1ed3a71cb9
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Jan 12 01:32:06 2006 +0000

    Also make offset a gulong (Samuel Mimram)

    Wed Jan 11 20:31:11 2006  Søren Sandmann  <sandmann@redhat.com>

	   * process.c (read_maps): Also make offset a gulong (Samuel
	   Mimram)

M	ChangeLog
M	process.c

commit 779b537f2bcbdb7ac8775b391afb12cb563825a0
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Jan 11 22:53:08 2006 +0000

    Remove debug spew.

    Wed Jan 11 17:51:54 2006  Søren Sandmann  <sandmann@redhat.com>

	* collector.c: Remove debug spew.

	* TODO: updates

M	ChangeLog
M	TODO
M	collector.c

commit 6d76b0c486214f440ce98c01491a81da1c89f946
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Jan 9 14:58:42 2006 +0000

    Remove START_OF_STACK check.

    Mon Jan  9 09:58:25 2006  Soeren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c (timer_notify): Remove START_OF_STACK
	check.

M	ChangeLog
M	module/sysprof-module.c

commit 5baa137e211690e20f08035696089954140c811e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Jan 9 05:59:44 2006 +0000

    Use gulong for addresses. Bug reported by Martin Reddy.

    Mon Jan  9 00:59:21 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * process.c (read_maps): Use gulong for addresses. Bug
	    reported by
	    Martin Reddy.

M	ChangeLog
M	process.c

commit 5a8582b041c46a2298662b8671d475324f460175
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jan 8 08:22:47 2006 +0000

    Resurrect this function.

    Sun Jan  8 03:22:22 2006  Soeren Sandmann  <sandmann@redhat.com>

	* process.c (process_flush_caches): Resurrect this function.

	* collector.c (collector_reset): Call it from here

M	ChangeLog
M	collector.c
M	process.c
M	process.h

commit 0559ad82e7fae8a7fd6804606ade899bb0facb23
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jan 8 07:20:25 2006 +0000

    update


    Sun Jan  8 02:19:34 2006  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: update

M	ChangeLog
M	TODO

commit f6d7a34ccf67afd401bea774675adc466c969c12
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Jan 5 22:52:59 2006 +0000

    small updates cosmetic updates cosmetic updates

    Thu Jan  5 17:52:10 2006  Søren Sandmann  <sandmann@redhat.com>

	* TODO: small updates
	* sysprof.c: cosmetic updates
	* module/sysprof-module.c: cosmetic updates

M	ChangeLog
M	TODO
M	module/sysprof-module.c
M	sysprof.c

commit 3c8bde00b4fa9035934be5b90b865adc73c14a26
Author: Kristian Høgsberg <krh@redhat.com>
Date:	Tue Dec 20 22:45:34 2005 +0000

    Remove left over debug print out and add support for multiple clients

    2005-12-20	Kristian Høgsberg  <krh@redhat.com>

	    * module/sysprof-module.c: Remove left over debug print
	    out and
	    add support for multiple clients (readers).

M	ChangeLog
M	module/sysprof-module.c

commit acc0ee9ec976d737cdb91d849f0629639a2e3825
Author: Kristian Høgsberg <krh@redhat.com>
Date:	Tue Dec 20 21:30:07 2005 +0000

    Remove left over debug print out.

    2005-12-20	Kristian Høgsberg  <krh@redhat.com>

	    * module/sysprof-module.c (sysprof_read): Remove left
	    over debug
	    print out.

M	ChangeLog
M	module/sysprof-module.c

commit c5172c58e62d179b402d8e7f233a257c7a116018
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Dec 20 20:51:39 2005 +0000

    Updates

    Tue Dec 20 16:03:29 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

	* sysprof-text.c (main): Make it try and load the module before
	complaining.

M	ChangeLog
M	TODO
M	collector.c
M	sysprof-text.c

commit ad5ffd749bafd462724df74f4ebe945d9ceee805
Author: Kristian Høgsberg <krh@redhat.com>
Date:	Tue Dec 20 17:55:03 2005 +0000

    Dist and install udev rule.

    2005-12-20	Kristian Høgsberg  <krh@redhat.com>

	    * Makefile.am: Dist and install udev rule.

	    * collector.c: (open_fd):
	    * sysprof-text.c: (no_module):
	    * sysprof.c: (on_start_toggled): Update device filename.

	    * 60-sysprof.rules: New udev rule file to set permissions for
	    sysprof char device.

	    * module/sysprof-module.c: Switch kernel module to use a
	    misc char
	    device instead.  Start and stop the timer on device open and
	    close instead of module load and unload.

A	60-sysprof.rules
M	ChangeLog
M	Makefile.am
M	TODO
M	collector.c
M	module/sysprof-module.c
M	module/sysprof-module.h
M	sysprof-text.c
M	sysprof.c

commit c1f411c356273d4464e21c407516ed6131c006dd
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Tue Dec 20 17:20:10 2005 +0000

    Add backslashes, pointed out by Ralph Siemsen.

    Tue Dec 20 12:19:34 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac: Add backslashes, pointed out by Ralph Siemsen.

M	ChangeLog
M	configure.ac

commit 02242d500b99312bc6efa180a87365399d1e4d94
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Dec 19 22:39:34 2005 +0000

    Make the tree tree-shapeed.

    Mon Dec 19 17:39:09 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c (add_text): Make the tree tree-shapeed.

M	ChangeLog
M	sysprof.c

commit 6d7d97265421b455ae5e2014a24fa24923b1ad49
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Dec 19 21:43:58 2005 +0000

    file announce-1.0.1 was initially added on branch sysprof-1-0.

commit 1fe1419ef3319f97e5b1d7d8a4b71bfb89118865
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Dec 19 20:29:57 2005 +0000

    *** empty log message ***

M	module/sysprof-module.c

commit a829366b720b0abbf6d442285408d2fb01ec2d4d
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Dec 19 20:24:18 2005 +0000

    A few formatting fixes. Hopefully make it work with x86-64.

    Mon Dec 19 15:15:48 2005  Søren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c (timer_notify): A few formatting
	fixes. Hopefully make it work with x86-64.

M	ChangeLog
M	TODO
M	module/sysprof-module.c

commit 35de8d36a04e6f24c6c60c7a5baa09b788920f43
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Nov 30 07:12:32 2005 +0000

    New function. Update screenshot window when rows are expanded and


    2005-11-29	Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (on_descendants_row_expanded_or_collapsed): New
	    function. Update screenshot window when rows are expanded and
	    collapsed.

M	ChangeLog
M	sysprof.c

commit 8b66aa02f8bba38bd2311a490e6c6d94078aa604
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 25 03:43:24 2005 +0000

    *** empty log message ***

M	TODO
M	sysprof.glade

commit 96188f3c99fd591fd62b15e23449999431f7f880
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Thu Nov 24 04:53:19 2005 +0000

    Update the screenshot window.

    2005-11-23	Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (update_screenshot_window): Update the screenshot
	window.

M	ChangeLog
M	sysprof.c

commit 22d15cd2cc6bd019eba54520877939c9b7763096
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Nov 23 05:33:12 2005 +0000

    Various cleanups


    Wed Nov 23 00:44:34 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c: Various cleanups

	    * TODO: updates

M	ChangeLog
M	TODO
M	module/sysprof-module.c

commit ecfcee7ab139b870f5d5413b68b6f87fba08463d
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Nov 23 04:26:36 2005 +0000

    Remove unused pages_present() function

    Tue Nov 22 23:38:09 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c: Remove unused pages_present()
	    function

M	ChangeLog
M	module/sysprof-module.c
M	process.c

commit 6797b3ef0454c44acc878f69429f5a7b5a0e0abb
Author: Matthias Clasen <matthiasc@src.gnome.org>
Date:	Fri Nov 18 15:55:36 2005 +0000

    Make configure work

M	ChangeLog
M	configure.ac

commit 7414ddd5db831065bd0045a01d30a32cab41084e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Nov 14 02:44:15 2005 +0000

    Add some experimental (and unused) code to look up kernel symbols.


    2005-11-13	Soeren Sandmann  <sandmann@redhat.com>

	    * process.c: Add some experimental (and unused) code to
	    look up
	    kernel symbols.

M	ChangeLog
M	process.c

commit b6e9105cd2697d3ebbb497e83b2212203018f402
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 13 04:28:57 2005 +0000

    Put the vertical splitter at 3/8 * screen_width.


    Sat Nov 12 23:39:29 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (set_sizes): Put the vertical splitter at 3/8 *
	    screen_width.

	    * configure.ac: Disable warning.

M	ChangeLog
M	configure.ac
M	sysprof.c

commit 3a306d20d000428c8185007064946d7831746db4
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 13 00:46:08 2005 +0000

    great-sage-equal-to-heaven:~/vertigo/sysprof% head -13 ChangeLog
    Sat Nov 12 19:44:43 2005  Søren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c (read_frame): New function that uses
	    copy_from_user_inatomic() as check_user_pages_readable() has
	    disappeared in recent kernels.

	    * module/sysprof-module.c (timer_notify): Use it here.

	    * TODO: Updates

	    * configure.ac: Change the wording of the CVS HEAD warning
	    as this
	    change seems to also have fixed the lockup with rawhide
	    kernels.

M	ChangeLog
M	TODO
M	collector.c
M	configure.ac
M	module/sysprof-module.c

commit c3ce4ef8c56f7d85e9adc9f63c8dbccf3d7b44a5
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Nov 9 05:39:25 2005 +0000

    Add new tree_view_foreach_visible() function.


    Wed Nov  9 00:24:11 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * treeviewutils.[ch]: Add new tree_view_foreach_visible()
	    function.

	    * sysprof.c: Add update_screenshot_window() function.

M	ChangeLog
M	TODO
M	sysprof.c
M	treeviewutils.c
M	treeviewutils.h

commit 00244118a2a0514012a882aa135e0abc4f71469e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Nov 8 04:32:19 2005 +0000

    Add beginning of a screenshot window.


    Mon Nov  7 23:42:26 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c: Add beginning of a screenshot
	    window.

	    * sysprof.glade: Add screenshot window plus menu items.

	    * stackstash.c: Remove unused function
	    stack_node_list_leaves()

	    * xmlstore.c: Various crack

M	ChangeLog
M	profile.c
M	stackstash.c
M	stackstash.h
M	sysprof.c
M	sysprof.glade
M	xmlstore.c

commit 1bf3734fdb001b849b58e55160e89afa3ca1757e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Nov 7 03:53:20 2005 +0000

    Test for !prev instead of !next.

    Sun Nov  6 23:03:49 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * profile.c (add_trace_to_tree): Test for !prev instead
	    of !next.

M	ChangeLog
M	profile.c

commit fe5dd1e1fa2d0d6060289acbb3f263b600c22e0f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 7 02:27:55 2005 +0000

    Sun Nov 6 Soeren Sandmann <sandmann@redhat.com>


    Sun Nov  6	Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: updates

	    * collector.c (on_read): Only call back when a new sample
	    actually
	    arrived.

	    * collector.c (collector_stop): close the filedescriptor

	    * sysprof.c (on_start_toggled): Change sense of test.

	    * sysprof.c (ensure_profile): Stop the collector.

	    * sysprof.c (on_reset_clicked): Stop the collector when state
	    becomes INITIAL.

M	ChangeLog
M	TODO
M	collector.c
M	sysprof.c

commit 64b2627c4a69db9ad4f0bc170b08a6bc66412b44
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 6 23:27:17 2005 +0000

    Make these function call back with GLists rather than GSLists.


    Sun Nov  6 18:31:23 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * stackstash.c (stack_stash_foreach):
	    * stackstash.c (stack_node_foreach_trace): Make these function
	    call back with GLists rather than GSLists.

	    * profile.c (add_trace_to_tree): Iterate backwards instead of
	    copying the list.

M	ChangeLog
M	collector.c
M	profile.c
M	stackstash.c
M	stackstash.h

commit c1bfbbf9b8058f20a97905b750da5c52101e2488
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Nov 6 22:10:30 2005 +0000

    Turn this function into a StackFunction.


    Sun Nov  6 17:06:52 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * profile.c (add_trace_to_tree): Turn this function into a
	    StackFunction.

	    * stackstash.c (stack_node_foreach_trace): Make this
	    function take
	    a StackFunction, and reimplement with do_callback().

M	ChangeLog
M	profile.c
M	stackstash.c
M	stackstash.h
M	sysprof.c

commit c0aed2a4de1ae9bd8de9702c8d89bc3cf653641e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Nov 5 22:57:09 2005 +0000

    Use callbacks from stackstash.

    Sat Nov  5 18:06:40 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * profile.c (profile_create_descendants): Use callbacks from
	    stackstash.

	    * stackstash.c (stack_node_foreach_trace): New function
	    * stackstash.c (do_node_callback): New function

M	ChangeLog
M	profile.c
M	stackstash.c
M	stackstash.h

commit 1f5b6ff38c7f81cf3e380a6d918db286331cea46
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Nov 5 17:28:22 2005 +0000

    Don't compute the total field.


    Sat Nov  5 12:39:33 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * profile.c (add_trace_to_tree): Don't compute the total
	    field.

	    * profile.h (struct ProfileDescendant): Remove 'total' field.

	    * sysprof.c: Delete DESCENDANTS_TOTAL column and everything
	    related to it.

	    * profile.c: Remove commented out code

	    * sfile.c (handle_text): Don't copy the text

M	ChangeLog
M	profile.c
M	profile.h
M	sfile.c
M	sysprof.c

commit cf761a2a7095eec43b0be515cb24ef218df6fc20
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sat Nov 5 04:58:16 2005 +0000

    Add copyright statement.


    2005-11-04	Soren Sandmann	<sandmann@redhat.com>

	    * collector.[ch]: Add copyright statement.

	    * collector.c (on_read): Handle time getting set backwards.

	    * collector.c: Remove unused empty_filedescriptor() function.

M	ChangeLog
M	collector.c
M	collector.h
M	module/sysprof-module.c
M	process.c
M	sysprof.c

commit 5bddcf4af9c3c8700b0661051e02db4f9e8faf6d
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Nov 5 00:49:34 2005 +0000

    +2005-11-03  Soren Sandmann  <sandmann@redhat.com>
    +
    +	    * configure.ac: Make the message about the kernel source
    package
    +	    more informative. Code from Kjetil Torgrim Homme.
    +
    +	    * sysprof.c (on_start_toggled): Only delete the data if the
    +	    profiling can actually be started.
    +

M	ChangeLog
M	TODO
M	configure.ac
M	sysprof.c

commit 4f270a0f4875620dfcf92d98c1bcf5961415e74a
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Nov 2 05:10:13 2005 +0000

    Update GUI after showing error message.


    2005-11-01	Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (on_start_toggled): Update GUI after showing error
	    message.

	    * sysprof.glade: Rename File menu Profiler, move
	    Start/Profile/Reset here, delete View menu.

M	ChangeLog
M	TODO
M	sysprof.c
M	sysprof.glade

commit c778a1b1ecd8daf2dffe3dbe09284128a1e9d20a
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Nov 1 04:37:16 2005 +0000

    Add "total" field.

    Mon Oct 31 23:41:33 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * stackstash.h (struct StackNode): Add "total" field.

	    * stackstash.c (stack_stash_add_trace): Keep track of the
	    aggregate size.

	    * profile.c (profile_get_size): Sum the totals of the siblings
	    instead of all the children.

	    * profile.c (build_object_list): Correctly compute obj->self

	    * profile.c (profile_load): Don't ignore the node->total
	    field.

	    * profile.c (serialize_call_tree): Save node->total instead
	    of the
	    computed total

	    * profile.c (compute_total): Use n->total instead of
	    computing it
	    from scratch.

	    * profile.c: Remove unused sum_children() function.

	    * TODO: Updates

	    * process.c (process_get_from_pid): Plug leak.

M	ChangeLog
M	TODO
M	collector.c
M	process.c
M	profile.c
M	stackstash.c
M	stackstash.h

commit 81ad1816670c070199b91780131414bcde64ba03
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Tue Nov 1 02:37:09 2005 +0000

    free the profile objects.

    Mon Oct 31 21:36:37 2005  Søren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (fill_main_list): free the profile objects.

	    * sysprof.c (struct Application): Remove unused variable.

M	ChangeLog
M	TODO
M	sysprof.c

commit fe134ed8a2bff853cc274f8ac2cb2856b29b043a
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Oct 31 15:21:26 2005 +0000

    Update TODO

M	TODO

commit ec8798a8b12aceaf2b1f0bdbca2826ce29b8e79f
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Oct 31 05:20:37 2005 +0000

    Use APPLICATION_NAME macro

    Mon Oct 31 00:22:58 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (set_application_title): Use APPLICATION_NAME macro

	* sysprof.c (load_file): Don't leak the FileOpenData

	* TODO: updates

M	ChangeLog
M	TODO
M	sysprof.c

commit c34a9b862f72d2264c7c8c66b43bc318f5087f39
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Oct 31 04:20:25 2005 +0000

    TODO

M	TODO
M	profile.c

commit 60757b6977985f1e801f96bacf1fa7e76b205cea
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 30 20:57:25 2005 +0000

    Don't link sysprof-text to gtk+.

    2005-10-30	Soren Sandmann <sandmann@redhat.com>

	* configure.ac, Makefile.am: Don't link sysprof-text to gtk+.

M	ChangeLog
M	Makefile.am
M	TODO
M	configure.ac

commit dff4affaab5c59a642d49a8a4646008e14c419f0
Author: Soren Sandmann <sandmann@redhat.com>
Date:	Sun Oct 30 20:14:31 2005 +0000

    Merge stackstash-reorg branch into HEAD

    2005-10-30	Soren Sandmann <sandmann@redhat.com>

	* Merge stackstash-reorg branch into HEAD

M	ChangeLog
M	Makefile.am
M	NEWS
M	TODO
A	collector.c
A	collector.h
M	process.c
M	process.h
M	profile.c
M	profile.h
M	sfile.h
M	stackstash.c
M	stackstash.h
M	sysprof-text.c
M	sysprof.c

commit 3783be00a874998651325a14ef68bacba4e295e0
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 29 19:01:45 2005 +0000

    tweak configure.ac message

M	configure.ac

commit ba8f13a60639f47b2023e9af3493122600661907
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Oct 29 18:50:11 2005 +0000

    Fix crash pointed reported by Rudi Chiarito.

    Sat Oct 29 14:43:00 2005  Søren Sandmann  <sandmann@redhat.com>

	    Fix crash pointed reported by Rudi Chiarito.

	    * stackstash.c (stack_stash_add_trace): Just return if
	    n_addrs is 0.

	    * sysprof.c (on_read): Only trace if n_addresses != 0.

M	ChangeLog
M	stackstash.c
M	sysprof.c

commit d598799b239a0af3043357f628da10a2d9f718ac
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Oct 29 18:30:25 2005 +0000

    updates


    Sat Oct 29 14:29:55 2005  Søren Sandmann  <sandmann@redhat.com>

	* README, TODO: updates

M	ChangeLog
M	README
M	TODO
A	xmlstore.c
A	xmlstore.h

commit 3d43e894fd959a57e291718477b92df3b7354c32
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Oct 14 15:45:48 2005 +0000

    Add a warning about known bugs in the kernel module in this branch.


    Fri Oct 14 11:44:43 2005  Søren Sandmann  <sandmann@redhat.com>

	    * configure.ac: Add a warning about known bugs in the kernel
	    module in this branch.

	    * TODO: updates.

M	ChangeLog
M	TODO
M	configure.ac

commit a49ae59709dc5fcb0a256b18a601b783f616e0cf
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Oct 12 02:40:29 2005 +0000

    Add back these constants, but this time make sure we won't divide
    by 0 or


    Tue Oct 11 22:40:24 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c (SAMPLES_PER_SECOND): Add back these
	    constants, but this time make sure we won't divide by 0 or
	    anything like that.

M	ChangeLog
M	module/sysprof-module.c

commit e5987543b052e0c50f41e08830e1e00514e6a477
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Oct 11 02:48:46 2005 +0000

    Delete lots of commented-out code.


    Mon Oct 10 22:49:03 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c: Delete lots of commented-out code.

M	ChangeLog
M	module/sysprof-module.c

commit f910d769edd08ae563680f885acfebe43ac251f1
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Oct 10 18:35:00 2005 +0000

    Add --disable-kernel-module option. Patch from Pascal Terjan.


    Mon Oct 10 14:33:50 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac: Add --disable-kernel-module option. Patch from
	Pascal Terjan.

M	ChangeLog
M	Makefile.am
M	configure.ac

commit 58073ffba8d6fac562f1b3bed6367990173e7346
Author: Robert Love <rml@novell.com>
Date:	Mon Oct 10 17:01:57 2005 +0000

    Don't use INTERVAL or SAMPLES_PER_SECOND now that we use


    Mon Oct 10 13:00:20 2005  Robert Love  <rml@novell.com>

	    * module/sysprof-module.c: Don't use INTERVAL or
	    SAMPLES_PER_SECOND
	      now that we use register_timer_hook(), which hits off
	      the timer
	      interrupt at HZ freqency (1/250 second on x86).

M	ChangeLog
M	module/sysprof-module.c

commit 89439e45f64a81e8aaa34b8396181a40ec1c961f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 1 21:05:48 2005 +0000

    file profiler.c was initially added on branch stackstash-reorg.

commit 11a4dfd28f0bf26b8b0b12d7ee4b2c15fb9d3a84
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 1 21:05:48 2005 +0000

    file profiler.h was initially added on branch stackstash-reorg.

commit 52f6186236c99faf3488558da6877cf3427c61f6
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 1 05:32:07 2005 +0000

    file helper.c was initially added on branch stackstash-reorg.

commit f95bfcdfe6cb7040b657fc3f9fab56aa163415e4
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 1 05:32:07 2005 +0000

    file helper.h was initially added on branch stackstash-reorg.

commit e67d1b48560c71c4749ab6b37b8ec17d7e6d4554
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Oct 1 05:24:39 2005 +0000

    Update


    Sat Oct  1 01:21:57 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: Update

M	ChangeLog
M	TODO

commit f7e888e574b84b5f30586b18a5d01420eea960b9
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 1 05:23:58 2005 +0000

    Revert accidental commit of stackstash reorganisation

M	ChangeLog
M	Makefile.am
M	TODO
M	profile.c
M	stackstash.c
M	stackstash.h
M	sysprof-text.c
M	sysprof.c

commit cc1055d105230f3b235f6957718481ad8c7b87e0
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Oct 1 05:21:25 2005 +0000

    Update


    Sat Oct  1 01:21:57 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: Update

M	ChangeLog
M	Makefile.am
M	TODO
M	profile.c
M	stackstash.c
M	stackstash.h
M	sysprof-text.c
M	sysprof.c

commit 1b21157a12107c7239de17183480b98decb409e9
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Sep 29 02:16:31 2005 +0000

    Update TODO

M	TODO
M	signal-handler.c

commit 0c0e514def25478a1a7629d61baf79dcb1ad9d80
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Sep 28 18:39:25 2005 +0000

    Update TODO

M	TODO

commit d63ec45acbb91da053ba0126a8eac1f6e7e42ec6
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Sep 28 16:10:39 2005 +0000

    Add my name to the copyright statement

    Wed Sep 28 12:08:32 2005  Søren Sandmann  <sandmann@redhat.com>

	    * sysprof-text.c: Add my name to the copyright statement

M	ChangeLog
M	sysprof-text.c

commit bce3b1fea61037e67c9ffcbbc6443f9a3314e469
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Sep 27 05:35:19 2005 +0000

    If the address is 0x01, treat as kernel, regardless of whether we
    have a


    Tue Sep 27 01:33:33 2005  Soeren Sandmann  <sandmann@redhat.com>

	* process.c (process_lookup_symbol): If the address is 0x01, treat
	as kernel, regardless of whether we have a map for that address or
	not.

	* module/sysprof-module.c (timer_notify): Take a stack trace of
	the current process, even when we are in kernel mode. This way we
	can assign kernel activity to individual user space stacktraces.

	* TODO: updates.

M	ChangeLog
M	TODO
M	module/sysprof-module.c
M	process.c
M	sfile.h

commit 665d680c468731d53471a2bd59cce01ad14cf296
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 24 18:42:24 2005 +0000

    Bump version number to 1.1.0

    Sat Sep 24 14:41:23 2005  Soeren Sandmann  <sandmann@redhat.com>

	* configure.ac: Bump version number to 1.1.0

	* signal-handler.c: Many, mostly cosmetic, cleanups

	* sysprof-text.c: uninstall signal handlers when exiting

M	ChangeLog
M	configure.ac
M	sfile.h
M	signal-handler.c
M	sysprof-text.c

commit e2fb3b29852bff7df657c222b21b19f707041d27
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 24 04:14:20 2005 +0000

    New non-GUI version, written by Lorenzo Colitti, with some changes
    by me.

    Sat Sep 24 00:01:42 2005  Soeren Sandmann  <sandmann@redhat.com>

	* Nakefile.am, sysprof-text.c: New non-GUI version, written
	by Lorenzo Colitti, with some changes by me.

	* signal-handler.[ch]: New files that provide a way to get UNIX
	signals into a glib main loop.

	* README: add Lorenzo to credits

M	ChangeLog
M	Makefile.am
M	README
M	TODO
A	signal-handler.c
A	signal-handler.h
M	sysprof-text.c
M	sysprof.c

commit 03feea82e445ec2a06850190bffa009ed5477440
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 24 00:47:22 2005 +0000

    If the glade file doesn't exists pop up an alert suggesting running
    'make

    Fri Sep 23 20:46:40 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (build_gui): If the glade file doesn't exists pop up
	an alert suggesting running 'make install'

	* sysprof.c: Remove some commented out code

M	ChangeLog
M	sysprof.c

commit 15baed047a5cceb432af07717b3dd066d612b5e8
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Sep 17 20:42:56 2005 +0000

    Add 1.0 announcement

A	announce-1.0

commit 21f3f90ccb88cbb2d5f549553dcedf969707375b
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Sep 17 19:41:04 2005 +0000

    TODO updates

M	TODO

commit 9dddb6d160d84305717e2b17fc8d7b9d4c69a4a3
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Sep 17 18:35:44 2005 +0000

    Bump version numbers update Updates


    Sat Sep 17 14:35:32 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * Bump version numbers
	    * README: update
	    * TODO: Updates

M	ChangeLog
M	README
M	TODO
M	configure.ac

commit 6e37d7848cb282d113d3745282c9ca92fcfef260
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Sep 4 23:40:53 2005 +0000

    *** empty log message ***

M	TODO

commit 22d05ac01422b73327df5c4a40bc2f2857c66933
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Sep 4 23:38:40 2005 +0000

    Updates

    Sun Sep  4 19:38:51 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO
M	binfile.c
M	module/sysprof-module.c

commit ee53bcffd41c6630241bf44eb125a98ac8ee4a10
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Tue Aug 30 20:58:18 2005 +0000

    Complain if we can't find /lib/modules/`uname -r`/build/Makefile.

    Tue Aug 30 16:57:33 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac: Complain if we can't find /lib/modules/`uname
	-r`/build/Makefile.

	* process.c (process_lookup_symbol): Take an address of 0x1 to
	mean "in kernel".

	* module/sysprof-module.c (timer_notify): When reporting in-kernel
	time, give the current pid instead of -1.

	* TODO: updates

M	ChangeLog
M	TODO
M	configure.ac
M	module/sysprof-module.c
M	process.c

commit 509d5f07edb47a70c7fd06a572fc9be8f3f21cf7
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Aug 16 00:40:26 2005 +0000

    Fix some warnings.

    Mon Aug 15 20:39:11 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * binfile.c, process.c, profile.c: Fix some warnings.

M	ChangeLog
M	binfile.c
M	process.c
M	profile.c
M	sfile.c
M	sfile.h

commit fbc7b471d23af5b9efa1133aec7776bc99931932
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Tue Aug 2 03:52:30 2005 +0000

    Add support for amd64/x86-64. Patch from Mike Frysinger.

    Mon Aug  1 23:49:51 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c (REG_INS_PTR): Add support for
	    amd64/x86-64. Patch from Mike Frysinger.

M	ChangeLog
M	module/sysprof-module.c

commit 775a1e3c5d975c32a01a3573c159a83ff0f11406
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jul 10 14:52:41 2005 +0000

    Various minor clean-ups

    Sun Jul 10 10:51:52 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * binfile.c: Various minor clean-ups

M	ChangeLog
M	binfile.c

commit f3b78b794403c24485001646da0d6e55046a305a
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jul 10 03:28:35 2005 +0000

    Cache BinFiles by filename.

    Sat Jul  9 23:20:39 2005  Soeren Sandmann  <sandmann@redhat.com>

	* binfile.c (bin_file_new): Cache BinFiles by filename.

	* stackstash.c (stack_stash_free): Plug leak

	* process.c (process_free_maps): Plug leak

	* module/Makefile (install): Check that depmod exists before
	running it.

M	ChangeLog
M	TODO
M	binfile.c
M	module/Makefile
M	process.c
M	profile.c
M	stackstash.c
M	sysprof.c

commit 3459f764d795f32585c97547d2514f34d65fd3ce
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Jul 8 02:08:02 2005 +0000

    Update TODO

M	TODO

commit 8e4696a4a1703a7ccc1297c51849e02bb73ba34b
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Jun 19 19:43:02 2005 +0000

    Add version information

    Sun Jun 19 15:39:50 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c (on_about_activated): Add version information

	* configure.ac: Bump version to 0.91

	* README: Updates

M	ChangeLog
M	README
M	TODO
M	configure.ac
M	module/sysprof-module.c
M	sysprof.c

commit 18abd9e1e674c22dd11a0d4b9d6f18d49904d4f9
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Jun 19 02:46:19 2005 +0000

    Updates

    Sat Jun 18 22:45:04 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

	* configure.ac: Check for Linux 2.6.11

	* process.c (get_pidname): Present pid=-1 as [kernel].

	* module/sysprof-module.c: Use register_timer_hook() instead of
	a kernel timer. Set trace.pid to -1 if interrupt happens in
	kernel.

M	ChangeLog
M	README
M	TODO
M	configure.ac
M	module/sysprof-module.c
M	module/sysprof-module.h
M	process.c

commit fb7e1ddc473010df68cfd02a5a41770354848e17
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Jun 13 00:34:11 2005 +0000

    *** empty log message ***

M	TODO

commit 088a822edcea76d69782cb98b03f0208fd1788dc
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Jun 13 00:33:51 2005 +0000

    Disable type-ahead search for all the tree views.

    Sun Jun 12 20:30:37 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (build_gui): Disable type-ahead search for all the
	tree views.

	* sysprof.c (on_object_selection_changed): Call it from here

	* sysprof.c (expand_descendants_tree): New function that
	determines what nodes to expand in the descendatns view.

	* TODO

M	ChangeLog
M	sysprof.c

commit 82a87202c13019616ee4eb4fb98715e75c5b777f
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Jun 12 17:38:22 2005 +0000

    Updates

    Sun Jun 12 13:37:15 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit a2499b571ff0c1835da818bf6150c4b987725a52
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Jun 10 01:11:53 2005 +0000

    +Thu Jun  9 13:28:33 2005  Søren Sandmann	<sandmann@redhat.com>
    +
    +	    * TODO: Updates
    +

M	ChangeLog
M	TODO
M	binfile.c

commit 5cb9392775e84ae4ef0d32e42b9c1f71fb86544c
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Thu May 26 05:11:35 2005 +0000

    Grab focus on the callers view, not the descendants view.


    Thu May 26 01:10:45 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (on_callers_row_activated): Grab focus on the callers
	view, not the descendants view.

	* sysprof.c (on_read): Add a short "dead" period after a reset,
	so that 'samples' will actually be 0 for a while.

M	ChangeLog
M	sysprof.c

commit 13e4dfedc0c7857bba407701dd5a7e3170aa4744
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon May 23 05:39:27 2005 +0000

    Remove comment about auto* stuff, add link to


    Mon May 23 01:37:26 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * README: Remove comment about auto* stuff, add link to

		    http://www.daimi.au.dk/~sandmann/sysprof/

M	ChangeLog
M	README

commit 7dc413cd9b8c85050d2dec32ee9cfd7924a5c17e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon May 23 01:07:48 2005 +0000

    Updates

    Sun May 22 21:06:36 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit 402ffc9e4a792e018badbe4bb2ba0c47f28ac6c9
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun May 22 01:01:20 2005 +0000

    update


    Sat May 21 20:58:59 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * TODO: update

	    * sysprof.c (on_menu_item_activated): New function.

	    * sysprof.c (build_gui): Hook up menu items.

	    * module/sysprof-module.c (init_module): Remove
	    module_init/exit
	    as they cause build failure on kernels < 2.6.11.

M	ChangeLog
M	TODO
M	module/sysprof-module.c
M	sysprof.c

commit 98fe6b572e40410ace3c125ba7d00a75b7dff213
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat May 21 04:59:57 2005 +0000

    +Sat May 21 00:59:38 2005  Søren Sandmann	<sandmann@redhat.com>
    +
    +	    * TODO: update
    +

M	ChangeLog
M	TODO

commit d9de1e5a368c82d74b8396a3b86023be6746dba1
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu May 19 02:27:18 2005 +0000

    Remove ref-counting since it didn't actually do any good.

    Wed May 18 22:21:52 2005  Søren Sandmann  <sandmann@redhat.com>

	    * module/sysprof-module.c: Remove ref-counting since it didn't
	    actually do any good.

	    * sysprof.c (load_module): Use g_spawn_command_line_sync()
	    instaed
	    of system().

M	ChangeLog
M	TODO
M	module/sysprof-module.c
M	sysprof.c

commit 720e07109c09ea6280276dcdee7dd36a75cbf4fb
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun May 15 15:57:33 2005 +0000

    First attempt at making module robust agains unloading when in use.

    Sun May 15 11:56:30 2005  Søren Sandmann  <sandmann@redhat.com>

	* module/sysprof-module.c: First attempt at making module robust
	agains unloading when in use.

M	ChangeLog
M	TODO
M	module/sysprof-module.c

commit 023c75d71add0c36150ae249db9665901573387a
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun May 15 14:25:02 2005 +0000

    Do more-or-less what the automake manual suggests about foreign

    Sun May 15 10:24:09 2005  Soeren Sandmann  <sandmann@redhat.com>

	* Makefile.am, module/Makefile: Do more-or-less what the automake
	manual suggests about foreign subdirectories.

M	ChangeLog
M	Makefile.am
M	TODO
M	module/Makefile
M	sysprof.glade

commit 55fd84676f9004391a1aa6a9141407e8b9a15291
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat May 14 20:38:03 2005 +0000

    Update the title bar on load/save

    Sat May 14 16:36:32 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c (set_application_title): Update the title bar on
	load/save

	* treeviewutils.c, sfile.c: Fix compiler warnings

	* Makefile.am: define PIXMAPDIR

    Sat May 14 15:49:52 2005  Søren Sandmann  <sandmann@redhat.com>

	Auto*ify.

	* TODO: updates

	* AUTHORS, INSTALL, Makefile.am, NEWS, configure.ac: New files

	* module/Makefile: New file

	* module/sysprof-module.c, module/sysprof-module.h: Move these
	files to their own directy, as the kernel build system does not
	work very well with auto*.

	* sysprof.c, autogen.sh: Some auto* changes.

M	ChangeLog
M	Makefile.am
M	TODO
M	sfile.c
M	sysprof.c
M	treeviewutils.c

commit 71db050480666af4cc089a556177d583c0f6be77
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat May 14 19:53:53 2005 +0000

    Auto*ify.

    Sat May 14 15:49:52 2005  Søren Sandmann  <sandmann@redhat.com>

	Auto*ify.

	* TODO: updates

	* AUTHORS, INSTALL, Makefile.am, NEWS, configure.ac: New files

	* module/Makefile: New file

	* module/sysprof-module.c, module/sysprof-module.h: Move these
	files to their own directy, as the kernel build system does not
	work very well with auto*.

	* sysprof.c, autogen.sh: Some auto* changes.

A	AUTHORS
A	INSTALL
D	Makefile
A	Makefile.am
A	NEWS
M	TODO
M	autogen.sh
A	configure.ac
A	module/Makefile
R100	sysprof-module.c	module/sysprof-module.c
R100	sysprof-module.h	module/sysprof-module.h
M	sysprof.c

commit e6b3ae64bd1fc9f102a5aa171161eb188eda942c
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue May 10 13:07:20 2005 +0000

    *** empty log message ***

M	profile.c
M	sfile.c
M	sysprof.c

commit 11c056197614443f097aa1f86fb117123b30ba76
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun May 8 20:34:04 2005 +0000

    more updates

    Sun May  8 16:31:32 2005  Søren Sandmann  <sandmann@redhat.com>

	    * TODO: more updates

	    * sysprof.c: Try loading the module before complaining

M	ChangeLog
M	TODO
M	sysprof.c

commit aaa38daad84acceac861d7e1f5aa764cd229e6f8
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun May 8 19:49:26 2005 +0000

    Restore lost wake_up().

    Sun May  8 15:45:08 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (do_generate): Restore lost wake_up().

	* sfile.c: Comment out use of bz2.

	* Makefile: Add an install target. Add GLADE_DIR and PIXMAP_DIR

	* sysprof.c (build_gui): use GLADE_DIR and PIXMAP_DIR here.

	* TODO: Updates.

M	ChangeLog
M	Makefile
M	TODO
A	autogen.sh
D	cdplayer-play.png
D	cdplayer-stop.png
M	sfile.c
M	sysprof-module.c
M	sysprof.c

commit c427b8835223914bf12b0f2de09639b9321f5d74
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat May 7 17:57:59 2005 +0000

    Implement this function

    Sat May  7 13:57:17 2005  Søren Sandmann  <sandmann@redhat.com>

	* sfile.c (sfile_output_free): Implement this function

	* sfile.c (sfile_input_free): Implement this function

M	ChangeLog
M	binfile.c
M	profile.c
M	sfile.c
M	sfile.h

commit 582efc99b2b8081fee3aa4cdbc42b1f67c92b279
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat May 7 14:59:45 2005 +0000

    Another desparate hack to try and prevent the oops.


    Fri May  6 23:38:48 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (do_generate): Another desparate hack to try
	and prevent the oops.

M	ChangeLog
M	sysprof-module.c

commit 69068047845a57bb1630e79a5ff0adfc86daa0a2
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 30 20:59:01 2005 +0000

    Use getpagesize()

    Sat Apr 30 16:57:23 2005  Soeren Sandmann  <sandmann@redhat.com>

	* process.c (PAGE_SIZE): Use getpagesize()

	* TODO: More updates

M	ChangeLog
M	TODO
M	process.c
M	sfile.c
M	sysprof.c

commit 914d8bf6681c0083f8fb102d5cbbc3f82f9ea433
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 30 19:50:29 2005 +0000

    Updates

    Sat Apr 30 15:44:12 2005  Søren Sandmann  <sandmann@redhat.com>

	    * TODO: Updates

	    * sysprof-module.c (get_regs): Change the way we get
	    registers for
	    a task so that it works with 2.6.11

M	ChangeLog
M	TODO
M	sysprof-module.c

commit cd07b6f274c1bbffce39a1444e161221e12dd371
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 23 23:20:06 2005 +0000

    Updates

    Sat Apr 23 19:17:18 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

M	ChangeLog
M	TODO

commit 984c6e17108f257dd5c9435eb92ca9643507d2d9
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 23 23:18:42 2005 +0000

    Store a pointer to the root of the call tree

    Sat Apr 23 19:12:52 2005  Søren Sandmann  <sandmann@redhat.com>

	* profile.c: Store a pointer to the root of the call tree

	* profile.c (profile_load): Call sfile_input_free()

	* sfile.c (sformat_free): Implement this function

M	ChangeLog
M	profile.c
M	sfile.c
M	sfile.h

commit 8424be60243f1e8db3ae05823d6b76968ab70495
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 23 22:47:35 2005 +0000

    Check pointer types

    Sat Apr 23 18:38:46 2005  Søren Sandmann  <sandmann@redhat.com>

	* sfile.c (post_process_read_instructions): Check pointer types

	* sfile.c (post_process_instructions_recurse): Delete this
	unused function

M	ChangeLog
M	sfile.c
M	sfile.h

commit 753eb9378b5def16ed200173c249763d79f030dd
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 23 21:53:16 2005 +0000

    New function to check if the page is readable before reading. Noop on

    Sat Apr 23 17:49:33 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (page_readable): New function to check if the
	page is readable before reading. Noop on kernel <= 2.6.11

	* sysprof-module.c (get_mm, put_mm): New functions to confine
	#ifdefs.

M	ChangeLog
M	Makefile
M	sysprof-module.c

commit 7b67e2c6b9688fc26df3399f9619f0dbbd522771
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Fri Apr 22 04:14:37 2005 +0000

    On >= 2.6.11 check that the pages are present and readable before
    reading

    Fri Apr 22 00:09:16 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (read_user_space): On >= 2.6.11 check that the
	pages are present and readable before reading them.

M	ChangeLog
M	TODO
M	sysprof-module.c

commit 61430f6b96e206dfa8f427035d33315c56ec97c9
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:	Tue Apr 19 03:50:28 2005 +0000

    Add simple check target that runs a sanity check of the build
    environment.

    Tue Apr 19 23:26:45 2005  Kristian Høgsberg  <krh@bitplanet.net>

	    * Makefile (check): Add simple check target that runs a sanity
	    check of the build environment.

M	ChangeLog
M	Makefile

commit c824b74b9df1ffa41dc08a7fcf8684cda58e17d0
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Apr 17 06:03:38 2005 +0000

    Factor out some stuff in their own functions.

    Sun Apr 17 00:20:41 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (on_open_clicked): Factor out some stuff in
	    their own
	    functions.

	    * sysprof.c (load_file): Idle handler to load files given
	    on the
	    command line.

	    * sysprof.c (main): If a filename is passed on the command
	    line,
	    load it in an idle handler.

M	ChangeLog
M	TODO
M	sysprof.c

commit 023ce066151d32da6a16c48c9d339ca7a69d0180
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 16 23:57:00 2005 +0000

    Read a whole page at a time.

    Sat Apr 16 19:51:48 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (read_user_space): Read a whole page at a time.

M	ChangeLog
M	sysprof-module.c

commit 2b0ca11c6caa645b6d8a3fe59f2156306e437b44
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Apr 16 21:08:44 2005 +0000

    +Sat Apr 16 14:15:55 2005  Soeren Sandmann	<sandmann@redhat.com>
    +
    +	    * TODO: Update
    +
    +	    * sysprof-module.c (x_access_process_vm): On kernel 2.6.9 and
    +	    later use get_task_mm()/mmput() instead of directly accessing
    +	    task->mm.
    +

M	ChangeLog
M	README
M	TODO
M	sysprof-module.c
M	sysprof.c

commit 06023f625eb03ad29d352ef212b9b5e88ebbbb28
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 16 05:58:40 2005 +0000

    Add backtrace for kernel oops.


    Sat Apr 16 01:54:18 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Add backtrace for kernel oops.

M	ChangeLog
M	TODO
M	sfile.c

commit a3b1e000e63f4b030118d2238fd8584485ce7a69
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Fri Apr 15 20:38:58 2005 +0000

    updates

    Fri Apr 15 16:37:45 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: updates

	* sysprof.c (sorry): If you hit profile when the module isn't
	loaded, pop up an annoying dialog.

	* sysprof-module.c: Clean-ups, remove various unused abstractions.

M	ChangeLog
M	TODO
M	sysprof-module.c
M	sysprof.c

commit 846cfa22b9b4d6715938ac9a3248648534fb2e0a
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 9 21:51:28 2005 +0000

    Add a copy of the GPL

    Sat Apr  9 17:49:13 2005  Søren Sandmann  <sandmann@redhat.com>

	    * COPYING: Add a copy of the GPL

A	COPYING
M	ChangeLog

commit b3c466debfb75e14f0dada23a7988c5addc52a74
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 9 21:17:24 2005 +0000

    Remove debug spew


    Sat Apr  9 17:04:50 2005  Søren Sandmann  <sandmann@redhat.com>

	* Makefile: Remove debug spew

	* *: Add copyright notices

M	ChangeLog
M	Makefile
M	binfile.c
M	binfile.h
D	pixbufs.c
M	process.c
M	process.h
M	profile.c
M	profile.h
M	sfile.c
M	sfile.h
M	stackstash.c
M	stackstash.h
M	sysprof-module.c
M	sysprof-module.h
M	sysprof.c
M	treeviewutils.c
M	treeviewutils.h
M	watch.h

commit 9ea5bacadca1320cc4112be80eab8e7c475964e7
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 9 01:32:17 2005 +0000

    More updates

    Fri Apr  8 21:30:02 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: More updates

M	ChangeLog
M	TODO

commit 334f883d7794de7f34a9024f2feb2d1c1946a49e
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Apr 9 00:51:25 2005 +0000

    Load the icon, hook up "about" activation.

    Fri Apr  8 20:48:58 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c (build_gui): Load the icon, hook up "about"
	activation.

	* sysprof.c (on_about_activated): New function. Show an about
	dialog.

	* sysprof.c (struct Application): Add an icon field

	* TODO: Updates

	* sysprof-icon.png: Icon, drawn by Diana Fong

M	ChangeLog
M	README
M	TODO
A	sysprof-icon.png
M	sysprof.c

commit bda89efc687067e1879d02bbdff41b2d88b1a62d
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Apr 6 03:04:34 2005 +0000

    Put back the weird loop, and stop pretending I understand this. This
    time

    Tue Apr  5 23:01:02 2005  Søren Sandmann  <sandmann@redhat.com>

	* binfile.c (read_symbols): Put back the weird loop, and stop
	pretending I understand this. This time use SEC_ALLOC instead of
	SEC_LOAD.

M	ChangeLog
M	binfile.c
M	process.c

commit 88c3bbb88000ca30a12f5de6ca5c5952cf8ddab4
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Wed Apr 6 00:16:12 2005 +0000

    Add commented out debug spew.

    Tue Apr  5 20:13:44 2005  Søren Sandmann  <sandmann@redhat.com>

	* process.c (process_ensure_map): Add commented out debug spew.

	* process.c (process_lookup_symbol): Remove all should_offset()
	function and all references to it.

	* binfile.c (bin_file_lookup_symbol): Document that address must
	be in file coordinates.

	* binfile.c (read_symbols): Remove misguided code that tried to
	guess the load address of the file. Instead, do all computations
	in "file coordinates". Also fix a memory leak. Add commented out
	debug spew.

	* binfile.c (separate_debug_file_exists): Fix signedness

M	ChangeLog
M	binfile.c
M	process.c
M	sysprof.c

commit 700cf9c967a77d06cdf75e6a68c61a42402f0d9f
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Tue Apr 5 18:37:13 2005 +0000

    Make it compile with kernel 2.6.11

    Tue Apr  5 14:34:43 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (x_access_process_vm): Make it compile with
	kernel 2.6.11

	* TODO: updates

M	ChangeLog
M	TODO
M	sysprof-module.c

commit 4a4a5fc5cae8d3ff1df827eb1cd96f9938f3bf11
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Apr 4 06:19:16 2005 +0000

    Busy cursors in many more places.


    Mon Apr  4 00:57:11 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c: Busy cursors in many more places.

	    * TODO: updates

M	ChangeLog
M	TODO
M	sysprof.c

commit 9bddb58d92af43a8b0518835ee237e6f058cff95
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Apr 4 03:53:32 2005 +0000

    Re-schedule the timeout here instead of in on_timer().

    Sun Apr  3 23:28:45 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (do_generate): Re-schedule the timeout here
	instead of in on_timer().

	* sysprof-module.c (on_timer): Only block tasks in the
	TASK_RUNNING state.

M	ChangeLog
M	TODO
M	sysprof-module.c

commit 6c408203c2e41bfd4fd98b2a347cfde36ac2ad00
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Apr 3 22:06:00 2005 +0000

    Put current process to sleep.

    Sun Apr  3 17:03:33 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c (queue_generate_stack_trace): Put current
	process to sleep.

	* sysprof-module.c (do_generate): Wake up the traced process

M	ChangeLog
M	sysprof-module.c

commit bef6878e6151afe4fdf82353d22ca04af8386d23
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sun Apr 3 03:36:59 2005 +0000

    Remove stray %

    Thu Mar 31 23:09:09 2005  Soeren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (build_gui): Remove stray %

M	ChangeLog
M	sysprof.c

commit 5f280920c553e09812342feff01d0bb8e646ea69
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Apr 1 02:28:50 2005 +0000

    Right justify numbers

    Thu Mar 31 21:18:13 2005  Søren Sandmann  <sandmann@redhat.com>

	    * treeviewutils.c (add_double_format_column): Right justify
	    numbers

	    * sysprof.c (build_gui): Add a space after the numbers

	    * sysprof.c (on_callers_row_activated): Focus object view

	    * sysprof.c (on_descendants_row_activated): Focus new
	    descendants
	    tree.

M	ChangeLog
M	TODO
M	sysprof.c
M	treeviewutils.c

commit 39162c394af1325ade68ede3b54333a47d1e56a7
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Apr 1 00:58:48 2005 +0000

    Walk all threads, not just all processes.


    Thu Mar 31 19:51:51 2005  Søren Sandmann  <sandmann@redhat.com>

	    * sysprof-module.c (do_generate): Walk all threads, not
	    just all
	    processes.

	    * TODO: Add disk profiling ideas

M	ChangeLog
M	TODO
M	process.c
M	sysprof-module.c

commit d33a9703a05a0ed173f967045643451fdfb51c7e
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Thu Mar 31 05:21:58 2005 +0000

    Make this function work

    Thu Mar 31 00:19:47 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof.c (set_busy): Make this function work

	* sysprof.c (on_profile_toggled): Use it here

	* sysprof.c (on_object_selection_changed): And here

	* profile.c (add_trace_to_tree): Use GPtrArrays instead of
	GHashTable and GList.

M	ChangeLog
M	profile.c
M	sysprof.c

commit c2dc2c368053c7de04d9fd6054bd26dba682fa43
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Mon Mar 28 16:10:01 2005 +0000

    updates

    Mon Mar 28 11:09:02 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: updates

M	ChangeLog
M	TODO
M	profile.c
M	sysprof.c
M	sysprof.glade

commit 398603a85dbcc91855293183bfd00955faa96501
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sun Mar 27 00:31:01 2005 +0000

    Show the right number of samples afte Open; remove shadows from
    menu bars

    Sat Mar 26 19:26:52 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c: Show the right number of samples afte Open; remove
	shadows from menu bars and toolbars; some other tweaks.

M	ChangeLog
M	TODO
M	sysprof.c
M	sysprof.glade

commit cc25479579b71f386ca2a359e3dbf1800a9f6f44
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 16:34:11 2005 +0000

    Updates

    Sat Mar 26 11:26:00 2005  Soeren Sandmann  <sandmann@redhat.com>

	* TODO: Updates

	* sfile.c (add_string): Use g_markup_escape_text() to escape the
	string before adding it to the file.

	* sysprof.c (empty_file_descriptor): New function to make sure
	samples generated before profiling started are ignored.
	(set_busy): New commented out function to set a busy cursor.

M	ChangeLog
M	TODO
M	sfile.c
M	sysprof.c

commit 17874196873ba4f136e2018e7796ddd522c2b6c8
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 02:35:56 2005 +0000

    Comment out sensitivity of reset button.

    Fri Mar 25 21:31:08 2005  Søren Sandmann  <sandmann@redhat.com>

	   * sysprof.c (update_sensitivity): Comment out sensitivity of
	   reset button.

M	ChangeLog
M	sysprof.c

commit e9bd3058660a6881efdfcd0524cc07e55771d818
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 02:28:32 2005 +0000

    Return NULL if nothing is selected.

    Fri Mar 25 21:25:31 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c (get_current_object): Return NULL if nothing is
	selected.

M	ChangeLog
M	TODO
M	sysprof.c

commit 27934e057c0aa8a6751d5cc1a69c5ea09a88de5d
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Mar 26 02:16:25 2005 +0000

    Remove hard-coded toolbar property

M	sysprof.glade

commit 360efcf2cd0baeb8799a7f68a553c36d2372a05a
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Mar 26 02:12:01 2005 +0000

    *** empty log message ***

M	TODO

commit d4ea20318d2e8c22f43cae0b2508a3ca6a977d45
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 01:55:49 2005 +0000

    More updates

    Fri Mar 25 20:54:08 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: More updates

M	ChangeLog
M	TODO

commit 34ec80c9f4a566f4daace307f77cfea724e5520b
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 01:27:35 2005 +0000

    Require gtk+ 2.6

    Fri Mar 25 20:25:44 2005  Søren Sandmann  <sandmann@redhat.com>

	* README: Require gtk+ 2.6

	* treeviewutils.c (add_plain_text_column): Ellipsisize text
	columns.

M	ChangeLog
M	README
M	treeviewutils.c

commit 0901851c4560edf461fcfe083aa122fdadcbea82
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 26 01:19:07 2005 +0000

    Remove "loading and saving"

    Fri Mar 25 19:39:24 2005  Søren Sandmann  <sandmann@redhat.com>

	* TODO: Remove "loading and saving"

	* sysprof.glade: Add ellipsises to Open and Save menu items.

	* sysprof.c (overwrite_file): Add this function, cutted-and-pasted
	from evince.

	* sysprof.c (on_save_as_clicked, on_open_clicked): Use
	GtkFileChoosers to pick the names.

	* sysprof.c: Various GUI updates.

M	ChangeLog
M	Makefile
M	TODO
M	profile.c
M	sfile.c
M	sysprof.c
M	sysprof.glade

commit 50c62b0804daa4e4ccc5ed45716a7de4901a6900
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Mar 25 00:12:37 2005 +0000

    Various GUI updates

    Thu Mar 24 19:09:33 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c: Various GUI updates

	* TODO: update

	* sfile.[ch] (sformat_new_optional): Add some notes about an
	"optional" construction.

M	ChangeLog
M	TODO
M	sfile.c
M	sfile.h
M	sysprof.c
M	sysprof.glade

commit 2af6447238b564dfd145416fa21a7e0f133daab3
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Wed Mar 23 05:05:57 2005 +0000

    Primitive loading and saving.

    Wed Mar 23 00:04:07 2005  Soeren Sandmann  <sandmann@redhat.com>

	Primitive loading and saving.

	* sysprof.c (on_open_clicked): Hook up loading.

	* sfile.c: Add a copy of g_file_replace() from glib CVS HEAD.

	* sfile.c (add_string): Escape and quote the string

	* sfile.c (sfile_load): Initialize current_instruction and
	instructions_by_location

	* sfile.c (post_process_instructions_recurse): Handle NULL
	pointers properly.

	* sfile.c (handle_begin_element, handle_end_element, handle_text):
	Move error handling here from state_transition_begin/text/end.

	* sfile.c (handle_text): Discard whitespace-only strings

	* sfile.c (sfile_get_pointer, sfile_get_integer,
	sfile_get_string): expect both begin, value, and end transitions.

	* sfile.c (hook_up_pointers): Only treat instructions as pointer
	values when they are. Handle NULL targets properly.

	* sfile.c (get_number): Fix a few read-freed-data bugs

	* profile.c (profile_load): Call sfile_end_get() for the profile;
	build the nodes_by_objects hash table. Build the call tree.

	* profile.c (create_format): Don't store next pointer, but do
	store total, self and toplevel.

	* profile.c (make_hash_table): New function to build
	nodes_by_object hashtable from loaded data

M	ChangeLog
M	profile.c
M	sfile.c
M	sysprof.c

commit 64a1ac635590748b2d155297a367a4f35adc8390
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 12 16:05:58 2005 +0000

    Fix small bug in add_timeout() More descriptive tree labels update

    Sat Mar 12 11:05:19 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sysprof-module.c: Fix small bug in add_timeout()
	* sysprof.c (build_gui): More descriptive tree labels
	* TODO: update

M	ChangeLog
M	TODO
M	sfile.c
M	sfile.h
M	sysprof-module.c
M	sysprof.c

commit e0a2d061c629718fdba6e70939777562e3c10bf6
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Thu Mar 10 21:39:01 2005 +0000

    s/Cummulative/Cumulative/. Pointed out by Ian McIntosh.

    Thu Mar 10 16:37:52 2005  Søren Sandmann  <sandmann@redhat.com>

	    * sysprof.c (build_gui): s/Cummulative/Cumulative/. Pointed
	    out by
	    Ian McIntosh.

M	ChangeLog
M	sysprof.c

commit 2a277505d840d27135ded28888f36c58c11f69f8
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Mar 10 21:36:42 2005 +0000

    Update README and TODO, based on feedback from Ian McIntosh

M	README
M	TODO

commit 60b9741658f42736f100c592eaeb7c18ac3fdadd
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Mon Mar 7 19:52:47 2005 +0000

    Add note that you need to compile the module with the same compiler
    that

    Mon Mar  7 14:47:09 2005  Søren Sandmann  <sandmann@redhat.com>

	* README: Add note that you need to compile the module with
	the same compiler that compiled the kernel.

M	ChangeLog
M	README

commit d07d2452286997728f72fa4e8886b009d9e6eaa6
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Mar 7 03:58:04 2005 +0000

    CSun Mar  6 22:56:21 2005  Soeren Sandmann	<sandmann@redhat.com>

	* sfile.c: Generate id's for objects and pointers.

M	ChangeLog
M	sfile.c
M	sfile.h
M	sysprof.c

commit bff84b87c070c093af481fb974b561bf01cea2a1
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Mar 5 18:15:55 2005 +0000

    update TODO

M	TODO

commit 18ca5ed13149d7fa3e5280d43ad3f1e1c0ea8b88
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Sat Mar 5 06:16:47 2005 +0000

    Bug fixes. Add actual generation.

    Sat Mar  5 01:09:33 2005  Soeren Sandmann  <sandmann@redhat.com>

	* sfile.c: Bug fixes. Add actual generation.

M	ChangeLog
M	Makefile
M	profile.c
M	sfile.c

commit a6db295462138ddc56112d60471ae219f963f28a
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Mar 4 18:52:45 2005 +0000

    Remove include of non-existing tracing.h

    Fri Mar  4 13:47:13 2005  Søren Sandmann  <sandmann@redhat.com>

	* sysprof.c: Remove include of non-existing tracing.h

M	ChangeLog
M	sysprof.c

commit 466b093348a64659655350dda150324e41a55bb7
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Fri Mar 4 04:48:40 2005 +0000

    Write this function.

    Thu Mar  3 23:48:13 2005  Soeren Sandmann  <sandmann@redhat.com>

	* profile.c (profile_load): Write this function.

	* sfile.c: Add support for user defined record and list types.
	Simplify logic a lot.

M	ChangeLog
M	profile.c
M	sfile.c
M	sfile.h

commit de4b3c076d51124ef1ce6c35f2233cb935fa4ec0
Author: Soeren Sandmann <sandmann@redhat.com>
Date:	Thu Mar 3 04:44:28 2005 +0000

    Experiment with a file-format-description format.

    Wed Mar  2 23:39:50 2005  Soeren Sandmann  <sandmann@redhat.com>

	* profile.[ch], sfile.[ch]: Experiment with a
	file-format-description format.

	* sysprof.c: Add commented out code using /proc/ based
	timeout.

M	ChangeLog
M	Makefile
M	process.c
M	profile.c
M	profile.h
M	sfile.c
M	sfile.h
M	sysprof.c

commit 5dec3764c1fabaa7dfbe89b285ecbcad0a332106
Author: Søren Sandmann <sandmann@redhat.com>
Date:	Fri Jan 21 16:27:41 2005 +0000

    Some updates - add note about SMP kernels.

    Fri Jan 21 11:23:54 2005  Søren Sandmann  <sandmann@redhat.com>

	* README: Some updates - add note about SMP kernels.

	* sysprof-module.c: Go back to just sampling the current
	process.

	* ChangeLog: I guess these do make sense, so start one.

A	ChangeLog
M	README
M	sysprof-module.c

commit 6ecc4be16455863392149664ccaa0e54c28e8551
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Dec 23 19:20:31 2004 +0000

    Revert to something less broken

M	sysprof-module.c

commit dd900dce1cc9ee5c4ab9d2148f26e69325bdb339
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Nov 24 23:11:28 2004 +0000

    *** empty log message ***

M	sfile.c
M	sysprof-module.c

commit 81a527a31d08eb78eddf7db8ae73bd4547863a8e
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Nov 24 18:39:35 2004 +0000

    *** empty log message ***

M	sfile.c
M	sfile.h
M	sysprof-module.c

commit c5b66034c5a14a6fc5ba3e1a756a3174450ffeac
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 23 00:10:55 2004 +0000

    *** empty log message ***

M	TODO
M	binfile.c
M	process.c
M	profile.c
M	sfile.c
M	sysprof-module.c

commit 95ca4eaa27662477d4252d79a787b556d5bba6b6
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 23 00:01:11 2004 +0000

    *** empty log message ***

M	sysprof-module.c

commit a22bbc8eb07e5b4aef3dd609965aab0454849932
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 22 21:19:56 2004 +0000

    *** empty log message ***

M	TODO
M	sfile.c
M	sfile.h

commit 7f02ecd503edacbfc4a5c8ac19b21909032020cf
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 23:33:56 2004 +0000

    *** empty log message ***

M	TODO
M	process.c
M	sysprof-module.c

commit a0100c8865d7dff52e331a59017152a863e42c02
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 23:32:40 2004 +0000

    doh

M	sysprof-module.c

commit 6583d59e1888267a51462cdb02e8ba7c099ca2f2
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 23:22:42 2004 +0000

    *** empty log message ***

M	sysprof-module.c

commit 0ecfd151167019c6e3d7d56d6bfba1d0962b25b8
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 23:13:16 2004 +0000

    *** empty log message ***

M	sysprof-module.c

commit 77e836d347b42d62b0791bd7aea8219b968387e7
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 22:46:00 2004 +0000

    Sample all running tasks, not just current

M	sysprof-module.c

commit 0e1b62128fa013c4103d912578139a4f5d8e2459
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 01:54:22 2004 +0000

    *** empty log message ***

M	sfile.c
M	sfile.h

commit 9b76cbf1b4608544f85f15bbaf534a2d7d294594
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun Nov 21 00:08:14 2004 +0000

    more sfile work

M	sfile.c

commit 3ac9b691d7650a8c3e6acffe57269d32b3d4a457
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Nov 20 23:05:12 2004 +0000

    *** empty log message ***

M	sfile.c

commit 3b6a53efaf935b8c73a7b313ba1ceae25c92f866
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Nov 17 23:37:44 2004 +0000

    *** empty log message ***

M	Makefile
M	TODO
M	profile.c
M	sfile.c
M	sfile.h
M	sysprof-module.c

commit 38891db079edd0c5aa864616cf339b20f8103b27
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Nov 17 23:08:47 2004 +0000

    *** empty log message ***

M	sfile.c
M	sfile.h

commit e148f45f792ac17dd17f387cd223df224a6d6615
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 16 02:54:05 2004 +0000

    *** empty log message ***

M	sfile.c
M	sfile.h

commit b40d94ca41bbe47c84174f4bcf0a5ef542881637
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 15 23:15:59 2004 +0000

    *** empty log message ***

M	profile.c
M	profile.h
A	sfile.c
A	sfile.h
M	sysprof.c

commit 6ef81657815892305c8263b33e30f90f2c110bc3
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 23:27:52 2004 +0000

    *** empty log message ***

M	profile.c
A	sysprof-text.c

commit d71d00ab0bffdc5cf66b23f42db6881d3495bb54
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 18:30:01 2004 +0000

    *** empty log message ***

M	process.c
M	profile.c
M	sysprof.c

commit 0ed7bdbdfc7f3648b8e258086f9fa083dbf4c675
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 17:54:15 2004 +0000

    *** empty log message ***

M	profile.c
M	sysprof.c

commit c12bfc31e18dc0fcd1a8febdd1ff09c5aafb9032
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 16:51:34 2004 +0000

    get rid of object table

M	profile.c

commit b3780fd510b9c3998b61e0a7d6b87e264836251f
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 16:14:05 2004 +0000

    *** empty log message ***

M	TODO
M	sysprof.c

commit 17e3ce236bc8cd7af0e9094686125278b4285a94
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 12 15:21:07 2004 +0000

    various small fixes

M	README
M	TODO
M	profile.c
M	profile.h
M	sysprof-module.c
M	sysprof.c

commit 5136a4049c449d1ef7a17abc6146bc4ecd12a352
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Nov 6 00:59:25 2004 +0000

    *** empty log message ***

M	sysprof.glade

commit c27b97c7c0f8f3ebbc6498879c2a619ccc11de33
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 5 16:57:40 2004 +0000

    *** empty log message ***

M	sysprof-module.c
M	sysprof.c
M	sysprof.glade

commit 17febd9bbe338f7ea8f0424ecc1ae8f9f8a29c90
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Nov 5 15:25:59 2004 +0000

    New GUI

M	README

commit 7d54b85e92647f240055088381ea453701b38f0b
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Nov 4 22:10:01 2004 +0000

    *** empty log message ***

M	README
M	sysprof.c
M	sysprof.glade

commit 1fa465fb26fd684a6a4a00178aefce908604d157
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Nov 4 15:25:39 2004 +0000

    *** empty log message ***

M	binfile.c
M	process.c
M	sysprof-module.c
M	sysprof.c

commit e16af9c7309dcd3ad31deae340d7749f3c2957de
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Nov 4 15:23:41 2004 +0000

    *** empty log message ***

M	binfile.c

commit e6a160f2915a741df27993b5b674724e7ae84036
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 2 17:40:28 2004 +0000

    *** empty log message ***

M	process.c
M	sysprof-module.c
M	sysprof.c

commit 64b015875c2d5d12d9503604ad76721e76d9685b
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 2 15:48:04 2004 +0000

    *** empty log message ***

M	README
M	sysprof-module.c

commit 786bef0abb26893290e91e4d8009f31feeb67ad0
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Nov 2 14:48:19 2004 +0000

    *** empty log message ***

M	sysprof-module.c

commit 9140810664cf15b5ebb7b8f4ebb7e93bdba63c31
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 1 01:21:49 2004 +0000

    *** empty log message ***

M	process.c
M	sysprof-module.c

commit c17e09d10c2d64e0400dd98da17071ca0d6f9c5e
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Nov 1 01:11:52 2004 +0000

    Performance improvements

M	sysprof-module.c

commit 748716613951e9c295215408e287bcd757e79dd0
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Oct 30 04:26:32 2004 +0000

    Seems to work

M	sysprof-module.c
M	sysprof.c

commit 7b07956eb3af97f6351542eea321f981accb3e23
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Fri Oct 29 22:27:30 2004 +0000

    Hey, it appears to not crash

M	sysprof-module.c
M	sysprof.c

commit aacf216239e895209335e6f55474003b6caa93c5
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon Sep 6 20:29:03 2004 +0000

    Improve 2.6 port

M	sysprof-module.c

commit 1e0ed9e3ac42d105bebb8fde25e728c33f9caedd
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sat Jun 19 21:35:40 2004 +0000

    *** empty log message ***

M	Makefile
M	sysprof-module.c

commit d7b4e3f96ab066130b331df6f22d2fce8fc821ff
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Jun 17 20:38:37 2004 +0000

    more samples per secnds

M	sysprof-module.c

commit 5e2c688d8d5fb28d0be4bcdee01e496e20660b29
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Jun 17 19:32:03 2004 +0000

    fix read and poll

M	sysprof-module.c

commit 33372e3479d97dc2053758753238ff76849c718d
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Jun 17 17:37:33 2004 +0000

    Port to 2.6 - remove non-working disk crap

M	Makefile
M	README
M	sysprof-module.c
M	sysprof-module.h
M	sysprof.c

commit 379826484660ea08598968c48a1d3b3b2f0349d9
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun May 23 14:46:17 2004 +0000

    make it compile

M	binfile.c

commit a618eb5c4ece05995c378b02ae07428adfeae74c
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun May 23 14:45:04 2004 +0000

    remove accidentally committed debug spew

M	binfile.c

commit be110fd2daa212652ce5d54b21371053dedad04d
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Sun May 23 14:43:16 2004 +0000

    Comment out disk profiler setup

M	binfile.c
M	sysprof-module.c

commit 62e4d93d86eae47bdac422f3eca3844bd3fda0f6
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Mon May 3 18:58:28 2004 +0000

    cpu_profiler = 1

M	sysprof-module.c

commit 04b1b297affb56682e1c2413a997abfde9833f0b
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Apr 29 18:36:23 2004 +0000

    disable stack traces for page faults

M	sysprof-module.c

commit 649512d96117cb73d756dbaea6fef24e28354e2e
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Thu Apr 29 17:29:09 2004 +0000

    better disk profiling

M	binfile.c
M	binfile.h
M	process.c
M	sysprof-module.c
M	sysprof.c

commit 7e5c6cbca40c05d39bbad6a4ce97beede12c5160
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Wed Apr 28 15:08:22 2004 +0000

    support prelinked binaries

M	binfile.c
M	binfile.h
M	process.c
M	sysprof.c

commit a0b578bba5271dbc35f572320457fcd8b23809ab
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Apr 27 16:59:32 2004 +0000

    set cpu_profiler = 1

M	sysprof-module.c

commit 276d51554ee0314ce183975d9a6e5fd5a2770447
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Apr 27 11:08:55 2004 +0000

    Initial import

commit 43dddf31acbd8556ea08eb1eb714b7848c5988ac
Author: Søren Sandmann Pedersen <ssp@src.gnome.org>
Date:	Tue Apr 27 11:08:55 2004 +0000

    Initial revision

A	Makefile
A	README
A	TODO
A	binfile.c
A	binfile.h
A	cdplayer-play.png
A	cdplayer-stop.png
A	pixbufs.c
A	process.c
A	process.h
A	profile.c
A	profile.h
A	stackstash.c
A	stackstash.h
A	sysprof-module.c
A	sysprof-module.h
A	sysprof.c
A	sysprof.glade
A	treeviewutils.c
A	treeviewutils.h
A	watch.c
A	watch.h
